
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: '__ANON_0', 1: '__ANON_2', 2: 'RBRACE', 3: '__ANON_1', 4: '$END', 5: 'IDENTIFIER', 6: 'block', 7: '__anon_star_0', 8: 'body', 9: '__anon_plus_2', 10: 'new_line_or_comment', 11: 'start', 12: 'attribute', 13: 'one_line_block', 14: 'LBRACE', 15: 'EQUAL', 16: '__anon_star_1', 17: 'STRING_LIT', 18: 'RSQB', 19: 'FOR', 20: 'NULL', 21: '__ANON_10', 22: 'LSQB', 23: 'MINUS', 24: 'TRUE', 25: '__ANON_9', 26: 'FALSE', 27: 'BANG', 28: 'IN', 29: 'DECIMAL', 30: 'COMMA', 31: 'LPAR', 32: 'RPAR', 33: 'IF', 34: 'expression', 35: 'get_attr_expr_term', 36: 'float_lit', 37: 'for_tuple_expr', 38: 'operation', 39: 'object', 40: 'null_lit', 41: 'heredoc_template', 42: 'expr_term', 43: '__anon_plus_3', 44: 'int_lit', 45: 'index_expr_term', 46: 'unary_op', 47: 'heredoc_template_trim', 48: 'binary_op', 49: 'false_lit', 50: 'conditional', 51: 'attr_splat_expr_term', 52: 'for_object_expr', 53: 'tuple', 54: 'true_lit', 55: 'full_splat_expr_term', 56: 'function_call', 57: 'for_intro', 58: 'LESSTHAN', 59: 'STAR', 60: 'QMARK', 61: '__ANON_5', 62: '__ANON_6', 63: 'SLASH', 64: 'PERCENT', 65: 'PLUS', 66: 'binary_term', 67: 'binary_operator', 68: '__ANON_3', 69: '__ANON_8', 70: '__ANON_7', 71: '__ANON_4', 72: 'MORETHAN', 73: 'object_elem', 74: '__ANON_11', 75: 'DOT', 76: '__ANON_12', 77: 'COLON', 78: '__ANON_13', 79: 'EXP_MARK', 80: 'get_attr', 81: 'full_splat', 82: 'index', 83: 'attr_splat', 84: '__anon_star_4', 85: 'new_line_and_or_comma', 86: '__anon_star_5', 87: 'arguments', 88: '__anon_star_6', 89: 'for_cond', 90: '__anon_star_7'}, 'states': {0: {0: (0, 6), 1: (0, 8), 2: (1, {'@': 45}), 3: (0, 2), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 3), 7: (0, 4), 8: (0, 5), 9: (0, 7), 10: (0, 9), 11: (0, 10), 12: (0, 11), 13: (0, 12)}, 1: {14: (0, 13), 15: (0, 14), 5: (0, 15), 16: (0, 16), 17: (0, 17)}, 2: {0: (1, {'@': 46}), 18: (1, {'@': 46}), 19: (1, {'@': 46}), 20: (1, {'@': 46}), 21: (1, {'@': 46}), 3: (1, {'@': 46}), 5: (1, {'@': 46}), 22: (1, {'@': 46}), 17: (1, {'@': 46}), 23: (1, {'@': 46}), 24: (1, {'@': 46}), 25: (1, {'@': 46}), 14: (1, {'@': 46}), 2: (1, {'@': 46}), 26: (1, {'@': 46}), 27: (1, {'@': 46}), 28: (1, {'@': 46}), 1: (1, {'@': 46}), 4: (1, {'@': 46}), 29: (1, {'@': 46}), 30: (1, {'@': 46}), 31: (1, {'@': 46}), 32: (1, {'@': 46}), 33: (1, {'@': 46})}, 3: {0: (1, {'@': 47}), 1: (1, {'@': 47}), 4: (1, {'@': 47}), 2: (1, {'@': 47}), 3: (1, {'@': 47}), 5: (1, {'@': 47})}, 4: {0: (1, {'@': 48}), 1: (1, {'@': 48}), 2: (1, {'@': 48}), 3: (1, {'@': 48}), 4: (1, {'@': 48}), 5: (0, 1), 6: (0, 18), 12: (0, 19), 13: (0, 20)}, 5: {4: (1, {'@': 49}), 3: (0, 2), 9: (0, 7), 10: (0, 21), 0: (0, 6), 1: (0, 8)}, 6: {0: (1, {'@': 50}), 18: (1, {'@': 50}), 19: (1, {'@': 50}), 20: (1, {'@': 50}), 21: (1, {'@': 50}), 3: (1, {'@': 50}), 5: (1, {'@': 50}), 22: (1, {'@': 50}), 17: (1, {'@': 50}), 23: (1, {'@': 50}), 24: (1, {'@': 50}), 25: (1, {'@': 50}), 14: (1, {'@': 50}), 2: (1, {'@': 50}), 26: (1, {'@': 50}), 27: (1, {'@': 50}), 28: (1, {'@': 50}), 1: (1, {'@': 50}), 4: (1, {'@': 50}), 29: (1, {'@': 50}), 30: (1, {'@': 50}), 31: (1, {'@': 50}), 32: (1, {'@': 50}), 33: (1, {'@': 50})}, 7: {0: (0, 22), 27: (1, {'@': 51}), 28: (1, {'@': 51}), 18: (1, {'@': 51}), 19: (1, {'@': 51}), 20: (1, {'@': 51}), 21: (1, {'@': 51}), 3: (0, 23), 5: (1, {'@': 51}), 22: (1, {'@': 51}), 17: (1, {'@': 51}), 23: (1, {'@': 51}), 1: (0, 24), 4: (1, {'@': 51}), 24: (1, {'@': 51}), 25: (1, {'@': 51}), 29: (1, {'@': 51}), 30: (1, {'@': 51}), 14: (1, {'@': 51}), 2: (1, {'@': 51}), 31: (1, {'@': 51}), 32: (1, {'@': 51}), 26: (1, {'@': 51}), 33: (1, {'@': 51})}, 8: {0: (1, {'@': 52}), 18: (1, {'@': 52}), 19: (1, {'@': 52}), 20: (1, {'@': 52}), 21: (1, {'@': 52}), 3: (1, {'@': 52}), 5: (1, {'@': 52}), 22: (1, {'@': 52}), 17: (1, {'@': 52}), 23: (1, {'@': 52}), 24: (1, {'@': 52}), 25: (1, {'@': 52}), 14: (1, {'@': 52}), 2: (1, {'@': 52}), 26: (1, {'@': 52}), 27: (1, {'@': 52}), 28: (1, {'@': 52}), 1: (1, {'@': 52}), 4: (1, {'@': 52}), 29: (1, {'@': 52}), 30: (1, {'@': 52}), 31: (1, {'@': 52}), 32: (1, {'@': 52}), 33: (1, {'@': 52})}, 9: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 8: (0, 25), 6: (0, 3), 7: (0, 4), 13: (0, 12), 12: (0, 11)}, 10: {4: (0, 26)}, 11: {0: (1, {'@': 53}), 1: (1, {'@': 53}), 4: (1, {'@': 53}), 2: (1, {'@': 53}), 3: (1, {'@': 53}), 5: (1, {'@': 53})}, 12: {0: (1, {'@': 54}), 1: (1, {'@': 54}), 4: (1, {'@': 54}), 2: (1, {'@': 54}), 3: (1, {'@': 54}), 5: (1, {'@': 54})}, 13: {3: (0, 2), 9: (0, 7), 2: (0, 27), 0: (0, 6), 5: (0, 28), 10: (0, 29), 1: (0, 8)}, 14: {22: (0, 30), 34: (0, 31), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 15: {14: (1, {'@': 55}), 17: (1, {'@': 55}), 5: (1, {'@': 55})}, 16: {14: (0, 66), 17: (0, 67), 5: (0, 68)}, 17: {14: (1, {'@': 56}), 17: (1, {'@': 56}), 5: (1, {'@': 56})}, 18: {0: (1, {'@': 57}), 1: (1, {'@': 57}), 4: (1, {'@': 57}), 2: (1, {'@': 57}), 3: (1, {'@': 57}), 5: (1, {'@': 57})}, 19: {0: (1, {'@': 58}), 1: (1, {'@': 58}), 4: (1, {'@': 58}), 2: (1, {'@': 58}), 3: (1, {'@': 58}), 5: (1, {'@': 58})}, 20: {0: (1, {'@': 59}), 1: (1, {'@': 59}), 4: (1, {'@': 59}), 2: (1, {'@': 59}), 3: (1, {'@': 59}), 5: (1, {'@': 59})}, 21: {4: (1, {'@': 60})}, 22: {0: (1, {'@': 61}), 18: (1, {'@': 61}), 19: (1, {'@': 61}), 20: (1, {'@': 61}), 21: (1, {'@': 61}), 3: (1, {'@': 61}), 5: (1, {'@': 61}), 22: (1, {'@': 61}), 17: (1, {'@': 61}), 23: (1, {'@': 61}), 24: (1, {'@': 61}), 25: (1, {'@': 61}), 14: (1, {'@': 61}), 2: (1, {'@': 61}), 26: (1, {'@': 61}), 27: (1, {'@': 61}), 28: (1, {'@': 61}), 1: (1, {'@': 61}), 4: (1, {'@': 61}), 29: (1, {'@': 61}), 30: (1, {'@': 61}), 31: (1, {'@': 61}), 32: (1, {'@': 61}), 33: (1, {'@': 61})}, 23: {0: (1, {'@': 62}), 18: (1, {'@': 62}), 19: (1, {'@': 62}), 20: (1, {'@': 62}), 21: (1, {'@': 62}), 3: (1, {'@': 62}), 5: (1, {'@': 62}), 22: (1, {'@': 62}), 17: (1, {'@': 62}), 23: (1, {'@': 62}), 24: (1, {'@': 62}), 25: (1, {'@': 62}), 14: (1, {'@': 62}), 2: (1, {'@': 62}), 26: (1, {'@': 62}), 27: (1, {'@': 62}), 28: (1, {'@': 62}), 1: (1, {'@': 62}), 4: (1, {'@': 62}), 29: (1, {'@': 62}), 30: (1, {'@': 62}), 31: (1, {'@': 62}), 32: (1, {'@': 62}), 33: (1, {'@': 62})}, 24: {0: (1, {'@': 63}), 18: (1, {'@': 63}), 19: (1, {'@': 63}), 20: (1, {'@': 63}), 21: (1, {'@': 63}), 3: (1, {'@': 63}), 5: (1, {'@': 63}), 22: (1, {'@': 63}), 17: (1, {'@': 63}), 23: (1, {'@': 63}), 24: (1, {'@': 63}), 25: (1, {'@': 63}), 14: (1, {'@': 63}), 2: (1, {'@': 63}), 26: (1, {'@': 63}), 27: (1, {'@': 63}), 28: (1, {'@': 63}), 1: (1, {'@': 63}), 4: (1, {'@': 63}), 29: (1, {'@': 63}), 30: (1, {'@': 63}), 31: (1, {'@': 63}), 32: (1, {'@': 63}), 33: (1, {'@': 63})}, 25: {4: (1, {'@': 64}), 3: (0, 2), 9: (0, 7), 0: (0, 6), 10: (0, 69), 1: (0, 8)}, 26: {}, 27: {3: (0, 2), 10: (0, 70), 9: (0, 7), 0: (0, 6), 1: (0, 8)}, 28: {15: (0, 71)}, 29: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 3), 7: (0, 4), 13: (0, 12), 8: (0, 72), 12: (0, 11)}, 30: {18: (0, 73), 22: (0, 30), 19: (0, 74), 34: (0, 75), 10: (0, 76), 35: (0, 33), 14: (0, 32), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 57: (0, 77), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 56: (0, 65), 52: (0, 60), 17: (0, 61), 53: (0, 62), 55: (0, 64), 54: (0, 63)}, 31: {3: (0, 2), 10: (0, 78), 58: (0, 79), 23: (0, 80), 0: (0, 6), 9: (0, 7), 59: (0, 81), 1: (0, 8), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 32: {22: (0, 30), 10: (0, 95), 19: (0, 74), 34: (0, 96), 14: (0, 32), 35: (0, 33), 5: (0, 97), 57: (0, 98), 1: (0, 8), 9: (0, 7), 36: (0, 35), 73: (0, 99), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 2: (0, 100), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 56: (0, 65), 52: (0, 60), 17: (0, 61), 53: (0, 62), 55: (0, 64), 54: (0, 63)}, 33: {0: (1, {'@': 65}), 18: (1, {'@': 65}), 20: (1, {'@': 65}), 74: (1, {'@': 65}), 68: (1, {'@': 65}), 69: (1, {'@': 65}), 21: (1, {'@': 65}), 64: (1, {'@': 65}), 75: (1, {'@': 65}), 65: (1, {'@': 65}), 3: (1, {'@': 65}), 71: (1, {'@': 65}), 72: (1, {'@': 65}), 5: (1, {'@': 65}), 60: (1, {'@': 65}), 15: (1, {'@': 65}), 22: (1, {'@': 65}), 23: (1, {'@': 65}), 17: (1, {'@': 65}), 70: (1, {'@': 65}), 24: (1, {'@': 65}), 25: (1, {'@': 65}), 14: (1, {'@': 65}), 2: (1, {'@': 65}), 26: (1, {'@': 65}), 27: (1, {'@': 65}), 76: (1, {'@': 65}), 61: (1, {'@': 65}), 62: (1, {'@': 65}), 63: (1, {'@': 65}), 77: (1, {'@': 65}), 58: (1, {'@': 65}), 1: (1, {'@': 65}), 29: (1, {'@': 65}), 30: (1, {'@': 65}), 78: (1, {'@': 65}), 31: (1, {'@': 65}), 59: (1, {'@': 65}), 32: (1, {'@': 65}), 33: (1, {'@': 65})}, 34: {0: (1, {'@': 66}), 18: (1, {'@': 66}), 20: (1, {'@': 66}), 74: (1, {'@': 66}), 68: (1, {'@': 66}), 69: (1, {'@': 66}), 21: (1, {'@': 66}), 64: (1, {'@': 66}), 75: (1, {'@': 66}), 65: (1, {'@': 66}), 3: (1, {'@': 66}), 71: (1, {'@': 66}), 72: (1, {'@': 66}), 5: (1, {'@': 66}), 60: (1, {'@': 66}), 15: (1, {'@': 66}), 22: (1, {'@': 66}), 23: (1, {'@': 66}), 17: (1, {'@': 66}), 70: (1, {'@': 66}), 24: (1, {'@': 66}), 25: (1, {'@': 66}), 14: (1, {'@': 66}), 2: (1, {'@': 66}), 26: (1, {'@': 66}), 27: (1, {'@': 66}), 76: (1, {'@': 66}), 61: (1, {'@': 66}), 62: (1, {'@': 66}), 63: (1, {'@': 66}), 77: (1, {'@': 66}), 58: (1, {'@': 66}), 1: (1, {'@': 66}), 29: (1, {'@': 66}), 30: (1, {'@': 66}), 78: (1, {'@': 66}), 31: (0, 101), 59: (1, {'@': 66}), 32: (1, {'@': 66}), 33: (1, {'@': 66})}, 35: {0: (1, {'@': 67}), 18: (1, {'@': 67}), 20: (1, {'@': 67}), 74: (1, {'@': 67}), 68: (1, {'@': 67}), 69: (1, {'@': 67}), 21: (1, {'@': 67}), 64: (1, {'@': 67}), 75: (1, {'@': 67}), 65: (1, {'@': 67}), 3: (1, {'@': 67}), 71: (1, {'@': 67}), 72: (1, {'@': 67}), 5: (1, {'@': 67}), 60: (1, {'@': 67}), 15: (1, {'@': 67}), 22: (1, {'@': 67}), 23: (1, {'@': 67}), 17: (1, {'@': 67}), 70: (1, {'@': 67}), 24: (1, {'@': 67}), 25: (1, {'@': 67}), 14: (1, {'@': 67}), 2: (1, {'@': 67}), 26: (1, {'@': 67}), 27: (1, {'@': 67}), 76: (1, {'@': 67}), 61: (1, {'@': 67}), 62: (1, {'@': 67}), 63: (1, {'@': 67}), 77: (1, {'@': 67}), 58: (1, {'@': 67}), 1: (1, {'@': 67}), 29: (1, {'@': 67}), 30: (1, {'@': 67}), 78: (1, {'@': 67}), 31: (1, {'@': 67}), 59: (1, {'@': 67}), 32: (1, {'@': 67}), 33: (1, {'@': 67})}, 36: {0: (1, {'@': 68}), 18: (1, {'@': 68}), 20: (1, {'@': 68}), 74: (1, {'@': 68}), 68: (1, {'@': 68}), 69: (1, {'@': 68}), 21: (1, {'@': 68}), 64: (1, {'@': 68}), 75: (1, {'@': 68}), 65: (1, {'@': 68}), 3: (1, {'@': 68}), 71: (1, {'@': 68}), 72: (1, {'@': 68}), 5: (1, {'@': 68}), 60: (1, {'@': 68}), 15: (1, {'@': 68}), 22: (1, {'@': 68}), 23: (1, {'@': 68}), 17: (1, {'@': 68}), 70: (1, {'@': 68}), 24: (1, {'@': 68}), 25: (1, {'@': 68}), 14: (1, {'@': 68}), 2: (1, {'@': 68}), 26: (1, {'@': 68}), 27: (1, {'@': 68}), 76: (1, {'@': 68}), 61: (1, {'@': 68}), 62: (1, {'@': 68}), 63: (1, {'@': 68}), 77: (1, {'@': 68}), 58: (1, {'@': 68}), 1: (1, {'@': 68}), 29: (1, {'@': 68}), 30: (1, {'@': 68}), 78: (1, {'@': 68}), 31: (1, {'@': 68}), 59: (1, {'@': 68}), 32: (1, {'@': 68}), 33: (1, {'@': 68})}, 37: {18: (1, {'@': 69}), 21: (1, {'@': 69}), 64: (1, {'@': 69}), 71: (1, {'@': 69}), 72: (1, {'@': 69}), 22: (1, {'@': 69}), 70: (1, {'@': 69}), 26: (1, {'@': 69}), 27: (1, {'@': 69}), 62: (1, {'@': 69}), 63: (1, {'@': 69}), 29: (1, {'@': 69}), 30: (1, {'@': 69}), 78: (1, {'@': 69}), 31: (1, {'@': 69}), 59: (1, {'@': 69}), 33: (1, {'@': 69}), 0: (1, {'@': 69}), 20: (1, {'@': 69}), 74: (1, {'@': 69}), 68: (1, {'@': 69}), 69: (1, {'@': 69}), 65: (1, {'@': 69}), 3: (1, {'@': 69}), 5: (1, {'@': 69}), 60: (1, {'@': 69}), 15: (1, {'@': 69}), 23: (1, {'@': 69}), 17: (1, {'@': 69}), 24: (1, {'@': 69}), 25: (1, {'@': 69}), 14: (1, {'@': 69}), 2: (1, {'@': 69}), 61: (1, {'@': 69}), 77: (1, {'@': 69}), 58: (1, {'@': 69}), 1: (1, {'@': 69}), 32: (1, {'@': 69})}, 38: {0: (1, {'@': 70}), 18: (1, {'@': 70}), 20: (1, {'@': 70}), 74: (1, {'@': 70}), 68: (1, {'@': 70}), 69: (1, {'@': 70}), 21: (1, {'@': 70}), 64: (1, {'@': 70}), 75: (1, {'@': 70}), 65: (1, {'@': 70}), 3: (1, {'@': 70}), 71: (1, {'@': 70}), 72: (1, {'@': 70}), 5: (1, {'@': 70}), 60: (1, {'@': 70}), 15: (1, {'@': 70}), 22: (1, {'@': 70}), 23: (1, {'@': 70}), 17: (1, {'@': 70}), 70: (1, {'@': 70}), 24: (1, {'@': 70}), 25: (1, {'@': 70}), 14: (1, {'@': 70}), 2: (1, {'@': 70}), 26: (1, {'@': 70}), 27: (1, {'@': 70}), 76: (1, {'@': 70}), 61: (1, {'@': 70}), 62: (1, {'@': 70}), 63: (1, {'@': 70}), 77: (1, {'@': 70}), 58: (1, {'@': 70}), 1: (1, {'@': 70}), 29: (1, {'@': 70}), 30: (1, {'@': 70}), 78: (1, {'@': 70}), 31: (1, {'@': 70}), 59: (1, {'@': 70}), 32: (1, {'@': 70}), 33: (1, {'@': 70})}, 39: {0: (1, {'@': 71}), 18: (1, {'@': 71}), 20: (1, {'@': 71}), 74: (1, {'@': 71}), 68: (1, {'@': 71}), 69: (1, {'@': 71}), 21: (1, {'@': 71}), 64: (1, {'@': 71}), 75: (1, {'@': 71}), 65: (1, {'@': 71}), 3: (1, {'@': 71}), 71: (1, {'@': 71}), 72: (1, {'@': 71}), 5: (1, {'@': 71}), 60: (1, {'@': 71}), 15: (1, {'@': 71}), 22: (1, {'@': 71}), 23: (1, {'@': 71}), 17: (1, {'@': 71}), 70: (1, {'@': 71}), 24: (1, {'@': 71}), 25: (1, {'@': 71}), 14: (1, {'@': 71}), 2: (1, {'@': 71}), 26: (1, {'@': 71}), 27: (1, {'@': 71}), 76: (1, {'@': 71}), 61: (1, {'@': 71}), 62: (1, {'@': 71}), 63: (1, {'@': 71}), 77: (1, {'@': 71}), 79: (1, {'@': 71}), 58: (1, {'@': 71}), 1: (1, {'@': 71}), 29: (1, {'@': 71}), 30: (1, {'@': 71}), 78: (1, {'@': 71}), 31: (1, {'@': 71}), 59: (1, {'@': 71}), 32: (1, {'@': 71}), 33: (1, {'@': 71})}, 40: {0: (1, {'@': 72}), 18: (1, {'@': 72}), 20: (1, {'@': 72}), 74: (1, {'@': 72}), 68: (1, {'@': 72}), 69: (1, {'@': 72}), 21: (1, {'@': 72}), 64: (1, {'@': 72}), 75: (1, {'@': 72}), 65: (1, {'@': 72}), 3: (1, {'@': 72}), 71: (1, {'@': 72}), 72: (1, {'@': 72}), 5: (1, {'@': 72}), 60: (1, {'@': 72}), 15: (1, {'@': 72}), 22: (1, {'@': 72}), 23: (1, {'@': 72}), 17: (1, {'@': 72}), 70: (1, {'@': 72}), 24: (1, {'@': 72}), 25: (1, {'@': 72}), 14: (1, {'@': 72}), 2: (1, {'@': 72}), 26: (1, {'@': 72}), 27: (1, {'@': 72}), 76: (1, {'@': 72}), 61: (1, {'@': 72}), 62: (1, {'@': 72}), 63: (1, {'@': 72}), 77: (1, {'@': 72}), 58: (1, {'@': 72}), 1: (1, {'@': 72}), 29: (1, {'@': 72}), 30: (1, {'@': 72}), 78: (1, {'@': 72}), 31: (1, {'@': 72}), 59: (1, {'@': 72}), 32: (1, {'@': 72}), 33: (1, {'@': 72})}, 41: {0: (1, {'@': 73}), 18: (1, {'@': 73}), 20: (1, {'@': 73}), 74: (1, {'@': 73}), 68: (1, {'@': 73}), 69: (1, {'@': 73}), 21: (1, {'@': 73}), 64: (1, {'@': 73}), 75: (1, {'@': 73}), 65: (1, {'@': 73}), 3: (1, {'@': 73}), 71: (1, {'@': 73}), 72: (1, {'@': 73}), 5: (1, {'@': 73}), 60: (1, {'@': 73}), 15: (1, {'@': 73}), 22: (1, {'@': 73}), 23: (1, {'@': 73}), 17: (1, {'@': 73}), 70: (1, {'@': 73}), 24: (1, {'@': 73}), 25: (1, {'@': 73}), 14: (1, {'@': 73}), 2: (1, {'@': 73}), 26: (1, {'@': 73}), 27: (1, {'@': 73}), 76: (1, {'@': 73}), 61: (1, {'@': 73}), 62: (1, {'@': 73}), 63: (1, {'@': 73}), 77: (1, {'@': 73}), 58: (1, {'@': 73}), 1: (1, {'@': 73}), 29: (1, {'@': 73}), 30: (1, {'@': 73}), 78: (1, {'@': 73}), 31: (1, {'@': 73}), 59: (1, {'@': 73}), 32: (1, {'@': 73}), 33: (1, {'@': 73})}, 42: {0: (1, {'@': 74}), 18: (1, {'@': 74}), 20: (1, {'@': 74}), 74: (1, {'@': 74}), 68: (1, {'@': 74}), 69: (1, {'@': 74}), 21: (1, {'@': 74}), 64: (1, {'@': 74}), 75: (1, {'@': 74}), 65: (1, {'@': 74}), 3: (1, {'@': 74}), 71: (1, {'@': 74}), 72: (1, {'@': 74}), 5: (1, {'@': 74}), 60: (1, {'@': 74}), 15: (1, {'@': 74}), 22: (1, {'@': 74}), 23: (1, {'@': 74}), 17: (1, {'@': 74}), 70: (1, {'@': 74}), 24: (1, {'@': 74}), 25: (1, {'@': 74}), 14: (1, {'@': 74}), 2: (1, {'@': 74}), 26: (1, {'@': 74}), 27: (1, {'@': 74}), 76: (1, {'@': 74}), 61: (1, {'@': 74}), 62: (1, {'@': 74}), 63: (1, {'@': 74}), 77: (1, {'@': 74}), 58: (1, {'@': 74}), 1: (1, {'@': 74}), 29: (1, {'@': 74}), 30: (1, {'@': 74}), 78: (1, {'@': 74}), 31: (1, {'@': 74}), 59: (1, {'@': 74}), 32: (1, {'@': 74}), 33: (1, {'@': 74})}, 43: {0: (1, {'@': 75}), 18: (1, {'@': 75}), 20: (1, {'@': 75}), 74: (1, {'@': 75}), 68: (1, {'@': 75}), 69: (1, {'@': 75}), 21: (1, {'@': 75}), 64: (1, {'@': 75}), 75: (1, {'@': 75}), 65: (1, {'@': 75}), 3: (1, {'@': 75}), 71: (1, {'@': 75}), 72: (1, {'@': 75}), 5: (1, {'@': 75}), 60: (1, {'@': 75}), 15: (1, {'@': 75}), 22: (1, {'@': 75}), 23: (1, {'@': 75}), 17: (1, {'@': 75}), 70: (1, {'@': 75}), 24: (1, {'@': 75}), 25: (1, {'@': 75}), 14: (1, {'@': 75}), 2: (1, {'@': 75}), 26: (1, {'@': 75}), 27: (1, {'@': 75}), 76: (1, {'@': 75}), 61: (1, {'@': 75}), 62: (1, {'@': 75}), 63: (1, {'@': 75}), 77: (1, {'@': 75}), 58: (1, {'@': 75}), 1: (1, {'@': 75}), 29: (1, {'@': 75}), 30: (1, {'@': 75}), 78: (1, {'@': 75}), 31: (1, {'@': 75}), 59: (1, {'@': 75}), 32: (1, {'@': 75}), 33: (1, {'@': 75})}, 44: {22: (0, 30), 14: (0, 32), 35: (0, 33), 5: (0, 34), 42: (0, 102), 25: (0, 52), 47: (0, 53), 36: (0, 35), 37: (0, 36), 20: (0, 54), 49: (0, 56), 51: (0, 58), 31: (0, 59), 26: (0, 38), 29: (0, 39), 56: (0, 65), 52: (0, 60), 39: (0, 40), 40: (0, 41), 43: (0, 47), 21: (0, 42), 41: (0, 43), 17: (0, 61), 53: (0, 62), 45: (0, 49), 44: (0, 48), 54: (0, 63), 24: (0, 50), 55: (0, 64)}, 45: {18: (1, {'@': 76}), 21: (1, {'@': 76}), 64: (1, {'@': 76}), 71: (1, {'@': 76}), 72: (1, {'@': 76}), 22: (0, 103), 70: (1, {'@': 76}), 26: (1, {'@': 76}), 27: (1, {'@': 76}), 62: (1, {'@': 76}), 63: (1, {'@': 76}), 29: (1, {'@': 76}), 30: (1, {'@': 76}), 78: (1, {'@': 76}), 31: (1, {'@': 76}), 59: (1, {'@': 76}), 33: (1, {'@': 76}), 0: (1, {'@': 76}), 20: (1, {'@': 76}), 74: (1, {'@': 76}), 68: (1, {'@': 76}), 69: (1, {'@': 76}), 65: (1, {'@': 76}), 3: (1, {'@': 76}), 5: (1, {'@': 76}), 60: (1, {'@': 76}), 15: (1, {'@': 76}), 23: (1, {'@': 76}), 17: (1, {'@': 76}), 24: (1, {'@': 76}), 25: (1, {'@': 76}), 14: (1, {'@': 76}), 2: (1, {'@': 76}), 61: (1, {'@': 76}), 77: (1, {'@': 76}), 58: (1, {'@': 76}), 1: (1, {'@': 76}), 32: (1, {'@': 76}), 75: (0, 104), 76: (0, 105), 80: (0, 106), 81: (0, 107), 82: (0, 108), 83: (0, 109)}, 46: {22: (0, 30), 14: (0, 32), 35: (0, 33), 5: (0, 34), 25: (0, 52), 47: (0, 53), 36: (0, 35), 37: (0, 36), 20: (0, 54), 49: (0, 56), 51: (0, 58), 31: (0, 59), 42: (0, 110), 26: (0, 38), 29: (0, 39), 56: (0, 65), 52: (0, 60), 39: (0, 40), 40: (0, 41), 43: (0, 47), 21: (0, 42), 41: (0, 43), 17: (0, 61), 53: (0, 62), 45: (0, 49), 44: (0, 48), 54: (0, 63), 24: (0, 50), 55: (0, 64)}, 47: {0: (1, {'@': 77}), 18: (1, {'@': 77}), 20: (1, {'@': 77}), 74: (1, {'@': 77}), 68: (1, {'@': 77}), 69: (1, {'@': 77}), 21: (1, {'@': 77}), 64: (1, {'@': 77}), 75: (0, 113), 65: (1, {'@': 77}), 3: (1, {'@': 77}), 71: (1, {'@': 77}), 72: (1, {'@': 77}), 5: (1, {'@': 77}), 60: (1, {'@': 77}), 15: (1, {'@': 77}), 22: (1, {'@': 77}), 23: (1, {'@': 77}), 17: (1, {'@': 77}), 70: (1, {'@': 77}), 24: (1, {'@': 77}), 25: (1, {'@': 77}), 14: (1, {'@': 77}), 2: (1, {'@': 77}), 26: (1, {'@': 77}), 27: (1, {'@': 77}), 76: (1, {'@': 77}), 61: (1, {'@': 77}), 62: (1, {'@': 77}), 63: (1, {'@': 77}), 77: (1, {'@': 77}), 58: (1, {'@': 77}), 1: (1, {'@': 77}), 29: (0, 112), 30: (1, {'@': 77}), 78: (1, {'@': 77}), 31: (1, {'@': 77}), 59: (1, {'@': 77}), 32: (1, {'@': 77}), 33: (1, {'@': 77}), 79: (0, 111)}, 48: {0: (1, {'@': 78}), 18: (1, {'@': 78}), 20: (1, {'@': 78}), 74: (1, {'@': 78}), 68: (1, {'@': 78}), 69: (1, {'@': 78}), 21: (1, {'@': 78}), 64: (1, {'@': 78}), 75: (1, {'@': 78}), 65: (1, {'@': 78}), 3: (1, {'@': 78}), 71: (1, {'@': 78}), 72: (1, {'@': 78}), 5: (1, {'@': 78}), 60: (1, {'@': 78}), 15: (1, {'@': 78}), 22: (1, {'@': 78}), 23: (1, {'@': 78}), 17: (1, {'@': 78}), 70: (1, {'@': 78}), 24: (1, {'@': 78}), 25: (1, {'@': 78}), 14: (1, {'@': 78}), 2: (1, {'@': 78}), 26: (1, {'@': 78}), 27: (1, {'@': 78}), 76: (1, {'@': 78}), 61: (1, {'@': 78}), 62: (1, {'@': 78}), 63: (1, {'@': 78}), 77: (1, {'@': 78}), 58: (1, {'@': 78}), 1: (1, {'@': 78}), 29: (1, {'@': 78}), 30: (1, {'@': 78}), 78: (1, {'@': 78}), 31: (1, {'@': 78}), 59: (1, {'@': 78}), 32: (1, {'@': 78}), 33: (1, {'@': 78})}, 49: {0: (1, {'@': 79}), 18: (1, {'@': 79}), 20: (1, {'@': 79}), 74: (1, {'@': 79}), 68: (1, {'@': 79}), 69: (1, {'@': 79}), 21: (1, {'@': 79}), 64: (1, {'@': 79}), 75: (1, {'@': 79}), 65: (1, {'@': 79}), 3: (1, {'@': 79}), 71: (1, {'@': 79}), 72: (1, {'@': 79}), 5: (1, {'@': 79}), 60: (1, {'@': 79}), 15: (1, {'@': 79}), 22: (1, {'@': 79}), 23: (1, {'@': 79}), 17: (1, {'@': 79}), 70: (1, {'@': 79}), 24: (1, {'@': 79}), 25: (1, {'@': 79}), 14: (1, {'@': 79}), 2: (1, {'@': 79}), 26: (1, {'@': 79}), 27: (1, {'@': 79}), 76: (1, {'@': 79}), 61: (1, {'@': 79}), 62: (1, {'@': 79}), 63: (1, {'@': 79}), 77: (1, {'@': 79}), 58: (1, {'@': 79}), 1: (1, {'@': 79}), 29: (1, {'@': 79}), 30: (1, {'@': 79}), 78: (1, {'@': 79}), 31: (1, {'@': 79}), 59: (1, {'@': 79}), 32: (1, {'@': 79}), 33: (1, {'@': 79})}, 50: {0: (1, {'@': 80}), 18: (1, {'@': 80}), 20: (1, {'@': 80}), 74: (1, {'@': 80}), 68: (1, {'@': 80}), 69: (1, {'@': 80}), 21: (1, {'@': 80}), 64: (1, {'@': 80}), 75: (1, {'@': 80}), 65: (1, {'@': 80}), 3: (1, {'@': 80}), 71: (1, {'@': 80}), 72: (1, {'@': 80}), 5: (1, {'@': 80}), 60: (1, {'@': 80}), 15: (1, {'@': 80}), 22: (1, {'@': 80}), 23: (1, {'@': 80}), 17: (1, {'@': 80}), 70: (1, {'@': 80}), 24: (1, {'@': 80}), 25: (1, {'@': 80}), 14: (1, {'@': 80}), 2: (1, {'@': 80}), 26: (1, {'@': 80}), 27: (1, {'@': 80}), 76: (1, {'@': 80}), 61: (1, {'@': 80}), 62: (1, {'@': 80}), 63: (1, {'@': 80}), 77: (1, {'@': 80}), 58: (1, {'@': 80}), 1: (1, {'@': 80}), 29: (1, {'@': 80}), 30: (1, {'@': 80}), 78: (1, {'@': 80}), 31: (1, {'@': 80}), 59: (1, {'@': 80}), 32: (1, {'@': 80}), 33: (1, {'@': 80})}, 51: {0: (1, {'@': 81}), 18: (1, {'@': 81}), 20: (1, {'@': 81}), 74: (1, {'@': 81}), 68: (1, {'@': 81}), 69: (1, {'@': 81}), 21: (1, {'@': 81}), 64: (1, {'@': 81}), 65: (1, {'@': 81}), 3: (1, {'@': 81}), 71: (1, {'@': 81}), 72: (1, {'@': 81}), 5: (1, {'@': 81}), 60: (1, {'@': 81}), 15: (1, {'@': 81}), 22: (1, {'@': 81}), 23: (1, {'@': 81}), 17: (1, {'@': 81}), 70: (1, {'@': 81}), 24: (1, {'@': 81}), 25: (1, {'@': 81}), 14: (1, {'@': 81}), 2: (1, {'@': 81}), 26: (1, {'@': 81}), 27: (1, {'@': 81}), 61: (1, {'@': 81}), 62: (1, {'@': 81}), 63: (1, {'@': 81}), 77: (1, {'@': 81}), 58: (1, {'@': 81}), 1: (1, {'@': 81}), 29: (1, {'@': 81}), 30: (1, {'@': 81}), 78: (1, {'@': 81}), 31: (1, {'@': 81}), 59: (1, {'@': 81}), 32: (1, {'@': 81}), 33: (1, {'@': 81})}, 52: {0: (1, {'@': 82}), 18: (1, {'@': 82}), 20: (1, {'@': 82}), 74: (1, {'@': 82}), 68: (1, {'@': 82}), 69: (1, {'@': 82}), 21: (1, {'@': 82}), 64: (1, {'@': 82}), 75: (1, {'@': 82}), 65: (1, {'@': 82}), 3: (1, {'@': 82}), 71: (1, {'@': 82}), 72: (1, {'@': 82}), 5: (1, {'@': 82}), 60: (1, {'@': 82}), 15: (1, {'@': 82}), 22: (1, {'@': 82}), 23: (1, {'@': 82}), 17: (1, {'@': 82}), 70: (1, {'@': 82}), 24: (1, {'@': 82}), 25: (1, {'@': 82}), 14: (1, {'@': 82}), 2: (1, {'@': 82}), 26: (1, {'@': 82}), 27: (1, {'@': 82}), 76: (1, {'@': 82}), 61: (1, {'@': 82}), 62: (1, {'@': 82}), 63: (1, {'@': 82}), 77: (1, {'@': 82}), 58: (1, {'@': 82}), 1: (1, {'@': 82}), 29: (1, {'@': 82}), 30: (1, {'@': 82}), 78: (1, {'@': 82}), 31: (1, {'@': 82}), 59: (1, {'@': 82}), 32: (1, {'@': 82}), 33: (1, {'@': 82})}, 53: {0: (1, {'@': 83}), 18: (1, {'@': 83}), 20: (1, {'@': 83}), 74: (1, {'@': 83}), 68: (1, {'@': 83}), 69: (1, {'@': 83}), 21: (1, {'@': 83}), 64: (1, {'@': 83}), 75: (1, {'@': 83}), 65: (1, {'@': 83}), 3: (1, {'@': 83}), 71: (1, {'@': 83}), 72: (1, {'@': 83}), 5: (1, {'@': 83}), 60: (1, {'@': 83}), 15: (1, {'@': 83}), 22: (1, {'@': 83}), 23: (1, {'@': 83}), 17: (1, {'@': 83}), 70: (1, {'@': 83}), 24: (1, {'@': 83}), 25: (1, {'@': 83}), 14: (1, {'@': 83}), 2: (1, {'@': 83}), 26: (1, {'@': 83}), 27: (1, {'@': 83}), 76: (1, {'@': 83}), 61: (1, {'@': 83}), 62: (1, {'@': 83}), 63: (1, {'@': 83}), 77: (1, {'@': 83}), 58: (1, {'@': 83}), 1: (1, {'@': 83}), 29: (1, {'@': 83}), 30: (1, {'@': 83}), 78: (1, {'@': 83}), 31: (1, {'@': 83}), 59: (1, {'@': 83}), 32: (1, {'@': 83}), 33: (1, {'@': 83})}, 54: {0: (1, {'@': 84}), 18: (1, {'@': 84}), 20: (1, {'@': 84}), 74: (1, {'@': 84}), 68: (1, {'@': 84}), 69: (1, {'@': 84}), 21: (1, {'@': 84}), 64: (1, {'@': 84}), 75: (1, {'@': 84}), 65: (1, {'@': 84}), 3: (1, {'@': 84}), 71: (1, {'@': 84}), 72: (1, {'@': 84}), 5: (1, {'@': 84}), 60: (1, {'@': 84}), 15: (1, {'@': 84}), 22: (1, {'@': 84}), 23: (1, {'@': 84}), 17: (1, {'@': 84}), 70: (1, {'@': 84}), 24: (1, {'@': 84}), 25: (1, {'@': 84}), 14: (1, {'@': 84}), 2: (1, {'@': 84}), 26: (1, {'@': 84}), 27: (1, {'@': 84}), 76: (1, {'@': 84}), 61: (1, {'@': 84}), 62: (1, {'@': 84}), 63: (1, {'@': 84}), 77: (1, {'@': 84}), 58: (1, {'@': 84}), 1: (1, {'@': 84}), 29: (1, {'@': 84}), 30: (1, {'@': 84}), 78: (1, {'@': 84}), 31: (1, {'@': 84}), 59: (1, {'@': 84}), 32: (1, {'@': 84}), 33: (1, {'@': 84})}, 55: {0: (1, {'@': 85}), 18: (1, {'@': 85}), 20: (1, {'@': 85}), 74: (1, {'@': 85}), 68: (1, {'@': 85}), 69: (1, {'@': 85}), 21: (1, {'@': 85}), 64: (1, {'@': 85}), 65: (1, {'@': 85}), 3: (1, {'@': 85}), 71: (1, {'@': 85}), 72: (1, {'@': 85}), 5: (1, {'@': 85}), 60: (1, {'@': 85}), 15: (1, {'@': 85}), 22: (1, {'@': 85}), 23: (1, {'@': 85}), 17: (1, {'@': 85}), 70: (1, {'@': 85}), 24: (1, {'@': 85}), 25: (1, {'@': 85}), 14: (1, {'@': 85}), 2: (1, {'@': 85}), 26: (1, {'@': 85}), 27: (1, {'@': 85}), 61: (1, {'@': 85}), 62: (1, {'@': 85}), 63: (1, {'@': 85}), 77: (1, {'@': 85}), 58: (1, {'@': 85}), 1: (1, {'@': 85}), 29: (1, {'@': 85}), 30: (1, {'@': 85}), 78: (1, {'@': 85}), 31: (1, {'@': 85}), 59: (1, {'@': 85}), 32: (1, {'@': 85}), 33: (1, {'@': 85})}, 56: {0: (1, {'@': 86}), 18: (1, {'@': 86}), 20: (1, {'@': 86}), 74: (1, {'@': 86}), 68: (1, {'@': 86}), 69: (1, {'@': 86}), 21: (1, {'@': 86}), 64: (1, {'@': 86}), 75: (1, {'@': 86}), 65: (1, {'@': 86}), 3: (1, {'@': 86}), 71: (1, {'@': 86}), 72: (1, {'@': 86}), 5: (1, {'@': 86}), 60: (1, {'@': 86}), 15: (1, {'@': 86}), 22: (1, {'@': 86}), 23: (1, {'@': 86}), 17: (1, {'@': 86}), 70: (1, {'@': 86}), 24: (1, {'@': 86}), 25: (1, {'@': 86}), 14: (1, {'@': 86}), 2: (1, {'@': 86}), 26: (1, {'@': 86}), 27: (1, {'@': 86}), 76: (1, {'@': 86}), 61: (1, {'@': 86}), 62: (1, {'@': 86}), 63: (1, {'@': 86}), 77: (1, {'@': 86}), 58: (1, {'@': 86}), 1: (1, {'@': 86}), 29: (1, {'@': 86}), 30: (1, {'@': 86}), 78: (1, {'@': 86}), 31: (1, {'@': 86}), 59: (1, {'@': 86}), 32: (1, {'@': 86}), 33: (1, {'@': 86})}, 57: {18: (1, {'@': 87}), 21: (1, {'@': 87}), 64: (1, {'@': 87}), 71: (1, {'@': 87}), 72: (1, {'@': 87}), 22: (1, {'@': 87}), 70: (1, {'@': 87}), 26: (1, {'@': 87}), 27: (1, {'@': 87}), 62: (1, {'@': 87}), 63: (1, {'@': 87}), 29: (1, {'@': 87}), 30: (1, {'@': 87}), 78: (1, {'@': 87}), 31: (1, {'@': 87}), 59: (1, {'@': 87}), 33: (1, {'@': 87}), 0: (1, {'@': 87}), 20: (1, {'@': 87}), 74: (1, {'@': 87}), 68: (1, {'@': 87}), 69: (1, {'@': 87}), 65: (1, {'@': 87}), 3: (1, {'@': 87}), 5: (1, {'@': 87}), 60: (1, {'@': 87}), 15: (1, {'@': 87}), 23: (1, {'@': 87}), 17: (1, {'@': 87}), 24: (1, {'@': 87}), 25: (1, {'@': 87}), 14: (1, {'@': 87}), 2: (1, {'@': 87}), 61: (1, {'@': 87}), 77: (1, {'@': 87}), 58: (1, {'@': 87}), 1: (1, {'@': 87}), 32: (1, {'@': 87})}, 58: {0: (1, {'@': 88}), 18: (1, {'@': 88}), 20: (1, {'@': 88}), 74: (1, {'@': 88}), 68: (1, {'@': 88}), 69: (1, {'@': 88}), 21: (1, {'@': 88}), 64: (1, {'@': 88}), 75: (1, {'@': 88}), 65: (1, {'@': 88}), 3: (1, {'@': 88}), 71: (1, {'@': 88}), 72: (1, {'@': 88}), 5: (1, {'@': 88}), 60: (1, {'@': 88}), 15: (1, {'@': 88}), 22: (1, {'@': 88}), 23: (1, {'@': 88}), 17: (1, {'@': 88}), 70: (1, {'@': 88}), 24: (1, {'@': 88}), 25: (1, {'@': 88}), 14: (1, {'@': 88}), 2: (1, {'@': 88}), 26: (1, {'@': 88}), 27: (1, {'@': 88}), 76: (1, {'@': 88}), 61: (1, {'@': 88}), 62: (1, {'@': 88}), 63: (1, {'@': 88}), 77: (1, {'@': 88}), 58: (1, {'@': 88}), 1: (1, {'@': 88}), 29: (1, {'@': 88}), 30: (1, {'@': 88}), 78: (1, {'@': 88}), 31: (1, {'@': 88}), 59: (1, {'@': 88}), 32: (1, {'@': 88}), 33: (1, {'@': 88})}, 59: {22: (0, 30), 34: (0, 114), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 60: {0: (1, {'@': 89}), 18: (1, {'@': 89}), 20: (1, {'@': 89}), 74: (1, {'@': 89}), 68: (1, {'@': 89}), 69: (1, {'@': 89}), 21: (1, {'@': 89}), 64: (1, {'@': 89}), 75: (1, {'@': 89}), 65: (1, {'@': 89}), 3: (1, {'@': 89}), 71: (1, {'@': 89}), 72: (1, {'@': 89}), 5: (1, {'@': 89}), 60: (1, {'@': 89}), 15: (1, {'@': 89}), 22: (1, {'@': 89}), 23: (1, {'@': 89}), 17: (1, {'@': 89}), 70: (1, {'@': 89}), 24: (1, {'@': 89}), 25: (1, {'@': 89}), 14: (1, {'@': 89}), 2: (1, {'@': 89}), 26: (1, {'@': 89}), 27: (1, {'@': 89}), 76: (1, {'@': 89}), 61: (1, {'@': 89}), 62: (1, {'@': 89}), 63: (1, {'@': 89}), 77: (1, {'@': 89}), 58: (1, {'@': 89}), 1: (1, {'@': 89}), 29: (1, {'@': 89}), 30: (1, {'@': 89}), 78: (1, {'@': 89}), 31: (1, {'@': 89}), 59: (1, {'@': 89}), 32: (1, {'@': 89}), 33: (1, {'@': 89})}, 61: {0: (1, {'@': 90}), 18: (1, {'@': 90}), 20: (1, {'@': 90}), 74: (1, {'@': 90}), 68: (1, {'@': 90}), 69: (1, {'@': 90}), 21: (1, {'@': 90}), 64: (1, {'@': 90}), 75: (1, {'@': 90}), 65: (1, {'@': 90}), 3: (1, {'@': 90}), 71: (1, {'@': 90}), 72: (1, {'@': 90}), 5: (1, {'@': 90}), 60: (1, {'@': 90}), 15: (1, {'@': 90}), 22: (1, {'@': 90}), 23: (1, {'@': 90}), 17: (1, {'@': 90}), 70: (1, {'@': 90}), 24: (1, {'@': 90}), 25: (1, {'@': 90}), 14: (1, {'@': 90}), 2: (1, {'@': 90}), 26: (1, {'@': 90}), 27: (1, {'@': 90}), 76: (1, {'@': 90}), 61: (1, {'@': 90}), 62: (1, {'@': 90}), 63: (1, {'@': 90}), 77: (1, {'@': 90}), 58: (1, {'@': 90}), 1: (1, {'@': 90}), 29: (1, {'@': 90}), 30: (1, {'@': 90}), 78: (1, {'@': 90}), 31: (1, {'@': 90}), 59: (1, {'@': 90}), 32: (1, {'@': 90}), 33: (1, {'@': 90})}, 62: {0: (1, {'@': 91}), 18: (1, {'@': 91}), 20: (1, {'@': 91}), 74: (1, {'@': 91}), 68: (1, {'@': 91}), 69: (1, {'@': 91}), 21: (1, {'@': 91}), 64: (1, {'@': 91}), 75: (1, {'@': 91}), 65: (1, {'@': 91}), 3: (1, {'@': 91}), 71: (1, {'@': 91}), 72: (1, {'@': 91}), 5: (1, {'@': 91}), 60: (1, {'@': 91}), 15: (1, {'@': 91}), 22: (1, {'@': 91}), 23: (1, {'@': 91}), 17: (1, {'@': 91}), 70: (1, {'@': 91}), 24: (1, {'@': 91}), 25: (1, {'@': 91}), 14: (1, {'@': 91}), 2: (1, {'@': 91}), 26: (1, {'@': 91}), 27: (1, {'@': 91}), 76: (1, {'@': 91}), 61: (1, {'@': 91}), 62: (1, {'@': 91}), 63: (1, {'@': 91}), 77: (1, {'@': 91}), 58: (1, {'@': 91}), 1: (1, {'@': 91}), 29: (1, {'@': 91}), 30: (1, {'@': 91}), 78: (1, {'@': 91}), 31: (1, {'@': 91}), 59: (1, {'@': 91}), 32: (1, {'@': 91}), 33: (1, {'@': 91})}, 63: {0: (1, {'@': 92}), 18: (1, {'@': 92}), 20: (1, {'@': 92}), 74: (1, {'@': 92}), 68: (1, {'@': 92}), 69: (1, {'@': 92}), 21: (1, {'@': 92}), 64: (1, {'@': 92}), 75: (1, {'@': 92}), 65: (1, {'@': 92}), 3: (1, {'@': 92}), 71: (1, {'@': 92}), 72: (1, {'@': 92}), 5: (1, {'@': 92}), 60: (1, {'@': 92}), 15: (1, {'@': 92}), 22: (1, {'@': 92}), 23: (1, {'@': 92}), 17: (1, {'@': 92}), 70: (1, {'@': 92}), 24: (1, {'@': 92}), 25: (1, {'@': 92}), 14: (1, {'@': 92}), 2: (1, {'@': 92}), 26: (1, {'@': 92}), 27: (1, {'@': 92}), 76: (1, {'@': 92}), 61: (1, {'@': 92}), 62: (1, {'@': 92}), 63: (1, {'@': 92}), 77: (1, {'@': 92}), 58: (1, {'@': 92}), 1: (1, {'@': 92}), 29: (1, {'@': 92}), 30: (1, {'@': 92}), 78: (1, {'@': 92}), 31: (1, {'@': 92}), 59: (1, {'@': 92}), 32: (1, {'@': 92}), 33: (1, {'@': 92})}, 64: {0: (1, {'@': 93}), 18: (1, {'@': 93}), 20: (1, {'@': 93}), 74: (1, {'@': 93}), 68: (1, {'@': 93}), 69: (1, {'@': 93}), 21: (1, {'@': 93}), 64: (1, {'@': 93}), 75: (1, {'@': 93}), 65: (1, {'@': 93}), 3: (1, {'@': 93}), 71: (1, {'@': 93}), 72: (1, {'@': 93}), 5: (1, {'@': 93}), 60: (1, {'@': 93}), 15: (1, {'@': 93}), 22: (1, {'@': 93}), 23: (1, {'@': 93}), 17: (1, {'@': 93}), 70: (1, {'@': 93}), 24: (1, {'@': 93}), 25: (1, {'@': 93}), 14: (1, {'@': 93}), 2: (1, {'@': 93}), 26: (1, {'@': 93}), 27: (1, {'@': 93}), 76: (1, {'@': 93}), 61: (1, {'@': 93}), 62: (1, {'@': 93}), 63: (1, {'@': 93}), 77: (1, {'@': 93}), 58: (1, {'@': 93}), 1: (1, {'@': 93}), 29: (1, {'@': 93}), 30: (1, {'@': 93}), 78: (1, {'@': 93}), 31: (1, {'@': 93}), 59: (1, {'@': 93}), 32: (1, {'@': 93}), 33: (1, {'@': 93})}, 65: {0: (1, {'@': 94}), 18: (1, {'@': 94}), 20: (1, {'@': 94}), 74: (1, {'@': 94}), 68: (1, {'@': 94}), 69: (1, {'@': 94}), 21: (1, {'@': 94}), 64: (1, {'@': 94}), 75: (1, {'@': 94}), 65: (1, {'@': 94}), 3: (1, {'@': 94}), 71: (1, {'@': 94}), 72: (1, {'@': 94}), 5: (1, {'@': 94}), 60: (1, {'@': 94}), 15: (1, {'@': 94}), 22: (1, {'@': 94}), 23: (1, {'@': 94}), 17: (1, {'@': 94}), 70: (1, {'@': 94}), 24: (1, {'@': 94}), 25: (1, {'@': 94}), 14: (1, {'@': 94}), 2: (1, {'@': 94}), 26: (1, {'@': 94}), 27: (1, {'@': 94}), 76: (1, {'@': 94}), 61: (1, {'@': 94}), 62: (1, {'@': 94}), 63: (1, {'@': 94}), 77: (1, {'@': 94}), 58: (1, {'@': 94}), 1: (1, {'@': 94}), 29: (1, {'@': 94}), 30: (1, {'@': 94}), 78: (1, {'@': 94}), 31: (1, {'@': 94}), 59: (1, {'@': 94}), 32: (1, {'@': 94}), 33: (1, {'@': 94})}, 66: {3: (0, 2), 2: (0, 115), 5: (0, 116), 9: (0, 7), 10: (0, 117), 0: (0, 6), 1: (0, 8)}, 67: {14: (1, {'@': 95}), 17: (1, {'@': 95}), 5: (1, {'@': 95})}, 68: {14: (1, {'@': 96}), 17: (1, {'@': 96}), 5: (1, {'@': 96})}, 69: {4: (1, {'@': 97})}, 70: {0: (1, {'@': 98}), 1: (1, {'@': 98}), 4: (1, {'@': 98}), 2: (1, {'@': 98}), 3: (1, {'@': 98}), 5: (1, {'@': 98})}, 71: {22: (0, 30), 34: (0, 118), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 72: {2: (0, 119)}, 73: {0: (1, {'@': 99}), 18: (1, {'@': 99}), 20: (1, {'@': 99}), 74: (1, {'@': 99}), 68: (1, {'@': 99}), 69: (1, {'@': 99}), 21: (1, {'@': 99}), 64: (1, {'@': 99}), 75: (1, {'@': 99}), 65: (1, {'@': 99}), 3: (1, {'@': 99}), 71: (1, {'@': 99}), 72: (1, {'@': 99}), 5: (1, {'@': 99}), 60: (1, {'@': 99}), 15: (1, {'@': 99}), 22: (1, {'@': 99}), 23: (1, {'@': 99}), 17: (1, {'@': 99}), 70: (1, {'@': 99}), 24: (1, {'@': 99}), 25: (1, {'@': 99}), 14: (1, {'@': 99}), 2: (1, {'@': 99}), 26: (1, {'@': 99}), 27: (1, {'@': 99}), 76: (1, {'@': 99}), 61: (1, {'@': 99}), 62: (1, {'@': 99}), 63: (1, {'@': 99}), 77: (1, {'@': 99}), 58: (1, {'@': 99}), 1: (1, {'@': 99}), 29: (1, {'@': 99}), 30: (1, {'@': 99}), 78: (1, {'@': 99}), 31: (1, {'@': 99}), 59: (1, {'@': 99}), 32: (1, {'@': 99}), 33: (1, {'@': 99})}, 74: {10: (0, 120), 5: (0, 121), 9: (0, 7), 1: (0, 8), 3: (0, 2), 0: (0, 6)}, 75: {23: (0, 80), 84: (0, 122), 59: (0, 81), 9: (0, 7), 1: (0, 8), 18: (0, 123), 60: (0, 82), 10: (0, 124), 64: (0, 86), 65: (0, 87), 30: (0, 125), 71: (0, 93), 3: (0, 2), 58: (0, 79), 0: (0, 6), 61: (0, 83), 62: (0, 84), 63: (0, 85), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 72: (0, 94)}, 76: {22: (0, 30), 19: (0, 74), 34: (0, 126), 14: (0, 32), 35: (0, 33), 5: (0, 34), 57: (0, 127), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 18: (0, 128), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 55: (0, 64), 54: (0, 63), 56: (0, 65)}, 77: {22: (0, 30), 34: (0, 129), 14: (0, 32), 35: (0, 33), 5: (0, 34), 10: (0, 130), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 78: {0: (1, {'@': 100}), 1: (1, {'@': 100}), 4: (1, {'@': 100}), 2: (1, {'@': 100}), 3: (1, {'@': 100}), 5: (1, {'@': 100})}, 79: {27: (1, {'@': 101}), 20: (1, {'@': 101}), 21: (1, {'@': 101}), 5: (1, {'@': 101}), 22: (1, {'@': 101}), 17: (1, {'@': 101}), 23: (1, {'@': 101}), 24: (1, {'@': 101}), 25: (1, {'@': 101}), 29: (1, {'@': 101}), 14: (1, {'@': 101}), 31: (1, {'@': 101}), 26: (1, {'@': 101})}, 80: {27: (1, {'@': 102}), 20: (1, {'@': 102}), 21: (1, {'@': 102}), 5: (1, {'@': 102}), 22: (1, {'@': 102}), 17: (1, {'@': 102}), 23: (1, {'@': 102}), 24: (1, {'@': 102}), 25: (1, {'@': 102}), 29: (1, {'@': 102}), 14: (1, {'@': 102}), 31: (1, {'@': 102}), 26: (1, {'@': 102})}, 81: {27: (1, {'@': 103}), 20: (1, {'@': 103}), 21: (1, {'@': 103}), 5: (1, {'@': 103}), 22: (1, {'@': 103}), 17: (1, {'@': 103}), 23: (1, {'@': 103}), 24: (1, {'@': 103}), 25: (1, {'@': 103}), 29: (1, {'@': 103}), 14: (1, {'@': 103}), 31: (1, {'@': 103}), 26: (1, {'@': 103})}, 82: {22: (0, 30), 34: (0, 131), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 83: {27: (1, {'@': 104}), 20: (1, {'@': 104}), 21: (1, {'@': 104}), 5: (1, {'@': 104}), 22: (1, {'@': 104}), 17: (1, {'@': 104}), 23: (1, {'@': 104}), 24: (1, {'@': 104}), 25: (1, {'@': 104}), 29: (1, {'@': 104}), 14: (1, {'@': 104}), 31: (1, {'@': 104}), 26: (1, {'@': 104})}, 84: {27: (1, {'@': 105}), 20: (1, {'@': 105}), 21: (1, {'@': 105}), 5: (1, {'@': 105}), 22: (1, {'@': 105}), 17: (1, {'@': 105}), 23: (1, {'@': 105}), 24: (1, {'@': 105}), 25: (1, {'@': 105}), 29: (1, {'@': 105}), 14: (1, {'@': 105}), 31: (1, {'@': 105}), 26: (1, {'@': 105})}, 85: {27: (1, {'@': 106}), 20: (1, {'@': 106}), 21: (1, {'@': 106}), 5: (1, {'@': 106}), 22: (1, {'@': 106}), 17: (1, {'@': 106}), 23: (1, {'@': 106}), 24: (1, {'@': 106}), 25: (1, {'@': 106}), 29: (1, {'@': 106}), 14: (1, {'@': 106}), 31: (1, {'@': 106}), 26: (1, {'@': 106})}, 86: {27: (1, {'@': 107}), 20: (1, {'@': 107}), 21: (1, {'@': 107}), 5: (1, {'@': 107}), 22: (1, {'@': 107}), 17: (1, {'@': 107}), 23: (1, {'@': 107}), 24: (1, {'@': 107}), 25: (1, {'@': 107}), 29: (1, {'@': 107}), 14: (1, {'@': 107}), 31: (1, {'@': 107}), 26: (1, {'@': 107})}, 87: {27: (1, {'@': 108}), 20: (1, {'@': 108}), 21: (1, {'@': 108}), 5: (1, {'@': 108}), 22: (1, {'@': 108}), 17: (1, {'@': 108}), 23: (1, {'@': 108}), 24: (1, {'@': 108}), 25: (1, {'@': 108}), 29: (1, {'@': 108}), 14: (1, {'@': 108}), 31: (1, {'@': 108}), 26: (1, {'@': 108})}, 88: {0: (1, {'@': 109}), 18: (1, {'@': 109}), 20: (1, {'@': 109}), 74: (1, {'@': 109}), 68: (1, {'@': 109}), 69: (1, {'@': 109}), 21: (1, {'@': 109}), 64: (1, {'@': 109}), 65: (1, {'@': 109}), 3: (1, {'@': 109}), 71: (1, {'@': 109}), 72: (1, {'@': 109}), 5: (1, {'@': 109}), 60: (1, {'@': 109}), 15: (1, {'@': 109}), 22: (1, {'@': 109}), 23: (1, {'@': 109}), 17: (1, {'@': 109}), 70: (1, {'@': 109}), 24: (1, {'@': 109}), 25: (1, {'@': 109}), 14: (1, {'@': 109}), 2: (1, {'@': 109}), 26: (1, {'@': 109}), 27: (1, {'@': 109}), 61: (1, {'@': 109}), 62: (1, {'@': 109}), 63: (1, {'@': 109}), 77: (1, {'@': 109}), 58: (1, {'@': 109}), 1: (1, {'@': 109}), 29: (1, {'@': 109}), 30: (1, {'@': 109}), 78: (1, {'@': 109}), 31: (1, {'@': 109}), 59: (1, {'@': 109}), 32: (1, {'@': 109}), 33: (1, {'@': 109})}, 89: {22: (0, 30), 34: (0, 132), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 90: {27: (1, {'@': 110}), 20: (1, {'@': 110}), 21: (1, {'@': 110}), 5: (1, {'@': 110}), 22: (1, {'@': 110}), 17: (1, {'@': 110}), 23: (1, {'@': 110}), 24: (1, {'@': 110}), 25: (1, {'@': 110}), 29: (1, {'@': 110}), 14: (1, {'@': 110}), 31: (1, {'@': 110}), 26: (1, {'@': 110})}, 91: {27: (1, {'@': 111}), 20: (1, {'@': 111}), 21: (1, {'@': 111}), 5: (1, {'@': 111}), 22: (1, {'@': 111}), 17: (1, {'@': 111}), 23: (1, {'@': 111}), 24: (1, {'@': 111}), 25: (1, {'@': 111}), 29: (1, {'@': 111}), 14: (1, {'@': 111}), 31: (1, {'@': 111}), 26: (1, {'@': 111})}, 92: {27: (1, {'@': 112}), 20: (1, {'@': 112}), 21: (1, {'@': 112}), 5: (1, {'@': 112}), 22: (1, {'@': 112}), 17: (1, {'@': 112}), 23: (1, {'@': 112}), 24: (1, {'@': 112}), 25: (1, {'@': 112}), 29: (1, {'@': 112}), 14: (1, {'@': 112}), 31: (1, {'@': 112}), 26: (1, {'@': 112})}, 93: {27: (1, {'@': 113}), 20: (1, {'@': 113}), 21: (1, {'@': 113}), 5: (1, {'@': 113}), 22: (1, {'@': 113}), 17: (1, {'@': 113}), 23: (1, {'@': 113}), 24: (1, {'@': 113}), 25: (1, {'@': 113}), 29: (1, {'@': 113}), 14: (1, {'@': 113}), 31: (1, {'@': 113}), 26: (1, {'@': 113})}, 94: {27: (1, {'@': 114}), 20: (1, {'@': 114}), 21: (1, {'@': 114}), 5: (1, {'@': 114}), 22: (1, {'@': 114}), 17: (1, {'@': 114}), 23: (1, {'@': 114}), 24: (1, {'@': 114}), 25: (1, {'@': 114}), 29: (1, {'@': 114}), 14: (1, {'@': 114}), 31: (1, {'@': 114}), 26: (1, {'@': 114})}, 95: {22: (0, 30), 19: (0, 74), 34: (0, 96), 14: (0, 32), 35: (0, 33), 5: (0, 97), 36: (0, 35), 37: (0, 36), 38: (0, 37), 57: (0, 133), 26: (0, 38), 73: (0, 134), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 56: (0, 65), 52: (0, 60), 17: (0, 61), 53: (0, 62), 55: (0, 64), 54: (0, 63)}, 96: {22: (0, 30), 34: (0, 135), 14: (0, 32), 35: (0, 33), 5: (0, 34), 65: (0, 87), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 69: (0, 91), 72: (0, 94), 23: (0, 136), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 60: (0, 82), 64: (0, 86), 27: (0, 44), 42: (0, 45), 43: (0, 47), 44: (0, 48), 45: (0, 49), 68: (0, 90), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 59: (0, 81), 71: (0, 93), 58: (0, 79), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 62: (0, 84), 63: (0, 85), 31: (0, 59), 52: (0, 60), 17: (0, 61), 15: (0, 137), 53: (0, 62), 54: (0, 63), 61: (0, 83), 66: (0, 88), 67: (0, 89), 70: (0, 92), 55: (0, 64), 56: (0, 65)}, 97: {0: (1, {'@': 66}), 18: (1, {'@': 66}), 20: (0, 54), 74: (1, {'@': 66}), 68: (1, {'@': 66}), 69: (1, {'@': 66}), 21: (0, 42), 64: (1, {'@': 66}), 75: (1, {'@': 66}), 65: (1, {'@': 66}), 3: (1, {'@': 66}), 71: (1, {'@': 66}), 72: (1, {'@': 66}), 5: (0, 34), 60: (1, {'@': 66}), 15: (0, 140), 22: (0, 30), 23: (0, 46), 17: (0, 61), 70: (1, {'@': 66}), 24: (0, 50), 25: (0, 52), 14: (0, 32), 2: (1, {'@': 66}), 26: (0, 38), 27: (0, 44), 76: (1, {'@': 66}), 61: (1, {'@': 66}), 62: (1, {'@': 66}), 63: (1, {'@': 66}), 77: (1, {'@': 66}), 58: (1, {'@': 66}), 1: (1, {'@': 66}), 29: (0, 39), 30: (1, {'@': 66}), 78: (1, {'@': 66}), 31: (0, 139), 59: (1, {'@': 66}), 32: (1, {'@': 66}), 33: (1, {'@': 66}), 34: (0, 138), 35: (0, 33), 36: (0, 35), 37: (0, 36), 38: (0, 37), 39: (0, 40), 40: (0, 41), 41: (0, 43), 42: (0, 45), 43: (0, 47), 44: (0, 48), 45: (0, 49), 46: (0, 51), 47: (0, 53), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 52: (0, 60), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 98: {22: (0, 30), 34: (0, 141), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 99: {10: (0, 142), 3: (0, 2), 30: (0, 143), 85: (0, 144), 0: (0, 6), 9: (0, 7), 86: (0, 145), 1: (0, 8), 2: (0, 146)}, 100: {0: (1, {'@': 115}), 18: (1, {'@': 115}), 20: (1, {'@': 115}), 74: (1, {'@': 115}), 68: (1, {'@': 115}), 69: (1, {'@': 115}), 21: (1, {'@': 115}), 64: (1, {'@': 115}), 75: (1, {'@': 115}), 65: (1, {'@': 115}), 3: (1, {'@': 115}), 71: (1, {'@': 115}), 72: (1, {'@': 115}), 5: (1, {'@': 115}), 60: (1, {'@': 115}), 15: (1, {'@': 115}), 22: (1, {'@': 115}), 23: (1, {'@': 115}), 17: (1, {'@': 115}), 70: (1, {'@': 115}), 24: (1, {'@': 115}), 25: (1, {'@': 115}), 14: (1, {'@': 115}), 2: (1, {'@': 115}), 26: (1, {'@': 115}), 27: (1, {'@': 115}), 76: (1, {'@': 115}), 61: (1, {'@': 115}), 62: (1, {'@': 115}), 63: (1, {'@': 115}), 77: (1, {'@': 115}), 58: (1, {'@': 115}), 1: (1, {'@': 115}), 29: (1, {'@': 115}), 30: (1, {'@': 115}), 78: (1, {'@': 115}), 31: (1, {'@': 115}), 59: (1, {'@': 115}), 32: (1, {'@': 115}), 33: (1, {'@': 115})}, 101: {22: (0, 30), 34: (0, 147), 14: (0, 32), 35: (0, 33), 5: (0, 34), 10: (0, 148), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 87: (0, 149), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 32: (0, 150), 51: (0, 58), 31: (0, 59), 56: (0, 65), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64)}, 102: {0: (1, {'@': 116}), 18: (1, {'@': 116}), 20: (1, {'@': 116}), 74: (1, {'@': 116}), 68: (1, {'@': 116}), 69: (1, {'@': 116}), 21: (1, {'@': 116}), 64: (1, {'@': 116}), 65: (1, {'@': 116}), 3: (1, {'@': 116}), 71: (1, {'@': 116}), 72: (1, {'@': 116}), 5: (1, {'@': 116}), 60: (1, {'@': 116}), 15: (1, {'@': 116}), 22: (0, 103), 23: (1, {'@': 116}), 17: (1, {'@': 116}), 70: (1, {'@': 116}), 24: (1, {'@': 116}), 25: (1, {'@': 116}), 14: (1, {'@': 116}), 2: (1, {'@': 116}), 26: (1, {'@': 116}), 27: (1, {'@': 116}), 61: (1, {'@': 116}), 62: (1, {'@': 116}), 63: (1, {'@': 116}), 77: (1, {'@': 116}), 58: (1, {'@': 116}), 1: (1, {'@': 116}), 29: (1, {'@': 116}), 30: (1, {'@': 116}), 78: (1, {'@': 116}), 31: (1, {'@': 116}), 59: (1, {'@': 116}), 32: (1, {'@': 116}), 33: (1, {'@': 116}), 75: (0, 104), 76: (0, 105), 80: (0, 106), 81: (0, 107), 82: (0, 108), 83: (0, 109)}, 103: {22: (0, 30), 34: (0, 151), 14: (0, 32), 35: (0, 33), 5: (0, 34), 59: (0, 152), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 104: {5: (0, 153)}, 105: {0: (1, {'@': 117}), 18: (1, {'@': 117}), 20: (1, {'@': 117}), 74: (1, {'@': 117}), 68: (1, {'@': 117}), 69: (1, {'@': 117}), 21: (1, {'@': 117}), 64: (1, {'@': 117}), 75: (0, 104), 65: (1, {'@': 117}), 3: (1, {'@': 117}), 71: (1, {'@': 117}), 72: (1, {'@': 117}), 5: (1, {'@': 117}), 60: (1, {'@': 117}), 15: (1, {'@': 117}), 22: (1, {'@': 117}), 23: (1, {'@': 117}), 17: (1, {'@': 117}), 70: (1, {'@': 117}), 24: (1, {'@': 117}), 25: (1, {'@': 117}), 14: (1, {'@': 117}), 2: (1, {'@': 117}), 26: (1, {'@': 117}), 27: (1, {'@': 117}), 76: (1, {'@': 117}), 61: (1, {'@': 117}), 62: (1, {'@': 117}), 63: (1, {'@': 117}), 77: (1, {'@': 117}), 58: (1, {'@': 117}), 1: (1, {'@': 117}), 29: (1, {'@': 117}), 30: (1, {'@': 117}), 78: (1, {'@': 117}), 31: (1, {'@': 117}), 59: (1, {'@': 117}), 32: (1, {'@': 117}), 33: (1, {'@': 117}), 88: (0, 154), 80: (0, 155)}, 106: {0: (1, {'@': 118}), 18: (1, {'@': 118}), 20: (1, {'@': 118}), 74: (1, {'@': 118}), 68: (1, {'@': 118}), 69: (1, {'@': 118}), 21: (1, {'@': 118}), 64: (1, {'@': 118}), 75: (1, {'@': 118}), 65: (1, {'@': 118}), 3: (1, {'@': 118}), 71: (1, {'@': 118}), 72: (1, {'@': 118}), 5: (1, {'@': 118}), 60: (1, {'@': 118}), 15: (1, {'@': 118}), 22: (1, {'@': 118}), 23: (1, {'@': 118}), 17: (1, {'@': 118}), 70: (1, {'@': 118}), 24: (1, {'@': 118}), 25: (1, {'@': 118}), 14: (1, {'@': 118}), 2: (1, {'@': 118}), 26: (1, {'@': 118}), 27: (1, {'@': 118}), 76: (1, {'@': 118}), 61: (1, {'@': 118}), 62: (1, {'@': 118}), 63: (1, {'@': 118}), 77: (1, {'@': 118}), 58: (1, {'@': 118}), 1: (1, {'@': 118}), 29: (1, {'@': 118}), 30: (1, {'@': 118}), 78: (1, {'@': 118}), 31: (1, {'@': 118}), 59: (1, {'@': 118}), 32: (1, {'@': 118}), 33: (1, {'@': 118})}, 107: {0: (1, {'@': 119}), 18: (1, {'@': 119}), 20: (1, {'@': 119}), 74: (1, {'@': 119}), 68: (1, {'@': 119}), 69: (1, {'@': 119}), 21: (1, {'@': 119}), 64: (1, {'@': 119}), 75: (1, {'@': 119}), 65: (1, {'@': 119}), 3: (1, {'@': 119}), 71: (1, {'@': 119}), 72: (1, {'@': 119}), 5: (1, {'@': 119}), 60: (1, {'@': 119}), 15: (1, {'@': 119}), 22: (1, {'@': 119}), 23: (1, {'@': 119}), 17: (1, {'@': 119}), 70: (1, {'@': 119}), 24: (1, {'@': 119}), 25: (1, {'@': 119}), 14: (1, {'@': 119}), 2: (1, {'@': 119}), 26: (1, {'@': 119}), 27: (1, {'@': 119}), 76: (1, {'@': 119}), 61: (1, {'@': 119}), 62: (1, {'@': 119}), 63: (1, {'@': 119}), 77: (1, {'@': 119}), 58: (1, {'@': 119}), 1: (1, {'@': 119}), 29: (1, {'@': 119}), 30: (1, {'@': 119}), 78: (1, {'@': 119}), 31: (1, {'@': 119}), 59: (1, {'@': 119}), 32: (1, {'@': 119}), 33: (1, {'@': 119})}, 108: {0: (1, {'@': 120}), 18: (1, {'@': 120}), 20: (1, {'@': 120}), 74: (1, {'@': 120}), 68: (1, {'@': 120}), 69: (1, {'@': 120}), 21: (1, {'@': 120}), 64: (1, {'@': 120}), 75: (1, {'@': 120}), 65: (1, {'@': 120}), 3: (1, {'@': 120}), 71: (1, {'@': 120}), 72: (1, {'@': 120}), 5: (1, {'@': 120}), 60: (1, {'@': 120}), 15: (1, {'@': 120}), 22: (1, {'@': 120}), 23: (1, {'@': 120}), 17: (1, {'@': 120}), 70: (1, {'@': 120}), 24: (1, {'@': 120}), 25: (1, {'@': 120}), 14: (1, {'@': 120}), 2: (1, {'@': 120}), 26: (1, {'@': 120}), 27: (1, {'@': 120}), 76: (1, {'@': 120}), 61: (1, {'@': 120}), 62: (1, {'@': 120}), 63: (1, {'@': 120}), 77: (1, {'@': 120}), 58: (1, {'@': 120}), 1: (1, {'@': 120}), 29: (1, {'@': 120}), 30: (1, {'@': 120}), 78: (1, {'@': 120}), 31: (1, {'@': 120}), 59: (1, {'@': 120}), 32: (1, {'@': 120}), 33: (1, {'@': 120})}, 109: {0: (1, {'@': 121}), 18: (1, {'@': 121}), 20: (1, {'@': 121}), 74: (1, {'@': 121}), 68: (1, {'@': 121}), 69: (1, {'@': 121}), 21: (1, {'@': 121}), 64: (1, {'@': 121}), 75: (1, {'@': 121}), 65: (1, {'@': 121}), 3: (1, {'@': 121}), 71: (1, {'@': 121}), 72: (1, {'@': 121}), 5: (1, {'@': 121}), 60: (1, {'@': 121}), 15: (1, {'@': 121}), 22: (1, {'@': 121}), 23: (1, {'@': 121}), 17: (1, {'@': 121}), 70: (1, {'@': 121}), 24: (1, {'@': 121}), 25: (1, {'@': 121}), 14: (1, {'@': 121}), 2: (1, {'@': 121}), 26: (1, {'@': 121}), 27: (1, {'@': 121}), 76: (1, {'@': 121}), 61: (1, {'@': 121}), 62: (1, {'@': 121}), 63: (1, {'@': 121}), 77: (1, {'@': 121}), 58: (1, {'@': 121}), 1: (1, {'@': 121}), 29: (1, {'@': 121}), 30: (1, {'@': 121}), 78: (1, {'@': 121}), 31: (1, {'@': 121}), 59: (1, {'@': 121}), 32: (1, {'@': 121}), 33: (1, {'@': 121})}, 110: {0: (1, {'@': 122}), 18: (1, {'@': 122}), 20: (1, {'@': 122}), 74: (1, {'@': 122}), 68: (1, {'@': 122}), 69: (1, {'@': 122}), 21: (1, {'@': 122}), 64: (1, {'@': 122}), 65: (1, {'@': 122}), 3: (1, {'@': 122}), 71: (1, {'@': 122}), 72: (1, {'@': 122}), 5: (1, {'@': 122}), 60: (1, {'@': 122}), 15: (1, {'@': 122}), 22: (0, 103), 23: (1, {'@': 122}), 17: (1, {'@': 122}), 70: (1, {'@': 122}), 24: (1, {'@': 122}), 25: (1, {'@': 122}), 14: (1, {'@': 122}), 2: (1, {'@': 122}), 26: (1, {'@': 122}), 27: (1, {'@': 122}), 61: (1, {'@': 122}), 62: (1, {'@': 122}), 63: (1, {'@': 122}), 77: (1, {'@': 122}), 58: (1, {'@': 122}), 1: (1, {'@': 122}), 29: (1, {'@': 122}), 30: (1, {'@': 122}), 78: (1, {'@': 122}), 31: (1, {'@': 122}), 59: (1, {'@': 122}), 32: (1, {'@': 122}), 33: (1, {'@': 122}), 75: (0, 104), 76: (0, 105), 80: (0, 106), 81: (0, 107), 82: (0, 108), 83: (0, 109)}, 111: {29: (0, 39), 43: (0, 156)}, 112: {0: (1, {'@': 123}), 18: (1, {'@': 123}), 20: (1, {'@': 123}), 74: (1, {'@': 123}), 68: (1, {'@': 123}), 69: (1, {'@': 123}), 21: (1, {'@': 123}), 64: (1, {'@': 123}), 75: (1, {'@': 123}), 65: (1, {'@': 123}), 3: (1, {'@': 123}), 71: (1, {'@': 123}), 72: (1, {'@': 123}), 5: (1, {'@': 123}), 60: (1, {'@': 123}), 15: (1, {'@': 123}), 22: (1, {'@': 123}), 23: (1, {'@': 123}), 17: (1, {'@': 123}), 70: (1, {'@': 123}), 24: (1, {'@': 123}), 25: (1, {'@': 123}), 14: (1, {'@': 123}), 2: (1, {'@': 123}), 26: (1, {'@': 123}), 27: (1, {'@': 123}), 76: (1, {'@': 123}), 61: (1, {'@': 123}), 62: (1, {'@': 123}), 63: (1, {'@': 123}), 77: (1, {'@': 123}), 79: (1, {'@': 123}), 58: (1, {'@': 123}), 1: (1, {'@': 123}), 29: (1, {'@': 123}), 30: (1, {'@': 123}), 78: (1, {'@': 123}), 31: (1, {'@': 123}), 59: (1, {'@': 123}), 32: (1, {'@': 123}), 33: (1, {'@': 123})}, 113: {43: (0, 157), 29: (0, 39)}, 114: {58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 32: (0, 158), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 115: {3: (0, 2), 9: (0, 7), 10: (0, 159), 0: (0, 6), 1: (0, 8)}, 116: {15: (0, 160)}, 117: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 3), 7: (0, 4), 8: (0, 161), 13: (0, 12), 12: (0, 11)}, 118: {58: (0, 79), 23: (0, 80), 2: (0, 162), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 119: {3: (0, 2), 9: (0, 7), 10: (0, 163), 0: (0, 6), 1: (0, 8)}, 120: {5: (0, 164)}, 121: {30: (0, 165), 3: (0, 2), 28: (0, 166), 9: (0, 7), 0: (0, 6), 10: (0, 167), 1: (0, 8)}, 122: {10: (0, 168), 3: (0, 2), 30: (0, 169), 18: (0, 170), 0: (0, 6), 9: (0, 7), 1: (0, 8)}, 123: {0: (1, {'@': 124}), 18: (1, {'@': 124}), 20: (1, {'@': 124}), 74: (1, {'@': 124}), 68: (1, {'@': 124}), 69: (1, {'@': 124}), 21: (1, {'@': 124}), 64: (1, {'@': 124}), 75: (1, {'@': 124}), 65: (1, {'@': 124}), 3: (1, {'@': 124}), 71: (1, {'@': 124}), 72: (1, {'@': 124}), 5: (1, {'@': 124}), 60: (1, {'@': 124}), 15: (1, {'@': 124}), 22: (1, {'@': 124}), 23: (1, {'@': 124}), 17: (1, {'@': 124}), 70: (1, {'@': 124}), 24: (1, {'@': 124}), 25: (1, {'@': 124}), 14: (1, {'@': 124}), 2: (1, {'@': 124}), 26: (1, {'@': 124}), 27: (1, {'@': 124}), 76: (1, {'@': 124}), 61: (1, {'@': 124}), 62: (1, {'@': 124}), 63: (1, {'@': 124}), 77: (1, {'@': 124}), 58: (1, {'@': 124}), 1: (1, {'@': 124}), 29: (1, {'@': 124}), 30: (1, {'@': 124}), 78: (1, {'@': 124}), 31: (1, {'@': 124}), 59: (1, {'@': 124}), 32: (1, {'@': 124}), 33: (1, {'@': 124})}, 124: {30: (0, 171), 10: (0, 172), 3: (0, 2), 9: (0, 7), 18: (0, 173), 0: (0, 6), 1: (0, 8)}, 125: {22: (0, 30), 34: (0, 174), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 18: (0, 175), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 10: (0, 176), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 126: {84: (0, 177), 23: (0, 80), 10: (0, 178), 59: (0, 81), 9: (0, 7), 1: (0, 8), 60: (0, 82), 64: (0, 86), 30: (0, 179), 65: (0, 87), 18: (0, 180), 71: (0, 93), 3: (0, 2), 58: (0, 79), 0: (0, 6), 61: (0, 83), 62: (0, 84), 63: (0, 85), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 72: (0, 94)}, 127: {22: (0, 30), 34: (0, 181), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 10: (0, 182), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 128: {0: (1, {'@': 125}), 18: (1, {'@': 125}), 20: (1, {'@': 125}), 74: (1, {'@': 125}), 68: (1, {'@': 125}), 69: (1, {'@': 125}), 21: (1, {'@': 125}), 64: (1, {'@': 125}), 75: (1, {'@': 125}), 65: (1, {'@': 125}), 3: (1, {'@': 125}), 71: (1, {'@': 125}), 72: (1, {'@': 125}), 5: (1, {'@': 125}), 60: (1, {'@': 125}), 15: (1, {'@': 125}), 22: (1, {'@': 125}), 23: (1, {'@': 125}), 17: (1, {'@': 125}), 70: (1, {'@': 125}), 24: (1, {'@': 125}), 25: (1, {'@': 125}), 14: (1, {'@': 125}), 2: (1, {'@': 125}), 26: (1, {'@': 125}), 27: (1, {'@': 125}), 76: (1, {'@': 125}), 61: (1, {'@': 125}), 62: (1, {'@': 125}), 63: (1, {'@': 125}), 77: (1, {'@': 125}), 58: (1, {'@': 125}), 1: (1, {'@': 125}), 29: (1, {'@': 125}), 30: (1, {'@': 125}), 78: (1, {'@': 125}), 31: (1, {'@': 125}), 59: (1, {'@': 125}), 32: (1, {'@': 125}), 33: (1, {'@': 125})}, 129: {23: (0, 80), 89: (0, 183), 59: (0, 81), 9: (0, 7), 1: (0, 8), 60: (0, 82), 64: (0, 86), 65: (0, 87), 10: (0, 184), 18: (0, 185), 33: (0, 186), 71: (0, 93), 3: (0, 2), 58: (0, 79), 0: (0, 6), 61: (0, 83), 62: (0, 84), 63: (0, 85), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 72: (0, 94)}, 130: {22: (0, 30), 34: (0, 187), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 131: {58: (0, 79), 23: (0, 80), 59: (0, 81), 77: (0, 188), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 132: {0: (1, {'@': 126}), 18: (1, {'@': 126}), 20: (1, {'@': 126}), 74: (1, {'@': 126}), 68: (0, 90), 69: (0, 91), 21: (1, {'@': 126}), 64: (0, 86), 65: (0, 87), 3: (1, {'@': 126}), 71: (0, 93), 72: (0, 94), 5: (1, {'@': 126}), 60: (0, 82), 15: (1, {'@': 126}), 22: (1, {'@': 126}), 23: (0, 80), 17: (1, {'@': 126}), 70: (0, 92), 24: (1, {'@': 126}), 25: (1, {'@': 126}), 14: (1, {'@': 126}), 2: (1, {'@': 126}), 26: (1, {'@': 126}), 27: (1, {'@': 126}), 61: (0, 83), 62: (0, 84), 63: (0, 85), 77: (1, {'@': 126}), 58: (0, 79), 1: (1, {'@': 126}), 29: (1, {'@': 126}), 30: (1, {'@': 126}), 78: (1, {'@': 126}), 31: (1, {'@': 126}), 59: (0, 81), 32: (1, {'@': 126}), 33: (1, {'@': 126}), 66: (0, 88), 67: (0, 89)}, 133: {22: (0, 30), 34: (0, 189), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 134: {10: (0, 142), 3: (0, 2), 86: (0, 190), 30: (0, 143), 85: (0, 191), 0: (0, 6), 9: (0, 7), 1: (0, 8), 2: (0, 192)}, 135: {0: (1, {'@': 127}), 1: (1, {'@': 127}), 30: (1, {'@': 127}), 2: (1, {'@': 127}), 3: (1, {'@': 127}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 136: {27: (1, {'@': 102}), 20: (0, 54), 21: (0, 42), 5: (0, 34), 22: (0, 30), 17: (0, 61), 23: (1, {'@': 102}), 24: (0, 50), 25: (0, 52), 29: (0, 39), 14: (0, 32), 31: (0, 59), 26: (0, 38), 35: (0, 33), 47: (0, 53), 36: (0, 35), 37: (0, 36), 49: (0, 56), 51: (0, 58), 42: (0, 110), 56: (0, 65), 52: (0, 60), 39: (0, 40), 40: (0, 41), 43: (0, 47), 41: (0, 43), 53: (0, 62), 45: (0, 49), 44: (0, 48), 54: (0, 63), 55: (0, 64)}, 137: {22: (0, 30), 34: (0, 193), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 138: {0: (1, {'@': 128}), 1: (1, {'@': 128}), 30: (1, {'@': 128}), 2: (1, {'@': 128}), 3: (1, {'@': 128}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 139: {22: (0, 30), 34: (0, 194), 14: (0, 32), 35: (0, 33), 5: (0, 34), 10: (0, 148), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 87: (0, 149), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 32: (0, 150), 51: (0, 58), 31: (0, 59), 56: (0, 65), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64)}, 140: {22: (0, 30), 34: (0, 195), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 141: {78: (0, 196), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 142: {22: (1, {'@': 129}), 17: (1, {'@': 129}), 23: (1, {'@': 129}), 27: (1, {'@': 129}), 24: (1, {'@': 129}), 25: (1, {'@': 129}), 20: (1, {'@': 129}), 29: (1, {'@': 129}), 14: (1, {'@': 129}), 21: (1, {'@': 129}), 2: (1, {'@': 129}), 31: (1, {'@': 129}), 26: (1, {'@': 129}), 5: (1, {'@': 129})}, 143: {22: (1, {'@': 130}), 17: (1, {'@': 130}), 23: (1, {'@': 130}), 27: (1, {'@': 130}), 24: (1, {'@': 130}), 25: (1, {'@': 130}), 20: (1, {'@': 130}), 29: (1, {'@': 130}), 14: (1, {'@': 130}), 21: (1, {'@': 130}), 2: (1, {'@': 130}), 31: (1, {'@': 130}), 26: (1, {'@': 130}), 5: (1, {'@': 130}), 3: (0, 2), 9: (0, 7), 0: (0, 6), 10: (0, 197), 1: (0, 8)}, 144: {22: (0, 30), 34: (0, 96), 14: (0, 32), 35: (0, 33), 5: (0, 97), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 73: (0, 198), 27: (0, 44), 2: (0, 199), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 56: (0, 65), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64)}, 145: {10: (0, 142), 3: (0, 2), 2: (0, 200), 9: (0, 7), 30: (0, 143), 85: (0, 201), 0: (0, 6), 1: (0, 8)}, 146: {0: (1, {'@': 131}), 18: (1, {'@': 131}), 20: (1, {'@': 131}), 74: (1, {'@': 131}), 68: (1, {'@': 131}), 69: (1, {'@': 131}), 21: (1, {'@': 131}), 64: (1, {'@': 131}), 75: (1, {'@': 131}), 65: (1, {'@': 131}), 3: (1, {'@': 131}), 71: (1, {'@': 131}), 72: (1, {'@': 131}), 5: (1, {'@': 131}), 60: (1, {'@': 131}), 15: (1, {'@': 131}), 22: (1, {'@': 131}), 23: (1, {'@': 131}), 17: (1, {'@': 131}), 70: (1, {'@': 131}), 24: (1, {'@': 131}), 25: (1, {'@': 131}), 14: (1, {'@': 131}), 2: (1, {'@': 131}), 26: (1, {'@': 131}), 27: (1, {'@': 131}), 76: (1, {'@': 131}), 61: (1, {'@': 131}), 62: (1, {'@': 131}), 63: (1, {'@': 131}), 77: (1, {'@': 131}), 58: (1, {'@': 131}), 1: (1, {'@': 131}), 29: (1, {'@': 131}), 30: (1, {'@': 131}), 78: (1, {'@': 131}), 31: (1, {'@': 131}), 59: (1, {'@': 131}), 32: (1, {'@': 131}), 33: (1, {'@': 131})}, 147: {3: (0, 2), 32: (1, {'@': 132}), 0: (0, 6), 1: (0, 8), 74: (0, 202), 23: (0, 80), 84: (0, 203), 59: (0, 81), 9: (0, 7), 10: (0, 204), 60: (0, 82), 64: (0, 86), 65: (0, 87), 71: (0, 93), 58: (0, 79), 30: (0, 205), 61: (0, 83), 62: (0, 84), 63: (0, 85), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 72: (0, 94)}, 148: {22: (0, 30), 34: (0, 147), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 32: (0, 206), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 10: (0, 207), 27: (0, 44), 42: (0, 45), 87: (0, 208), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 56: (0, 65), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64)}, 149: {32: (0, 209), 3: (0, 2), 9: (0, 7), 10: (0, 210), 0: (0, 6), 1: (0, 8)}, 150: {0: (1, {'@': 133}), 18: (1, {'@': 133}), 20: (1, {'@': 133}), 74: (1, {'@': 133}), 68: (1, {'@': 133}), 69: (1, {'@': 133}), 21: (1, {'@': 133}), 64: (1, {'@': 133}), 75: (1, {'@': 133}), 65: (1, {'@': 133}), 3: (1, {'@': 133}), 71: (1, {'@': 133}), 72: (1, {'@': 133}), 5: (1, {'@': 133}), 60: (1, {'@': 133}), 15: (1, {'@': 133}), 22: (1, {'@': 133}), 23: (1, {'@': 133}), 17: (1, {'@': 133}), 70: (1, {'@': 133}), 24: (1, {'@': 133}), 25: (1, {'@': 133}), 14: (1, {'@': 133}), 2: (1, {'@': 133}), 26: (1, {'@': 133}), 27: (1, {'@': 133}), 76: (1, {'@': 133}), 61: (1, {'@': 133}), 62: (1, {'@': 133}), 63: (1, {'@': 133}), 77: (1, {'@': 133}), 58: (1, {'@': 133}), 1: (1, {'@': 133}), 29: (1, {'@': 133}), 30: (1, {'@': 133}), 78: (1, {'@': 133}), 31: (1, {'@': 133}), 59: (1, {'@': 133}), 32: (1, {'@': 133}), 33: (1, {'@': 133})}, 151: {58: (0, 79), 23: (0, 80), 59: (0, 81), 18: (0, 211), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 152: {18: (0, 212)}, 153: {0: (1, {'@': 134}), 18: (1, {'@': 134}), 20: (1, {'@': 134}), 74: (1, {'@': 134}), 68: (1, {'@': 134}), 69: (1, {'@': 134}), 21: (1, {'@': 134}), 64: (1, {'@': 134}), 75: (1, {'@': 134}), 65: (1, {'@': 134}), 3: (1, {'@': 134}), 71: (1, {'@': 134}), 72: (1, {'@': 134}), 5: (1, {'@': 134}), 60: (1, {'@': 134}), 15: (1, {'@': 134}), 22: (1, {'@': 134}), 23: (1, {'@': 134}), 17: (1, {'@': 134}), 70: (1, {'@': 134}), 24: (1, {'@': 134}), 25: (1, {'@': 134}), 14: (1, {'@': 134}), 2: (1, {'@': 134}), 26: (1, {'@': 134}), 27: (1, {'@': 134}), 76: (1, {'@': 134}), 61: (1, {'@': 134}), 62: (1, {'@': 134}), 63: (1, {'@': 134}), 77: (1, {'@': 134}), 58: (1, {'@': 134}), 1: (1, {'@': 134}), 29: (1, {'@': 134}), 30: (1, {'@': 134}), 78: (1, {'@': 134}), 31: (1, {'@': 134}), 59: (1, {'@': 134}), 32: (1, {'@': 134}), 33: (1, {'@': 134})}, 154: {0: (1, {'@': 135}), 18: (1, {'@': 135}), 20: (1, {'@': 135}), 74: (1, {'@': 135}), 68: (1, {'@': 135}), 69: (1, {'@': 135}), 21: (1, {'@': 135}), 64: (1, {'@': 135}), 75: (0, 104), 65: (1, {'@': 135}), 3: (1, {'@': 135}), 71: (1, {'@': 135}), 72: (1, {'@': 135}), 5: (1, {'@': 135}), 60: (1, {'@': 135}), 15: (1, {'@': 135}), 22: (1, {'@': 135}), 23: (1, {'@': 135}), 17: (1, {'@': 135}), 70: (1, {'@': 135}), 24: (1, {'@': 135}), 25: (1, {'@': 135}), 14: (1, {'@': 135}), 2: (1, {'@': 135}), 26: (1, {'@': 135}), 27: (1, {'@': 135}), 76: (1, {'@': 135}), 61: (1, {'@': 135}), 62: (1, {'@': 135}), 63: (1, {'@': 135}), 77: (1, {'@': 135}), 58: (1, {'@': 135}), 1: (1, {'@': 135}), 29: (1, {'@': 135}), 30: (1, {'@': 135}), 78: (1, {'@': 135}), 31: (1, {'@': 135}), 59: (1, {'@': 135}), 32: (1, {'@': 135}), 33: (1, {'@': 135}), 80: (0, 213)}, 155: {0: (1, {'@': 136}), 18: (1, {'@': 136}), 20: (1, {'@': 136}), 74: (1, {'@': 136}), 68: (1, {'@': 136}), 69: (1, {'@': 136}), 21: (1, {'@': 136}), 64: (1, {'@': 136}), 75: (1, {'@': 136}), 65: (1, {'@': 136}), 3: (1, {'@': 136}), 71: (1, {'@': 136}), 72: (1, {'@': 136}), 5: (1, {'@': 136}), 60: (1, {'@': 136}), 15: (1, {'@': 136}), 22: (1, {'@': 136}), 23: (1, {'@': 136}), 17: (1, {'@': 136}), 70: (1, {'@': 136}), 24: (1, {'@': 136}), 25: (1, {'@': 136}), 14: (1, {'@': 136}), 2: (1, {'@': 136}), 26: (1, {'@': 136}), 27: (1, {'@': 136}), 76: (1, {'@': 136}), 61: (1, {'@': 136}), 62: (1, {'@': 136}), 63: (1, {'@': 136}), 77: (1, {'@': 136}), 58: (1, {'@': 136}), 1: (1, {'@': 136}), 29: (1, {'@': 136}), 30: (1, {'@': 136}), 78: (1, {'@': 136}), 31: (1, {'@': 136}), 59: (1, {'@': 136}), 32: (1, {'@': 136}), 33: (1, {'@': 136})}, 156: {0: (1, {'@': 137}), 18: (1, {'@': 137}), 20: (1, {'@': 137}), 74: (1, {'@': 137}), 68: (1, {'@': 137}), 69: (1, {'@': 137}), 21: (1, {'@': 137}), 64: (1, {'@': 137}), 75: (1, {'@': 137}), 65: (1, {'@': 137}), 3: (1, {'@': 137}), 71: (1, {'@': 137}), 72: (1, {'@': 137}), 5: (1, {'@': 137}), 60: (1, {'@': 137}), 15: (1, {'@': 137}), 22: (1, {'@': 137}), 23: (1, {'@': 137}), 17: (1, {'@': 137}), 70: (1, {'@': 137}), 24: (1, {'@': 137}), 25: (1, {'@': 137}), 14: (1, {'@': 137}), 2: (1, {'@': 137}), 26: (1, {'@': 137}), 27: (1, {'@': 137}), 76: (1, {'@': 137}), 61: (1, {'@': 137}), 62: (1, {'@': 137}), 63: (1, {'@': 137}), 77: (1, {'@': 137}), 58: (1, {'@': 137}), 1: (1, {'@': 137}), 29: (0, 112), 30: (1, {'@': 137}), 78: (1, {'@': 137}), 31: (1, {'@': 137}), 59: (1, {'@': 137}), 32: (1, {'@': 137}), 33: (1, {'@': 137})}, 157: {0: (1, {'@': 138}), 18: (1, {'@': 138}), 20: (1, {'@': 138}), 74: (1, {'@': 138}), 68: (1, {'@': 138}), 69: (1, {'@': 138}), 21: (1, {'@': 138}), 64: (1, {'@': 138}), 75: (1, {'@': 138}), 65: (1, {'@': 138}), 3: (1, {'@': 138}), 71: (1, {'@': 138}), 72: (1, {'@': 138}), 5: (1, {'@': 138}), 60: (1, {'@': 138}), 15: (1, {'@': 138}), 22: (1, {'@': 138}), 23: (1, {'@': 138}), 17: (1, {'@': 138}), 70: (1, {'@': 138}), 24: (1, {'@': 138}), 25: (1, {'@': 138}), 14: (1, {'@': 138}), 2: (1, {'@': 138}), 26: (1, {'@': 138}), 27: (1, {'@': 138}), 76: (1, {'@': 138}), 61: (1, {'@': 138}), 62: (1, {'@': 138}), 63: (1, {'@': 138}), 77: (1, {'@': 138}), 58: (1, {'@': 138}), 1: (1, {'@': 138}), 29: (0, 112), 30: (1, {'@': 138}), 78: (1, {'@': 138}), 31: (1, {'@': 138}), 59: (1, {'@': 138}), 32: (1, {'@': 138}), 33: (1, {'@': 138}), 79: (0, 214)}, 158: {0: (1, {'@': 139}), 18: (1, {'@': 139}), 20: (1, {'@': 139}), 74: (1, {'@': 139}), 68: (1, {'@': 139}), 69: (1, {'@': 139}), 21: (1, {'@': 139}), 64: (1, {'@': 139}), 75: (1, {'@': 139}), 65: (1, {'@': 139}), 3: (1, {'@': 139}), 71: (1, {'@': 139}), 72: (1, {'@': 139}), 5: (1, {'@': 139}), 60: (1, {'@': 139}), 15: (1, {'@': 139}), 22: (1, {'@': 139}), 23: (1, {'@': 139}), 17: (1, {'@': 139}), 70: (1, {'@': 139}), 24: (1, {'@': 139}), 25: (1, {'@': 139}), 14: (1, {'@': 139}), 2: (1, {'@': 139}), 26: (1, {'@': 139}), 27: (1, {'@': 139}), 76: (1, {'@': 139}), 61: (1, {'@': 139}), 62: (1, {'@': 139}), 63: (1, {'@': 139}), 77: (1, {'@': 139}), 58: (1, {'@': 139}), 1: (1, {'@': 139}), 29: (1, {'@': 139}), 30: (1, {'@': 139}), 78: (1, {'@': 139}), 31: (1, {'@': 139}), 59: (1, {'@': 139}), 32: (1, {'@': 139}), 33: (1, {'@': 139})}, 159: {0: (1, {'@': 140}), 1: (1, {'@': 140}), 4: (1, {'@': 140}), 2: (1, {'@': 140}), 3: (1, {'@': 140}), 5: (1, {'@': 140})}, 160: {22: (0, 30), 34: (0, 215), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 161: {2: (0, 216)}, 162: {3: (0, 2), 10: (0, 217), 9: (0, 7), 0: (0, 6), 1: (0, 8)}, 163: {0: (1, {'@': 141}), 1: (1, {'@': 141}), 4: (1, {'@': 141}), 2: (1, {'@': 141}), 3: (1, {'@': 141}), 5: (1, {'@': 141})}, 164: {10: (0, 218), 3: (0, 2), 30: (0, 219), 28: (0, 220), 0: (0, 6), 9: (0, 7), 1: (0, 8)}, 165: {5: (0, 221)}, 166: {22: (0, 30), 34: (0, 222), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 10: (0, 223), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 167: {28: (0, 224)}, 168: {10: (0, 225), 30: (0, 226), 3: (0, 2), 9: (0, 7), 18: (0, 227), 0: (0, 6), 1: (0, 8)}, 169: {22: (0, 30), 34: (0, 228), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 10: (0, 229), 38: (0, 37), 26: (0, 38), 29: (0, 39), 18: (0, 230), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 170: {0: (1, {'@': 142}), 18: (1, {'@': 142}), 20: (1, {'@': 142}), 74: (1, {'@': 142}), 68: (1, {'@': 142}), 69: (1, {'@': 142}), 21: (1, {'@': 142}), 64: (1, {'@': 142}), 75: (1, {'@': 142}), 65: (1, {'@': 142}), 3: (1, {'@': 142}), 71: (1, {'@': 142}), 72: (1, {'@': 142}), 5: (1, {'@': 142}), 60: (1, {'@': 142}), 15: (1, {'@': 142}), 22: (1, {'@': 142}), 23: (1, {'@': 142}), 17: (1, {'@': 142}), 70: (1, {'@': 142}), 24: (1, {'@': 142}), 25: (1, {'@': 142}), 14: (1, {'@': 142}), 2: (1, {'@': 142}), 26: (1, {'@': 142}), 27: (1, {'@': 142}), 76: (1, {'@': 142}), 61: (1, {'@': 142}), 62: (1, {'@': 142}), 63: (1, {'@': 142}), 77: (1, {'@': 142}), 58: (1, {'@': 142}), 1: (1, {'@': 142}), 29: (1, {'@': 142}), 30: (1, {'@': 142}), 78: (1, {'@': 142}), 31: (1, {'@': 142}), 59: (1, {'@': 142}), 32: (1, {'@': 142}), 33: (1, {'@': 142})}, 171: {22: (0, 30), 34: (0, 231), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 10: (0, 232), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 18: (0, 233), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 172: {18: (0, 234)}, 173: {0: (1, {'@': 143}), 18: (1, {'@': 143}), 20: (1, {'@': 143}), 74: (1, {'@': 143}), 68: (1, {'@': 143}), 69: (1, {'@': 143}), 21: (1, {'@': 143}), 64: (1, {'@': 143}), 75: (1, {'@': 143}), 65: (1, {'@': 143}), 3: (1, {'@': 143}), 71: (1, {'@': 143}), 72: (1, {'@': 143}), 5: (1, {'@': 143}), 60: (1, {'@': 143}), 15: (1, {'@': 143}), 22: (1, {'@': 143}), 23: (1, {'@': 143}), 17: (1, {'@': 143}), 70: (1, {'@': 143}), 24: (1, {'@': 143}), 25: (1, {'@': 143}), 14: (1, {'@': 143}), 2: (1, {'@': 143}), 26: (1, {'@': 143}), 27: (1, {'@': 143}), 76: (1, {'@': 143}), 61: (1, {'@': 143}), 62: (1, {'@': 143}), 63: (1, {'@': 143}), 77: (1, {'@': 143}), 58: (1, {'@': 143}), 1: (1, {'@': 143}), 29: (1, {'@': 143}), 30: (1, {'@': 143}), 78: (1, {'@': 143}), 31: (1, {'@': 143}), 59: (1, {'@': 143}), 32: (1, {'@': 143}), 33: (1, {'@': 143})}, 174: {0: (1, {'@': 144}), 1: (1, {'@': 144}), 18: (1, {'@': 144}), 74: (1, {'@': 144}), 30: (1, {'@': 144}), 3: (1, {'@': 144}), 32: (1, {'@': 144}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 175: {0: (1, {'@': 145}), 18: (1, {'@': 145}), 20: (1, {'@': 145}), 74: (1, {'@': 145}), 68: (1, {'@': 145}), 69: (1, {'@': 145}), 21: (1, {'@': 145}), 64: (1, {'@': 145}), 75: (1, {'@': 145}), 65: (1, {'@': 145}), 3: (1, {'@': 145}), 71: (1, {'@': 145}), 72: (1, {'@': 145}), 5: (1, {'@': 145}), 60: (1, {'@': 145}), 15: (1, {'@': 145}), 22: (1, {'@': 145}), 23: (1, {'@': 145}), 17: (1, {'@': 145}), 70: (1, {'@': 145}), 24: (1, {'@': 145}), 25: (1, {'@': 145}), 14: (1, {'@': 145}), 2: (1, {'@': 145}), 26: (1, {'@': 145}), 27: (1, {'@': 145}), 76: (1, {'@': 145}), 61: (1, {'@': 145}), 62: (1, {'@': 145}), 63: (1, {'@': 145}), 77: (1, {'@': 145}), 58: (1, {'@': 145}), 1: (1, {'@': 145}), 29: (1, {'@': 145}), 30: (1, {'@': 145}), 78: (1, {'@': 145}), 31: (1, {'@': 145}), 59: (1, {'@': 145}), 32: (1, {'@': 145}), 33: (1, {'@': 145})}, 176: {22: (0, 30), 34: (0, 235), 14: (0, 32), 35: (0, 33), 5: (0, 34), 18: (0, 236), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 177: {3: (0, 2), 30: (0, 237), 10: (0, 238), 0: (0, 6), 18: (0, 239), 9: (0, 7), 1: (0, 8)}, 178: {3: (0, 2), 30: (0, 240), 9: (0, 7), 18: (0, 241), 10: (0, 242), 0: (0, 6), 1: (0, 8)}, 179: {22: (0, 30), 34: (0, 174), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 18: (0, 243), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 10: (0, 244), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 180: {0: (1, {'@': 146}), 18: (1, {'@': 146}), 20: (1, {'@': 146}), 74: (1, {'@': 146}), 68: (1, {'@': 146}), 69: (1, {'@': 146}), 21: (1, {'@': 146}), 64: (1, {'@': 146}), 75: (1, {'@': 146}), 65: (1, {'@': 146}), 3: (1, {'@': 146}), 71: (1, {'@': 146}), 72: (1, {'@': 146}), 5: (1, {'@': 146}), 60: (1, {'@': 146}), 15: (1, {'@': 146}), 22: (1, {'@': 146}), 23: (1, {'@': 146}), 17: (1, {'@': 146}), 70: (1, {'@': 146}), 24: (1, {'@': 146}), 25: (1, {'@': 146}), 14: (1, {'@': 146}), 2: (1, {'@': 146}), 26: (1, {'@': 146}), 27: (1, {'@': 146}), 76: (1, {'@': 146}), 61: (1, {'@': 146}), 62: (1, {'@': 146}), 63: (1, {'@': 146}), 77: (1, {'@': 146}), 58: (1, {'@': 146}), 1: (1, {'@': 146}), 29: (1, {'@': 146}), 30: (1, {'@': 146}), 78: (1, {'@': 146}), 31: (1, {'@': 146}), 59: (1, {'@': 146}), 32: (1, {'@': 146}), 33: (1, {'@': 146})}, 181: {10: (0, 245), 23: (0, 80), 59: (0, 81), 9: (0, 7), 1: (0, 8), 60: (0, 82), 89: (0, 246), 64: (0, 86), 65: (0, 87), 33: (0, 186), 71: (0, 93), 3: (0, 2), 58: (0, 79), 0: (0, 6), 61: (0, 83), 62: (0, 84), 63: (0, 85), 18: (0, 247), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 72: (0, 94)}, 182: {22: (0, 30), 34: (0, 248), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 183: {3: (0, 2), 10: (0, 249), 9: (0, 7), 18: (0, 250), 0: (0, 6), 1: (0, 8)}, 184: {3: (0, 2), 18: (0, 251), 9: (0, 7), 89: (0, 252), 33: (0, 186), 10: (0, 253), 0: (0, 6), 1: (0, 8)}, 185: {0: (1, {'@': 147}), 18: (1, {'@': 147}), 20: (1, {'@': 147}), 74: (1, {'@': 147}), 68: (1, {'@': 147}), 69: (1, {'@': 147}), 21: (1, {'@': 147}), 64: (1, {'@': 147}), 75: (1, {'@': 147}), 65: (1, {'@': 147}), 3: (1, {'@': 147}), 71: (1, {'@': 147}), 72: (1, {'@': 147}), 5: (1, {'@': 147}), 60: (1, {'@': 147}), 15: (1, {'@': 147}), 22: (1, {'@': 147}), 23: (1, {'@': 147}), 17: (1, {'@': 147}), 70: (1, {'@': 147}), 24: (1, {'@': 147}), 25: (1, {'@': 147}), 14: (1, {'@': 147}), 2: (1, {'@': 147}), 26: (1, {'@': 147}), 27: (1, {'@': 147}), 76: (1, {'@': 147}), 61: (1, {'@': 147}), 62: (1, {'@': 147}), 63: (1, {'@': 147}), 77: (1, {'@': 147}), 58: (1, {'@': 147}), 1: (1, {'@': 147}), 29: (1, {'@': 147}), 30: (1, {'@': 147}), 78: (1, {'@': 147}), 31: (1, {'@': 147}), 59: (1, {'@': 147}), 32: (1, {'@': 147}), 33: (1, {'@': 147})}, 186: {22: (0, 30), 34: (0, 254), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 10: (0, 255), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 187: {23: (0, 80), 18: (0, 256), 10: (0, 257), 59: (0, 81), 9: (0, 7), 1: (0, 8), 60: (0, 82), 64: (0, 86), 65: (0, 87), 33: (0, 186), 71: (0, 93), 89: (0, 258), 3: (0, 2), 58: (0, 79), 0: (0, 6), 61: (0, 83), 62: (0, 84), 63: (0, 85), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 72: (0, 94)}, 188: {22: (0, 30), 34: (0, 259), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 189: {58: (0, 79), 23: (0, 80), 78: (0, 260), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 190: {10: (0, 142), 3: (0, 2), 9: (0, 7), 2: (0, 261), 30: (0, 143), 85: (0, 262), 0: (0, 6), 1: (0, 8)}, 191: {22: (0, 30), 34: (0, 96), 14: (0, 32), 35: (0, 33), 5: (0, 97), 2: (0, 263), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 73: (0, 198), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 56: (0, 65), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64)}, 192: {0: (1, {'@': 148}), 18: (1, {'@': 148}), 20: (1, {'@': 148}), 74: (1, {'@': 148}), 68: (1, {'@': 148}), 69: (1, {'@': 148}), 21: (1, {'@': 148}), 64: (1, {'@': 148}), 75: (1, {'@': 148}), 65: (1, {'@': 148}), 3: (1, {'@': 148}), 71: (1, {'@': 148}), 72: (1, {'@': 148}), 5: (1, {'@': 148}), 60: (1, {'@': 148}), 15: (1, {'@': 148}), 22: (1, {'@': 148}), 23: (1, {'@': 148}), 17: (1, {'@': 148}), 70: (1, {'@': 148}), 24: (1, {'@': 148}), 25: (1, {'@': 148}), 14: (1, {'@': 148}), 2: (1, {'@': 148}), 26: (1, {'@': 148}), 27: (1, {'@': 148}), 76: (1, {'@': 148}), 61: (1, {'@': 148}), 62: (1, {'@': 148}), 63: (1, {'@': 148}), 77: (1, {'@': 148}), 58: (1, {'@': 148}), 1: (1, {'@': 148}), 29: (1, {'@': 148}), 30: (1, {'@': 148}), 78: (1, {'@': 148}), 31: (1, {'@': 148}), 59: (1, {'@': 148}), 32: (1, {'@': 148}), 33: (1, {'@': 148})}, 193: {0: (1, {'@': 149}), 1: (1, {'@': 149}), 30: (1, {'@': 149}), 2: (1, {'@': 149}), 3: (1, {'@': 149}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 194: {3: (0, 2), 32: (0, 158), 0: (0, 6), 1: (0, 8), 74: (0, 202), 23: (0, 80), 84: (0, 203), 59: (0, 81), 9: (0, 7), 10: (0, 204), 60: (0, 82), 64: (0, 86), 65: (0, 87), 71: (0, 93), 58: (0, 79), 30: (0, 205), 61: (0, 83), 62: (0, 84), 63: (0, 85), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 72: (0, 94)}, 195: {0: (1, {'@': 150}), 1: (1, {'@': 150}), 30: (1, {'@': 150}), 2: (1, {'@': 150}), 3: (1, {'@': 150}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 196: {22: (0, 30), 34: (0, 264), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 197: {22: (1, {'@': 151}), 17: (1, {'@': 151}), 23: (1, {'@': 151}), 27: (1, {'@': 151}), 24: (1, {'@': 151}), 25: (1, {'@': 151}), 20: (1, {'@': 151}), 29: (1, {'@': 151}), 14: (1, {'@': 151}), 21: (1, {'@': 151}), 2: (1, {'@': 151}), 31: (1, {'@': 151}), 26: (1, {'@': 151}), 5: (1, {'@': 151})}, 198: {0: (1, {'@': 152}), 1: (1, {'@': 152}), 2: (1, {'@': 152}), 3: (1, {'@': 152}), 30: (1, {'@': 152})}, 199: {0: (1, {'@': 153}), 18: (1, {'@': 153}), 20: (1, {'@': 153}), 74: (1, {'@': 153}), 68: (1, {'@': 153}), 69: (1, {'@': 153}), 21: (1, {'@': 153}), 64: (1, {'@': 153}), 75: (1, {'@': 153}), 65: (1, {'@': 153}), 3: (1, {'@': 153}), 71: (1, {'@': 153}), 72: (1, {'@': 153}), 5: (1, {'@': 153}), 60: (1, {'@': 153}), 15: (1, {'@': 153}), 22: (1, {'@': 153}), 23: (1, {'@': 153}), 17: (1, {'@': 153}), 70: (1, {'@': 153}), 24: (1, {'@': 153}), 25: (1, {'@': 153}), 14: (1, {'@': 153}), 2: (1, {'@': 153}), 26: (1, {'@': 153}), 27: (1, {'@': 153}), 76: (1, {'@': 153}), 61: (1, {'@': 153}), 62: (1, {'@': 153}), 63: (1, {'@': 153}), 77: (1, {'@': 153}), 58: (1, {'@': 153}), 1: (1, {'@': 153}), 29: (1, {'@': 153}), 30: (1, {'@': 153}), 78: (1, {'@': 153}), 31: (1, {'@': 153}), 59: (1, {'@': 153}), 32: (1, {'@': 153}), 33: (1, {'@': 153})}, 200: {0: (1, {'@': 154}), 18: (1, {'@': 154}), 20: (1, {'@': 154}), 74: (1, {'@': 154}), 68: (1, {'@': 154}), 69: (1, {'@': 154}), 21: (1, {'@': 154}), 64: (1, {'@': 154}), 75: (1, {'@': 154}), 65: (1, {'@': 154}), 3: (1, {'@': 154}), 71: (1, {'@': 154}), 72: (1, {'@': 154}), 5: (1, {'@': 154}), 60: (1, {'@': 154}), 15: (1, {'@': 154}), 22: (1, {'@': 154}), 23: (1, {'@': 154}), 17: (1, {'@': 154}), 70: (1, {'@': 154}), 24: (1, {'@': 154}), 25: (1, {'@': 154}), 14: (1, {'@': 154}), 2: (1, {'@': 154}), 26: (1, {'@': 154}), 27: (1, {'@': 154}), 76: (1, {'@': 154}), 61: (1, {'@': 154}), 62: (1, {'@': 154}), 63: (1, {'@': 154}), 77: (1, {'@': 154}), 58: (1, {'@': 154}), 1: (1, {'@': 154}), 29: (1, {'@': 154}), 30: (1, {'@': 154}), 78: (1, {'@': 154}), 31: (1, {'@': 154}), 59: (1, {'@': 154}), 32: (1, {'@': 154}), 33: (1, {'@': 154})}, 201: {22: (0, 30), 34: (0, 96), 14: (0, 32), 35: (0, 33), 5: (0, 97), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 73: (0, 265), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 2: (0, 266), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 56: (0, 65), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64)}, 202: {3: (0, 2), 32: (1, {'@': 155}), 0: (0, 6), 1: (0, 8), 9: (0, 7), 10: (0, 267)}, 203: {3: (0, 2), 32: (1, {'@': 156}), 0: (0, 6), 1: (0, 8), 30: (0, 268), 10: (0, 269), 9: (0, 7), 74: (0, 270)}, 204: {3: (1, {'@': 157}), 32: (1, {'@': 157}), 0: (1, {'@': 157}), 1: (1, {'@': 157}), 30: (0, 271)}, 205: {3: (0, 2), 32: (1, {'@': 158}), 0: (0, 6), 1: (0, 8), 22: (0, 30), 34: (0, 174), 14: (0, 32), 35: (0, 33), 5: (0, 34), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 10: (0, 272), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 206: {0: (1, {'@': 159}), 18: (1, {'@': 159}), 20: (1, {'@': 159}), 74: (1, {'@': 159}), 68: (1, {'@': 159}), 69: (1, {'@': 159}), 21: (1, {'@': 159}), 64: (1, {'@': 159}), 75: (1, {'@': 159}), 65: (1, {'@': 159}), 3: (1, {'@': 159}), 71: (1, {'@': 159}), 72: (1, {'@': 159}), 5: (1, {'@': 159}), 60: (1, {'@': 159}), 15: (1, {'@': 159}), 22: (1, {'@': 159}), 23: (1, {'@': 159}), 17: (1, {'@': 159}), 70: (1, {'@': 159}), 24: (1, {'@': 159}), 25: (1, {'@': 159}), 14: (1, {'@': 159}), 2: (1, {'@': 159}), 26: (1, {'@': 159}), 27: (1, {'@': 159}), 76: (1, {'@': 159}), 61: (1, {'@': 159}), 62: (1, {'@': 159}), 63: (1, {'@': 159}), 77: (1, {'@': 159}), 58: (1, {'@': 159}), 1: (1, {'@': 159}), 29: (1, {'@': 159}), 30: (1, {'@': 159}), 78: (1, {'@': 159}), 31: (1, {'@': 159}), 59: (1, {'@': 159}), 32: (1, {'@': 159}), 33: (1, {'@': 159})}, 207: {32: (0, 273)}, 208: {3: (0, 2), 32: (0, 274), 9: (0, 7), 0: (0, 6), 1: (0, 8), 10: (0, 275)}, 209: {0: (1, {'@': 160}), 18: (1, {'@': 160}), 20: (1, {'@': 160}), 74: (1, {'@': 160}), 68: (1, {'@': 160}), 69: (1, {'@': 160}), 21: (1, {'@': 160}), 64: (1, {'@': 160}), 75: (1, {'@': 160}), 65: (1, {'@': 160}), 3: (1, {'@': 160}), 71: (1, {'@': 160}), 72: (1, {'@': 160}), 5: (1, {'@': 160}), 60: (1, {'@': 160}), 15: (1, {'@': 160}), 22: (1, {'@': 160}), 23: (1, {'@': 160}), 17: (1, {'@': 160}), 70: (1, {'@': 160}), 24: (1, {'@': 160}), 25: (1, {'@': 160}), 14: (1, {'@': 160}), 2: (1, {'@': 160}), 26: (1, {'@': 160}), 27: (1, {'@': 160}), 76: (1, {'@': 160}), 61: (1, {'@': 160}), 62: (1, {'@': 160}), 63: (1, {'@': 160}), 77: (1, {'@': 160}), 58: (1, {'@': 160}), 1: (1, {'@': 160}), 29: (1, {'@': 160}), 30: (1, {'@': 160}), 78: (1, {'@': 160}), 31: (1, {'@': 160}), 59: (1, {'@': 160}), 32: (1, {'@': 160}), 33: (1, {'@': 160})}, 210: {32: (0, 276)}, 211: {0: (1, {'@': 161}), 18: (1, {'@': 161}), 20: (1, {'@': 161}), 74: (1, {'@': 161}), 68: (1, {'@': 161}), 69: (1, {'@': 161}), 21: (1, {'@': 161}), 64: (1, {'@': 161}), 75: (1, {'@': 161}), 65: (1, {'@': 161}), 3: (1, {'@': 161}), 71: (1, {'@': 161}), 72: (1, {'@': 161}), 5: (1, {'@': 161}), 60: (1, {'@': 161}), 15: (1, {'@': 161}), 22: (1, {'@': 161}), 23: (1, {'@': 161}), 17: (1, {'@': 161}), 70: (1, {'@': 161}), 24: (1, {'@': 161}), 25: (1, {'@': 161}), 14: (1, {'@': 161}), 2: (1, {'@': 161}), 26: (1, {'@': 161}), 27: (1, {'@': 161}), 76: (1, {'@': 161}), 61: (1, {'@': 161}), 62: (1, {'@': 161}), 63: (1, {'@': 161}), 77: (1, {'@': 161}), 58: (1, {'@': 161}), 1: (1, {'@': 161}), 29: (1, {'@': 161}), 30: (1, {'@': 161}), 78: (1, {'@': 161}), 31: (1, {'@': 161}), 59: (1, {'@': 161}), 32: (1, {'@': 161}), 33: (1, {'@': 161})}, 212: {0: (1, {'@': 162}), 18: (1, {'@': 162}), 20: (1, {'@': 162}), 74: (1, {'@': 162}), 68: (1, {'@': 162}), 69: (1, {'@': 162}), 21: (1, {'@': 162}), 64: (1, {'@': 162}), 75: (0, 104), 65: (1, {'@': 162}), 3: (1, {'@': 162}), 71: (1, {'@': 162}), 72: (1, {'@': 162}), 5: (1, {'@': 162}), 60: (1, {'@': 162}), 15: (1, {'@': 162}), 22: (0, 279), 23: (1, {'@': 162}), 17: (1, {'@': 162}), 70: (1, {'@': 162}), 24: (1, {'@': 162}), 25: (1, {'@': 162}), 14: (1, {'@': 162}), 2: (1, {'@': 162}), 26: (1, {'@': 162}), 27: (1, {'@': 162}), 76: (1, {'@': 162}), 61: (1, {'@': 162}), 62: (1, {'@': 162}), 63: (1, {'@': 162}), 77: (1, {'@': 162}), 58: (1, {'@': 162}), 1: (1, {'@': 162}), 29: (1, {'@': 162}), 30: (1, {'@': 162}), 78: (1, {'@': 162}), 31: (1, {'@': 162}), 59: (1, {'@': 162}), 32: (1, {'@': 162}), 33: (1, {'@': 162}), 90: (0, 277), 82: (0, 278), 80: (0, 280)}, 213: {0: (1, {'@': 163}), 18: (1, {'@': 163}), 20: (1, {'@': 163}), 74: (1, {'@': 163}), 68: (1, {'@': 163}), 69: (1, {'@': 163}), 21: (1, {'@': 163}), 64: (1, {'@': 163}), 75: (1, {'@': 163}), 65: (1, {'@': 163}), 3: (1, {'@': 163}), 71: (1, {'@': 163}), 72: (1, {'@': 163}), 5: (1, {'@': 163}), 60: (1, {'@': 163}), 15: (1, {'@': 163}), 22: (1, {'@': 163}), 23: (1, {'@': 163}), 17: (1, {'@': 163}), 70: (1, {'@': 163}), 24: (1, {'@': 163}), 25: (1, {'@': 163}), 14: (1, {'@': 163}), 2: (1, {'@': 163}), 26: (1, {'@': 163}), 27: (1, {'@': 163}), 76: (1, {'@': 163}), 61: (1, {'@': 163}), 62: (1, {'@': 163}), 63: (1, {'@': 163}), 77: (1, {'@': 163}), 58: (1, {'@': 163}), 1: (1, {'@': 163}), 29: (1, {'@': 163}), 30: (1, {'@': 163}), 78: (1, {'@': 163}), 31: (1, {'@': 163}), 59: (1, {'@': 163}), 32: (1, {'@': 163}), 33: (1, {'@': 163})}, 214: {29: (0, 39), 43: (0, 281)}, 215: {58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 2: (0, 282), 71: (0, 93), 72: (0, 94)}, 216: {3: (0, 2), 10: (0, 283), 9: (0, 7), 0: (0, 6), 1: (0, 8)}, 217: {0: (1, {'@': 164}), 1: (1, {'@': 164}), 4: (1, {'@': 164}), 2: (1, {'@': 164}), 3: (1, {'@': 164}), 5: (1, {'@': 164})}, 218: {28: (0, 284)}, 219: {5: (0, 285)}, 220: {22: (0, 30), 34: (0, 286), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 10: (0, 287), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 221: {28: (0, 288), 3: (0, 2), 10: (0, 289), 0: (0, 6), 9: (0, 7), 1: (0, 8)}, 222: {58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 77: (0, 290), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 223: {22: (0, 30), 34: (0, 291), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 224: {22: (0, 30), 34: (0, 292), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 10: (0, 293), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 225: {18: (0, 294)}, 226: {22: (0, 30), 34: (0, 295), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 10: (0, 296), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 18: (0, 297), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 227: {0: (1, {'@': 165}), 18: (1, {'@': 165}), 20: (1, {'@': 165}), 74: (1, {'@': 165}), 68: (1, {'@': 165}), 69: (1, {'@': 165}), 21: (1, {'@': 165}), 64: (1, {'@': 165}), 75: (1, {'@': 165}), 65: (1, {'@': 165}), 3: (1, {'@': 165}), 71: (1, {'@': 165}), 72: (1, {'@': 165}), 5: (1, {'@': 165}), 60: (1, {'@': 165}), 15: (1, {'@': 165}), 22: (1, {'@': 165}), 23: (1, {'@': 165}), 17: (1, {'@': 165}), 70: (1, {'@': 165}), 24: (1, {'@': 165}), 25: (1, {'@': 165}), 14: (1, {'@': 165}), 2: (1, {'@': 165}), 26: (1, {'@': 165}), 27: (1, {'@': 165}), 76: (1, {'@': 165}), 61: (1, {'@': 165}), 62: (1, {'@': 165}), 63: (1, {'@': 165}), 77: (1, {'@': 165}), 58: (1, {'@': 165}), 1: (1, {'@': 165}), 29: (1, {'@': 165}), 30: (1, {'@': 165}), 78: (1, {'@': 165}), 31: (1, {'@': 165}), 59: (1, {'@': 165}), 32: (1, {'@': 165}), 33: (1, {'@': 165})}, 228: {0: (1, {'@': 166}), 1: (1, {'@': 166}), 18: (1, {'@': 166}), 74: (1, {'@': 166}), 30: (1, {'@': 166}), 3: (1, {'@': 166}), 32: (1, {'@': 166}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 229: {22: (0, 30), 34: (0, 298), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 18: (0, 299), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 230: {0: (1, {'@': 167}), 18: (1, {'@': 167}), 20: (1, {'@': 167}), 74: (1, {'@': 167}), 68: (1, {'@': 167}), 69: (1, {'@': 167}), 21: (1, {'@': 167}), 64: (1, {'@': 167}), 75: (1, {'@': 167}), 65: (1, {'@': 167}), 3: (1, {'@': 167}), 71: (1, {'@': 167}), 72: (1, {'@': 167}), 5: (1, {'@': 167}), 60: (1, {'@': 167}), 15: (1, {'@': 167}), 22: (1, {'@': 167}), 23: (1, {'@': 167}), 17: (1, {'@': 167}), 70: (1, {'@': 167}), 24: (1, {'@': 167}), 25: (1, {'@': 167}), 14: (1, {'@': 167}), 2: (1, {'@': 167}), 26: (1, {'@': 167}), 27: (1, {'@': 167}), 76: (1, {'@': 167}), 61: (1, {'@': 167}), 62: (1, {'@': 167}), 63: (1, {'@': 167}), 77: (1, {'@': 167}), 58: (1, {'@': 167}), 1: (1, {'@': 167}), 29: (1, {'@': 167}), 30: (1, {'@': 167}), 78: (1, {'@': 167}), 31: (1, {'@': 167}), 59: (1, {'@': 167}), 32: (1, {'@': 167}), 33: (1, {'@': 167})}, 231: {0: (1, {'@': 168}), 1: (1, {'@': 168}), 18: (1, {'@': 168}), 74: (1, {'@': 168}), 30: (1, {'@': 168}), 3: (1, {'@': 168}), 32: (1, {'@': 168}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 232: {22: (0, 30), 34: (0, 300), 14: (0, 32), 35: (0, 33), 5: (0, 34), 18: (0, 301), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 233: {0: (1, {'@': 169}), 18: (1, {'@': 169}), 20: (1, {'@': 169}), 74: (1, {'@': 169}), 68: (1, {'@': 169}), 69: (1, {'@': 169}), 21: (1, {'@': 169}), 64: (1, {'@': 169}), 75: (1, {'@': 169}), 65: (1, {'@': 169}), 3: (1, {'@': 169}), 71: (1, {'@': 169}), 72: (1, {'@': 169}), 5: (1, {'@': 169}), 60: (1, {'@': 169}), 15: (1, {'@': 169}), 22: (1, {'@': 169}), 23: (1, {'@': 169}), 17: (1, {'@': 169}), 70: (1, {'@': 169}), 24: (1, {'@': 169}), 25: (1, {'@': 169}), 14: (1, {'@': 169}), 2: (1, {'@': 169}), 26: (1, {'@': 169}), 27: (1, {'@': 169}), 76: (1, {'@': 169}), 61: (1, {'@': 169}), 62: (1, {'@': 169}), 63: (1, {'@': 169}), 77: (1, {'@': 169}), 58: (1, {'@': 169}), 1: (1, {'@': 169}), 29: (1, {'@': 169}), 30: (1, {'@': 169}), 78: (1, {'@': 169}), 31: (1, {'@': 169}), 59: (1, {'@': 169}), 32: (1, {'@': 169}), 33: (1, {'@': 169})}, 234: {0: (1, {'@': 170}), 18: (1, {'@': 170}), 20: (1, {'@': 170}), 74: (1, {'@': 170}), 68: (1, {'@': 170}), 69: (1, {'@': 170}), 21: (1, {'@': 170}), 64: (1, {'@': 170}), 75: (1, {'@': 170}), 65: (1, {'@': 170}), 3: (1, {'@': 170}), 71: (1, {'@': 170}), 72: (1, {'@': 170}), 5: (1, {'@': 170}), 60: (1, {'@': 170}), 15: (1, {'@': 170}), 22: (1, {'@': 170}), 23: (1, {'@': 170}), 17: (1, {'@': 170}), 70: (1, {'@': 170}), 24: (1, {'@': 170}), 25: (1, {'@': 170}), 14: (1, {'@': 170}), 2: (1, {'@': 170}), 26: (1, {'@': 170}), 27: (1, {'@': 170}), 76: (1, {'@': 170}), 61: (1, {'@': 170}), 62: (1, {'@': 170}), 63: (1, {'@': 170}), 77: (1, {'@': 170}), 58: (1, {'@': 170}), 1: (1, {'@': 170}), 29: (1, {'@': 170}), 30: (1, {'@': 170}), 78: (1, {'@': 170}), 31: (1, {'@': 170}), 59: (1, {'@': 170}), 32: (1, {'@': 170}), 33: (1, {'@': 170})}, 235: {0: (1, {'@': 171}), 1: (1, {'@': 171}), 18: (1, {'@': 171}), 74: (1, {'@': 171}), 30: (1, {'@': 171}), 3: (1, {'@': 171}), 32: (1, {'@': 171}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 236: {0: (1, {'@': 172}), 18: (1, {'@': 172}), 20: (1, {'@': 172}), 74: (1, {'@': 172}), 68: (1, {'@': 172}), 69: (1, {'@': 172}), 21: (1, {'@': 172}), 64: (1, {'@': 172}), 75: (1, {'@': 172}), 65: (1, {'@': 172}), 3: (1, {'@': 172}), 71: (1, {'@': 172}), 72: (1, {'@': 172}), 5: (1, {'@': 172}), 60: (1, {'@': 172}), 15: (1, {'@': 172}), 22: (1, {'@': 172}), 23: (1, {'@': 172}), 17: (1, {'@': 172}), 70: (1, {'@': 172}), 24: (1, {'@': 172}), 25: (1, {'@': 172}), 14: (1, {'@': 172}), 2: (1, {'@': 172}), 26: (1, {'@': 172}), 27: (1, {'@': 172}), 76: (1, {'@': 172}), 61: (1, {'@': 172}), 62: (1, {'@': 172}), 63: (1, {'@': 172}), 77: (1, {'@': 172}), 58: (1, {'@': 172}), 1: (1, {'@': 172}), 29: (1, {'@': 172}), 30: (1, {'@': 172}), 78: (1, {'@': 172}), 31: (1, {'@': 172}), 59: (1, {'@': 172}), 32: (1, {'@': 172}), 33: (1, {'@': 172})}, 237: {22: (0, 30), 34: (0, 228), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 18: (0, 302), 27: (0, 44), 10: (0, 303), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 238: {3: (0, 2), 9: (0, 7), 30: (0, 304), 18: (0, 305), 0: (0, 6), 10: (0, 306), 1: (0, 8)}, 239: {0: (1, {'@': 173}), 18: (1, {'@': 173}), 20: (1, {'@': 173}), 74: (1, {'@': 173}), 68: (1, {'@': 173}), 69: (1, {'@': 173}), 21: (1, {'@': 173}), 64: (1, {'@': 173}), 75: (1, {'@': 173}), 65: (1, {'@': 173}), 3: (1, {'@': 173}), 71: (1, {'@': 173}), 72: (1, {'@': 173}), 5: (1, {'@': 173}), 60: (1, {'@': 173}), 15: (1, {'@': 173}), 22: (1, {'@': 173}), 23: (1, {'@': 173}), 17: (1, {'@': 173}), 70: (1, {'@': 173}), 24: (1, {'@': 173}), 25: (1, {'@': 173}), 14: (1, {'@': 173}), 2: (1, {'@': 173}), 26: (1, {'@': 173}), 27: (1, {'@': 173}), 76: (1, {'@': 173}), 61: (1, {'@': 173}), 62: (1, {'@': 173}), 63: (1, {'@': 173}), 77: (1, {'@': 173}), 58: (1, {'@': 173}), 1: (1, {'@': 173}), 29: (1, {'@': 173}), 30: (1, {'@': 173}), 78: (1, {'@': 173}), 31: (1, {'@': 173}), 59: (1, {'@': 173}), 32: (1, {'@': 173}), 33: (1, {'@': 173})}, 240: {22: (0, 30), 34: (0, 231), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 18: (0, 307), 38: (0, 37), 26: (0, 38), 29: (0, 39), 10: (0, 308), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 241: {0: (1, {'@': 174}), 18: (1, {'@': 174}), 20: (1, {'@': 174}), 74: (1, {'@': 174}), 68: (1, {'@': 174}), 69: (1, {'@': 174}), 21: (1, {'@': 174}), 64: (1, {'@': 174}), 75: (1, {'@': 174}), 65: (1, {'@': 174}), 3: (1, {'@': 174}), 71: (1, {'@': 174}), 72: (1, {'@': 174}), 5: (1, {'@': 174}), 60: (1, {'@': 174}), 15: (1, {'@': 174}), 22: (1, {'@': 174}), 23: (1, {'@': 174}), 17: (1, {'@': 174}), 70: (1, {'@': 174}), 24: (1, {'@': 174}), 25: (1, {'@': 174}), 14: (1, {'@': 174}), 2: (1, {'@': 174}), 26: (1, {'@': 174}), 27: (1, {'@': 174}), 76: (1, {'@': 174}), 61: (1, {'@': 174}), 62: (1, {'@': 174}), 63: (1, {'@': 174}), 77: (1, {'@': 174}), 58: (1, {'@': 174}), 1: (1, {'@': 174}), 29: (1, {'@': 174}), 30: (1, {'@': 174}), 78: (1, {'@': 174}), 31: (1, {'@': 174}), 59: (1, {'@': 174}), 32: (1, {'@': 174}), 33: (1, {'@': 174})}, 242: {18: (0, 309)}, 243: {0: (1, {'@': 175}), 18: (1, {'@': 175}), 20: (1, {'@': 175}), 74: (1, {'@': 175}), 68: (1, {'@': 175}), 69: (1, {'@': 175}), 21: (1, {'@': 175}), 64: (1, {'@': 175}), 75: (1, {'@': 175}), 65: (1, {'@': 175}), 3: (1, {'@': 175}), 71: (1, {'@': 175}), 72: (1, {'@': 175}), 5: (1, {'@': 175}), 60: (1, {'@': 175}), 15: (1, {'@': 175}), 22: (1, {'@': 175}), 23: (1, {'@': 175}), 17: (1, {'@': 175}), 70: (1, {'@': 175}), 24: (1, {'@': 175}), 25: (1, {'@': 175}), 14: (1, {'@': 175}), 2: (1, {'@': 175}), 26: (1, {'@': 175}), 27: (1, {'@': 175}), 76: (1, {'@': 175}), 61: (1, {'@': 175}), 62: (1, {'@': 175}), 63: (1, {'@': 175}), 77: (1, {'@': 175}), 58: (1, {'@': 175}), 1: (1, {'@': 175}), 29: (1, {'@': 175}), 30: (1, {'@': 175}), 78: (1, {'@': 175}), 31: (1, {'@': 175}), 59: (1, {'@': 175}), 32: (1, {'@': 175}), 33: (1, {'@': 175})}, 244: {22: (0, 30), 34: (0, 235), 14: (0, 32), 35: (0, 33), 5: (0, 34), 18: (0, 310), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 245: {89: (0, 311), 3: (0, 2), 9: (0, 7), 33: (0, 186), 18: (0, 312), 0: (0, 6), 10: (0, 313), 1: (0, 8)}, 246: {10: (0, 314), 3: (0, 2), 9: (0, 7), 18: (0, 315), 0: (0, 6), 1: (0, 8)}, 247: {0: (1, {'@': 176}), 18: (1, {'@': 176}), 20: (1, {'@': 176}), 74: (1, {'@': 176}), 68: (1, {'@': 176}), 69: (1, {'@': 176}), 21: (1, {'@': 176}), 64: (1, {'@': 176}), 75: (1, {'@': 176}), 65: (1, {'@': 176}), 3: (1, {'@': 176}), 71: (1, {'@': 176}), 72: (1, {'@': 176}), 5: (1, {'@': 176}), 60: (1, {'@': 176}), 15: (1, {'@': 176}), 22: (1, {'@': 176}), 23: (1, {'@': 176}), 17: (1, {'@': 176}), 70: (1, {'@': 176}), 24: (1, {'@': 176}), 25: (1, {'@': 176}), 14: (1, {'@': 176}), 2: (1, {'@': 176}), 26: (1, {'@': 176}), 27: (1, {'@': 176}), 76: (1, {'@': 176}), 61: (1, {'@': 176}), 62: (1, {'@': 176}), 63: (1, {'@': 176}), 77: (1, {'@': 176}), 58: (1, {'@': 176}), 1: (1, {'@': 176}), 29: (1, {'@': 176}), 30: (1, {'@': 176}), 78: (1, {'@': 176}), 31: (1, {'@': 176}), 59: (1, {'@': 176}), 32: (1, {'@': 176}), 33: (1, {'@': 176})}, 248: {10: (0, 316), 23: (0, 80), 59: (0, 81), 9: (0, 7), 1: (0, 8), 60: (0, 82), 64: (0, 86), 65: (0, 87), 33: (0, 186), 71: (0, 93), 18: (0, 317), 3: (0, 2), 58: (0, 79), 89: (0, 318), 0: (0, 6), 61: (0, 83), 62: (0, 84), 63: (0, 85), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 72: (0, 94)}, 249: {18: (0, 319)}, 250: {0: (1, {'@': 177}), 18: (1, {'@': 177}), 20: (1, {'@': 177}), 74: (1, {'@': 177}), 68: (1, {'@': 177}), 69: (1, {'@': 177}), 21: (1, {'@': 177}), 64: (1, {'@': 177}), 75: (1, {'@': 177}), 65: (1, {'@': 177}), 3: (1, {'@': 177}), 71: (1, {'@': 177}), 72: (1, {'@': 177}), 5: (1, {'@': 177}), 60: (1, {'@': 177}), 15: (1, {'@': 177}), 22: (1, {'@': 177}), 23: (1, {'@': 177}), 17: (1, {'@': 177}), 70: (1, {'@': 177}), 24: (1, {'@': 177}), 25: (1, {'@': 177}), 14: (1, {'@': 177}), 2: (1, {'@': 177}), 26: (1, {'@': 177}), 27: (1, {'@': 177}), 76: (1, {'@': 177}), 61: (1, {'@': 177}), 62: (1, {'@': 177}), 63: (1, {'@': 177}), 77: (1, {'@': 177}), 58: (1, {'@': 177}), 1: (1, {'@': 177}), 29: (1, {'@': 177}), 30: (1, {'@': 177}), 78: (1, {'@': 177}), 31: (1, {'@': 177}), 59: (1, {'@': 177}), 32: (1, {'@': 177}), 33: (1, {'@': 177})}, 251: {0: (1, {'@': 178}), 18: (1, {'@': 178}), 20: (1, {'@': 178}), 74: (1, {'@': 178}), 68: (1, {'@': 178}), 69: (1, {'@': 178}), 21: (1, {'@': 178}), 64: (1, {'@': 178}), 75: (1, {'@': 178}), 65: (1, {'@': 178}), 3: (1, {'@': 178}), 71: (1, {'@': 178}), 72: (1, {'@': 178}), 5: (1, {'@': 178}), 60: (1, {'@': 178}), 15: (1, {'@': 178}), 22: (1, {'@': 178}), 23: (1, {'@': 178}), 17: (1, {'@': 178}), 70: (1, {'@': 178}), 24: (1, {'@': 178}), 25: (1, {'@': 178}), 14: (1, {'@': 178}), 2: (1, {'@': 178}), 26: (1, {'@': 178}), 27: (1, {'@': 178}), 76: (1, {'@': 178}), 61: (1, {'@': 178}), 62: (1, {'@': 178}), 63: (1, {'@': 178}), 77: (1, {'@': 178}), 58: (1, {'@': 178}), 1: (1, {'@': 178}), 29: (1, {'@': 178}), 30: (1, {'@': 178}), 78: (1, {'@': 178}), 31: (1, {'@': 178}), 59: (1, {'@': 178}), 32: (1, {'@': 178}), 33: (1, {'@': 178})}, 252: {3: (0, 2), 9: (0, 7), 18: (0, 320), 10: (0, 321), 0: (0, 6), 1: (0, 8)}, 253: {18: (0, 322)}, 254: {0: (1, {'@': 179}), 1: (1, {'@': 179}), 2: (1, {'@': 179}), 3: (1, {'@': 179}), 18: (1, {'@': 179}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 72: (0, 94), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93)}, 255: {22: (0, 30), 34: (0, 323), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 256: {0: (1, {'@': 180}), 18: (1, {'@': 180}), 20: (1, {'@': 180}), 74: (1, {'@': 180}), 68: (1, {'@': 180}), 69: (1, {'@': 180}), 21: (1, {'@': 180}), 64: (1, {'@': 180}), 75: (1, {'@': 180}), 65: (1, {'@': 180}), 3: (1, {'@': 180}), 71: (1, {'@': 180}), 72: (1, {'@': 180}), 5: (1, {'@': 180}), 60: (1, {'@': 180}), 15: (1, {'@': 180}), 22: (1, {'@': 180}), 23: (1, {'@': 180}), 17: (1, {'@': 180}), 70: (1, {'@': 180}), 24: (1, {'@': 180}), 25: (1, {'@': 180}), 14: (1, {'@': 180}), 2: (1, {'@': 180}), 26: (1, {'@': 180}), 27: (1, {'@': 180}), 76: (1, {'@': 180}), 61: (1, {'@': 180}), 62: (1, {'@': 180}), 63: (1, {'@': 180}), 77: (1, {'@': 180}), 58: (1, {'@': 180}), 1: (1, {'@': 180}), 29: (1, {'@': 180}), 30: (1, {'@': 180}), 78: (1, {'@': 180}), 31: (1, {'@': 180}), 59: (1, {'@': 180}), 32: (1, {'@': 180}), 33: (1, {'@': 180})}, 257: {3: (0, 2), 18: (0, 324), 89: (0, 325), 9: (0, 7), 33: (0, 186), 0: (0, 6), 10: (0, 326), 1: (0, 8)}, 258: {3: (0, 2), 10: (0, 327), 9: (0, 7), 0: (0, 6), 18: (0, 328), 1: (0, 8)}, 259: {0: (1, {'@': 181}), 18: (1, {'@': 181}), 20: (1, {'@': 181}), 74: (1, {'@': 181}), 68: (0, 90), 69: (0, 91), 21: (1, {'@': 181}), 64: (0, 86), 65: (0, 87), 3: (1, {'@': 181}), 71: (0, 93), 72: (0, 94), 5: (1, {'@': 181}), 60: (0, 82), 15: (1, {'@': 181}), 22: (1, {'@': 181}), 23: (0, 80), 17: (1, {'@': 181}), 70: (0, 92), 24: (1, {'@': 181}), 25: (1, {'@': 181}), 14: (1, {'@': 181}), 2: (1, {'@': 181}), 26: (1, {'@': 181}), 27: (1, {'@': 181}), 61: (0, 83), 62: (0, 84), 63: (0, 85), 77: (1, {'@': 181}), 58: (0, 79), 1: (1, {'@': 181}), 29: (1, {'@': 181}), 30: (1, {'@': 181}), 78: (1, {'@': 181}), 31: (1, {'@': 181}), 59: (0, 81), 32: (1, {'@': 181}), 33: (1, {'@': 181}), 66: (0, 88), 67: (0, 89)}, 260: {22: (0, 30), 34: (0, 329), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 261: {0: (1, {'@': 182}), 18: (1, {'@': 182}), 20: (1, {'@': 182}), 74: (1, {'@': 182}), 68: (1, {'@': 182}), 69: (1, {'@': 182}), 21: (1, {'@': 182}), 64: (1, {'@': 182}), 75: (1, {'@': 182}), 65: (1, {'@': 182}), 3: (1, {'@': 182}), 71: (1, {'@': 182}), 72: (1, {'@': 182}), 5: (1, {'@': 182}), 60: (1, {'@': 182}), 15: (1, {'@': 182}), 22: (1, {'@': 182}), 23: (1, {'@': 182}), 17: (1, {'@': 182}), 70: (1, {'@': 182}), 24: (1, {'@': 182}), 25: (1, {'@': 182}), 14: (1, {'@': 182}), 2: (1, {'@': 182}), 26: (1, {'@': 182}), 27: (1, {'@': 182}), 76: (1, {'@': 182}), 61: (1, {'@': 182}), 62: (1, {'@': 182}), 63: (1, {'@': 182}), 77: (1, {'@': 182}), 58: (1, {'@': 182}), 1: (1, {'@': 182}), 29: (1, {'@': 182}), 30: (1, {'@': 182}), 78: (1, {'@': 182}), 31: (1, {'@': 182}), 59: (1, {'@': 182}), 32: (1, {'@': 182}), 33: (1, {'@': 182})}, 262: {22: (0, 30), 34: (0, 96), 14: (0, 32), 35: (0, 33), 5: (0, 97), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 73: (0, 265), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 56: (0, 65), 52: (0, 60), 17: (0, 61), 53: (0, 62), 2: (0, 330), 54: (0, 63), 55: (0, 64)}, 263: {0: (1, {'@': 183}), 18: (1, {'@': 183}), 20: (1, {'@': 183}), 74: (1, {'@': 183}), 68: (1, {'@': 183}), 69: (1, {'@': 183}), 21: (1, {'@': 183}), 64: (1, {'@': 183}), 75: (1, {'@': 183}), 65: (1, {'@': 183}), 3: (1, {'@': 183}), 71: (1, {'@': 183}), 72: (1, {'@': 183}), 5: (1, {'@': 183}), 60: (1, {'@': 183}), 15: (1, {'@': 183}), 22: (1, {'@': 183}), 23: (1, {'@': 183}), 17: (1, {'@': 183}), 70: (1, {'@': 183}), 24: (1, {'@': 183}), 25: (1, {'@': 183}), 14: (1, {'@': 183}), 2: (1, {'@': 183}), 26: (1, {'@': 183}), 27: (1, {'@': 183}), 76: (1, {'@': 183}), 61: (1, {'@': 183}), 62: (1, {'@': 183}), 63: (1, {'@': 183}), 77: (1, {'@': 183}), 58: (1, {'@': 183}), 1: (1, {'@': 183}), 29: (1, {'@': 183}), 30: (1, {'@': 183}), 78: (1, {'@': 183}), 31: (1, {'@': 183}), 59: (1, {'@': 183}), 32: (1, {'@': 183}), 33: (1, {'@': 183})}, 264: {23: (0, 80), 74: (0, 331), 10: (0, 332), 59: (0, 81), 9: (0, 7), 1: (0, 8), 60: (0, 82), 64: (0, 86), 65: (0, 87), 89: (0, 333), 33: (0, 186), 71: (0, 93), 58: (0, 79), 3: (0, 2), 0: (0, 6), 2: (0, 334), 61: (0, 83), 62: (0, 84), 63: (0, 85), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 72: (0, 94)}, 265: {0: (1, {'@': 184}), 1: (1, {'@': 184}), 2: (1, {'@': 184}), 3: (1, {'@': 184}), 30: (1, {'@': 184})}, 266: {0: (1, {'@': 185}), 18: (1, {'@': 185}), 20: (1, {'@': 185}), 74: (1, {'@': 185}), 68: (1, {'@': 185}), 69: (1, {'@': 185}), 21: (1, {'@': 185}), 64: (1, {'@': 185}), 75: (1, {'@': 185}), 65: (1, {'@': 185}), 3: (1, {'@': 185}), 71: (1, {'@': 185}), 72: (1, {'@': 185}), 5: (1, {'@': 185}), 60: (1, {'@': 185}), 15: (1, {'@': 185}), 22: (1, {'@': 185}), 23: (1, {'@': 185}), 17: (1, {'@': 185}), 70: (1, {'@': 185}), 24: (1, {'@': 185}), 25: (1, {'@': 185}), 14: (1, {'@': 185}), 2: (1, {'@': 185}), 26: (1, {'@': 185}), 27: (1, {'@': 185}), 76: (1, {'@': 185}), 61: (1, {'@': 185}), 62: (1, {'@': 185}), 63: (1, {'@': 185}), 77: (1, {'@': 185}), 58: (1, {'@': 185}), 1: (1, {'@': 185}), 29: (1, {'@': 185}), 30: (1, {'@': 185}), 78: (1, {'@': 185}), 31: (1, {'@': 185}), 59: (1, {'@': 185}), 32: (1, {'@': 185}), 33: (1, {'@': 185})}, 267: {3: (1, {'@': 186}), 32: (1, {'@': 186}), 0: (1, {'@': 186}), 1: (1, {'@': 186})}, 268: {3: (0, 2), 32: (1, {'@': 187}), 0: (0, 6), 1: (0, 8), 22: (0, 30), 34: (0, 228), 14: (0, 32), 35: (0, 33), 5: (0, 34), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 10: (0, 335), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 269: {3: (1, {'@': 188}), 32: (1, {'@': 188}), 0: (1, {'@': 188}), 1: (1, {'@': 188}), 30: (0, 336)}, 270: {3: (0, 2), 32: (1, {'@': 189}), 0: (0, 6), 1: (0, 8), 9: (0, 7), 10: (0, 337)}, 271: {22: (0, 30), 34: (0, 231), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 10: (0, 338), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 272: {3: (1, {'@': 190}), 32: (1, {'@': 190}), 0: (1, {'@': 190}), 1: (1, {'@': 190}), 22: (0, 30), 34: (0, 235), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 273: {0: (1, {'@': 191}), 18: (1, {'@': 191}), 20: (1, {'@': 191}), 74: (1, {'@': 191}), 68: (1, {'@': 191}), 69: (1, {'@': 191}), 21: (1, {'@': 191}), 64: (1, {'@': 191}), 75: (1, {'@': 191}), 65: (1, {'@': 191}), 3: (1, {'@': 191}), 71: (1, {'@': 191}), 72: (1, {'@': 191}), 5: (1, {'@': 191}), 60: (1, {'@': 191}), 15: (1, {'@': 191}), 22: (1, {'@': 191}), 23: (1, {'@': 191}), 17: (1, {'@': 191}), 70: (1, {'@': 191}), 24: (1, {'@': 191}), 25: (1, {'@': 191}), 14: (1, {'@': 191}), 2: (1, {'@': 191}), 26: (1, {'@': 191}), 27: (1, {'@': 191}), 76: (1, {'@': 191}), 61: (1, {'@': 191}), 62: (1, {'@': 191}), 63: (1, {'@': 191}), 77: (1, {'@': 191}), 58: (1, {'@': 191}), 1: (1, {'@': 191}), 29: (1, {'@': 191}), 30: (1, {'@': 191}), 78: (1, {'@': 191}), 31: (1, {'@': 191}), 59: (1, {'@': 191}), 32: (1, {'@': 191}), 33: (1, {'@': 191})}, 274: {0: (1, {'@': 192}), 18: (1, {'@': 192}), 20: (1, {'@': 192}), 74: (1, {'@': 192}), 68: (1, {'@': 192}), 69: (1, {'@': 192}), 21: (1, {'@': 192}), 64: (1, {'@': 192}), 75: (1, {'@': 192}), 65: (1, {'@': 192}), 3: (1, {'@': 192}), 71: (1, {'@': 192}), 72: (1, {'@': 192}), 5: (1, {'@': 192}), 60: (1, {'@': 192}), 15: (1, {'@': 192}), 22: (1, {'@': 192}), 23: (1, {'@': 192}), 17: (1, {'@': 192}), 70: (1, {'@': 192}), 24: (1, {'@': 192}), 25: (1, {'@': 192}), 14: (1, {'@': 192}), 2: (1, {'@': 192}), 26: (1, {'@': 192}), 27: (1, {'@': 192}), 76: (1, {'@': 192}), 61: (1, {'@': 192}), 62: (1, {'@': 192}), 63: (1, {'@': 192}), 77: (1, {'@': 192}), 58: (1, {'@': 192}), 1: (1, {'@': 192}), 29: (1, {'@': 192}), 30: (1, {'@': 192}), 78: (1, {'@': 192}), 31: (1, {'@': 192}), 59: (1, {'@': 192}), 32: (1, {'@': 192}), 33: (1, {'@': 192})}, 275: {32: (0, 339)}, 276: {0: (1, {'@': 193}), 18: (1, {'@': 193}), 20: (1, {'@': 193}), 74: (1, {'@': 193}), 68: (1, {'@': 193}), 69: (1, {'@': 193}), 21: (1, {'@': 193}), 64: (1, {'@': 193}), 75: (1, {'@': 193}), 65: (1, {'@': 193}), 3: (1, {'@': 193}), 71: (1, {'@': 193}), 72: (1, {'@': 193}), 5: (1, {'@': 193}), 60: (1, {'@': 193}), 15: (1, {'@': 193}), 22: (1, {'@': 193}), 23: (1, {'@': 193}), 17: (1, {'@': 193}), 70: (1, {'@': 193}), 24: (1, {'@': 193}), 25: (1, {'@': 193}), 14: (1, {'@': 193}), 2: (1, {'@': 193}), 26: (1, {'@': 193}), 27: (1, {'@': 193}), 76: (1, {'@': 193}), 61: (1, {'@': 193}), 62: (1, {'@': 193}), 63: (1, {'@': 193}), 77: (1, {'@': 193}), 58: (1, {'@': 193}), 1: (1, {'@': 193}), 29: (1, {'@': 193}), 30: (1, {'@': 193}), 78: (1, {'@': 193}), 31: (1, {'@': 193}), 59: (1, {'@': 193}), 32: (1, {'@': 193}), 33: (1, {'@': 193})}, 277: {0: (1, {'@': 194}), 18: (1, {'@': 194}), 20: (1, {'@': 194}), 74: (1, {'@': 194}), 68: (1, {'@': 194}), 69: (1, {'@': 194}), 21: (1, {'@': 194}), 64: (1, {'@': 194}), 75: (0, 104), 65: (1, {'@': 194}), 3: (1, {'@': 194}), 71: (1, {'@': 194}), 72: (1, {'@': 194}), 5: (1, {'@': 194}), 60: (1, {'@': 194}), 15: (1, {'@': 194}), 22: (0, 279), 23: (1, {'@': 194}), 17: (1, {'@': 194}), 70: (1, {'@': 194}), 24: (1, {'@': 194}), 25: (1, {'@': 194}), 14: (1, {'@': 194}), 2: (1, {'@': 194}), 26: (1, {'@': 194}), 27: (1, {'@': 194}), 76: (1, {'@': 194}), 61: (1, {'@': 194}), 62: (1, {'@': 194}), 63: (1, {'@': 194}), 77: (1, {'@': 194}), 58: (1, {'@': 194}), 1: (1, {'@': 194}), 29: (1, {'@': 194}), 30: (1, {'@': 194}), 78: (1, {'@': 194}), 31: (1, {'@': 194}), 59: (1, {'@': 194}), 32: (1, {'@': 194}), 33: (1, {'@': 194}), 82: (0, 340), 80: (0, 341)}, 278: {0: (1, {'@': 195}), 18: (1, {'@': 195}), 20: (1, {'@': 195}), 74: (1, {'@': 195}), 68: (1, {'@': 195}), 69: (1, {'@': 195}), 21: (1, {'@': 195}), 64: (1, {'@': 195}), 75: (1, {'@': 195}), 65: (1, {'@': 195}), 3: (1, {'@': 195}), 71: (1, {'@': 195}), 72: (1, {'@': 195}), 5: (1, {'@': 195}), 60: (1, {'@': 195}), 15: (1, {'@': 195}), 22: (1, {'@': 195}), 23: (1, {'@': 195}), 17: (1, {'@': 195}), 70: (1, {'@': 195}), 24: (1, {'@': 195}), 25: (1, {'@': 195}), 14: (1, {'@': 195}), 2: (1, {'@': 195}), 26: (1, {'@': 195}), 27: (1, {'@': 195}), 76: (1, {'@': 195}), 61: (1, {'@': 195}), 62: (1, {'@': 195}), 63: (1, {'@': 195}), 77: (1, {'@': 195}), 58: (1, {'@': 195}), 1: (1, {'@': 195}), 29: (1, {'@': 195}), 30: (1, {'@': 195}), 78: (1, {'@': 195}), 31: (1, {'@': 195}), 59: (1, {'@': 195}), 32: (1, {'@': 195}), 33: (1, {'@': 195})}, 279: {22: (0, 30), 34: (0, 151), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 280: {0: (1, {'@': 196}), 18: (1, {'@': 196}), 20: (1, {'@': 196}), 74: (1, {'@': 196}), 68: (1, {'@': 196}), 69: (1, {'@': 196}), 21: (1, {'@': 196}), 64: (1, {'@': 196}), 75: (1, {'@': 196}), 65: (1, {'@': 196}), 3: (1, {'@': 196}), 71: (1, {'@': 196}), 72: (1, {'@': 196}), 5: (1, {'@': 196}), 60: (1, {'@': 196}), 15: (1, {'@': 196}), 22: (1, {'@': 196}), 23: (1, {'@': 196}), 17: (1, {'@': 196}), 70: (1, {'@': 196}), 24: (1, {'@': 196}), 25: (1, {'@': 196}), 14: (1, {'@': 196}), 2: (1, {'@': 196}), 26: (1, {'@': 196}), 27: (1, {'@': 196}), 76: (1, {'@': 196}), 61: (1, {'@': 196}), 62: (1, {'@': 196}), 63: (1, {'@': 196}), 77: (1, {'@': 196}), 58: (1, {'@': 196}), 1: (1, {'@': 196}), 29: (1, {'@': 196}), 30: (1, {'@': 196}), 78: (1, {'@': 196}), 31: (1, {'@': 196}), 59: (1, {'@': 196}), 32: (1, {'@': 196}), 33: (1, {'@': 196})}, 281: {0: (1, {'@': 197}), 18: (1, {'@': 197}), 20: (1, {'@': 197}), 74: (1, {'@': 197}), 68: (1, {'@': 197}), 69: (1, {'@': 197}), 21: (1, {'@': 197}), 64: (1, {'@': 197}), 75: (1, {'@': 197}), 65: (1, {'@': 197}), 3: (1, {'@': 197}), 71: (1, {'@': 197}), 72: (1, {'@': 197}), 5: (1, {'@': 197}), 60: (1, {'@': 197}), 15: (1, {'@': 197}), 22: (1, {'@': 197}), 23: (1, {'@': 197}), 17: (1, {'@': 197}), 70: (1, {'@': 197}), 24: (1, {'@': 197}), 25: (1, {'@': 197}), 14: (1, {'@': 197}), 2: (1, {'@': 197}), 26: (1, {'@': 197}), 27: (1, {'@': 197}), 76: (1, {'@': 197}), 61: (1, {'@': 197}), 62: (1, {'@': 197}), 63: (1, {'@': 197}), 77: (1, {'@': 197}), 58: (1, {'@': 197}), 1: (1, {'@': 197}), 29: (0, 112), 30: (1, {'@': 197}), 78: (1, {'@': 197}), 31: (1, {'@': 197}), 59: (1, {'@': 197}), 32: (1, {'@': 197}), 33: (1, {'@': 197})}, 282: {3: (0, 2), 9: (0, 7), 10: (0, 342), 0: (0, 6), 1: (0, 8)}, 283: {0: (1, {'@': 198}), 1: (1, {'@': 198}), 4: (1, {'@': 198}), 2: (1, {'@': 198}), 3: (1, {'@': 198}), 5: (1, {'@': 198})}, 284: {22: (0, 30), 34: (0, 343), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 10: (0, 344), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 285: {10: (0, 345), 3: (0, 2), 28: (0, 346), 0: (0, 6), 9: (0, 7), 1: (0, 8)}, 286: {58: (0, 79), 23: (0, 80), 77: (0, 347), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 287: {22: (0, 30), 34: (0, 348), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 288: {22: (0, 30), 34: (0, 349), 14: (0, 32), 35: (0, 33), 5: (0, 34), 10: (0, 350), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 289: {10: (0, 351), 3: (0, 2), 28: (0, 352), 9: (0, 7), 0: (0, 6), 1: (0, 8)}, 290: {0: (0, 6), 27: (1, {'@': 199}), 20: (1, {'@': 199}), 21: (1, {'@': 199}), 3: (0, 2), 5: (1, {'@': 199}), 22: (1, {'@': 199}), 17: (1, {'@': 199}), 23: (1, {'@': 199}), 1: (0, 8), 24: (1, {'@': 199}), 25: (1, {'@': 199}), 29: (1, {'@': 199}), 14: (1, {'@': 199}), 31: (1, {'@': 199}), 26: (1, {'@': 199}), 9: (0, 7), 10: (0, 353)}, 291: {77: (0, 354), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 292: {58: (0, 79), 23: (0, 80), 77: (0, 355), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 293: {22: (0, 30), 34: (0, 356), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 294: {0: (1, {'@': 200}), 18: (1, {'@': 200}), 20: (1, {'@': 200}), 74: (1, {'@': 200}), 68: (1, {'@': 200}), 69: (1, {'@': 200}), 21: (1, {'@': 200}), 64: (1, {'@': 200}), 75: (1, {'@': 200}), 65: (1, {'@': 200}), 3: (1, {'@': 200}), 71: (1, {'@': 200}), 72: (1, {'@': 200}), 5: (1, {'@': 200}), 60: (1, {'@': 200}), 15: (1, {'@': 200}), 22: (1, {'@': 200}), 23: (1, {'@': 200}), 17: (1, {'@': 200}), 70: (1, {'@': 200}), 24: (1, {'@': 200}), 25: (1, {'@': 200}), 14: (1, {'@': 200}), 2: (1, {'@': 200}), 26: (1, {'@': 200}), 27: (1, {'@': 200}), 76: (1, {'@': 200}), 61: (1, {'@': 200}), 62: (1, {'@': 200}), 63: (1, {'@': 200}), 77: (1, {'@': 200}), 58: (1, {'@': 200}), 1: (1, {'@': 200}), 29: (1, {'@': 200}), 30: (1, {'@': 200}), 78: (1, {'@': 200}), 31: (1, {'@': 200}), 59: (1, {'@': 200}), 32: (1, {'@': 200}), 33: (1, {'@': 200})}, 295: {0: (1, {'@': 201}), 1: (1, {'@': 201}), 18: (1, {'@': 201}), 74: (1, {'@': 201}), 30: (1, {'@': 201}), 3: (1, {'@': 201}), 32: (1, {'@': 201}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 296: {22: (0, 30), 34: (0, 357), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 18: (0, 358), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 297: {0: (1, {'@': 202}), 18: (1, {'@': 202}), 20: (1, {'@': 202}), 74: (1, {'@': 202}), 68: (1, {'@': 202}), 69: (1, {'@': 202}), 21: (1, {'@': 202}), 64: (1, {'@': 202}), 75: (1, {'@': 202}), 65: (1, {'@': 202}), 3: (1, {'@': 202}), 71: (1, {'@': 202}), 72: (1, {'@': 202}), 5: (1, {'@': 202}), 60: (1, {'@': 202}), 15: (1, {'@': 202}), 22: (1, {'@': 202}), 23: (1, {'@': 202}), 17: (1, {'@': 202}), 70: (1, {'@': 202}), 24: (1, {'@': 202}), 25: (1, {'@': 202}), 14: (1, {'@': 202}), 2: (1, {'@': 202}), 26: (1, {'@': 202}), 27: (1, {'@': 202}), 76: (1, {'@': 202}), 61: (1, {'@': 202}), 62: (1, {'@': 202}), 63: (1, {'@': 202}), 77: (1, {'@': 202}), 58: (1, {'@': 202}), 1: (1, {'@': 202}), 29: (1, {'@': 202}), 30: (1, {'@': 202}), 78: (1, {'@': 202}), 31: (1, {'@': 202}), 59: (1, {'@': 202}), 32: (1, {'@': 202}), 33: (1, {'@': 202})}, 298: {0: (1, {'@': 203}), 1: (1, {'@': 203}), 18: (1, {'@': 203}), 74: (1, {'@': 203}), 30: (1, {'@': 203}), 3: (1, {'@': 203}), 32: (1, {'@': 203}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 299: {0: (1, {'@': 204}), 18: (1, {'@': 204}), 20: (1, {'@': 204}), 74: (1, {'@': 204}), 68: (1, {'@': 204}), 69: (1, {'@': 204}), 21: (1, {'@': 204}), 64: (1, {'@': 204}), 75: (1, {'@': 204}), 65: (1, {'@': 204}), 3: (1, {'@': 204}), 71: (1, {'@': 204}), 72: (1, {'@': 204}), 5: (1, {'@': 204}), 60: (1, {'@': 204}), 15: (1, {'@': 204}), 22: (1, {'@': 204}), 23: (1, {'@': 204}), 17: (1, {'@': 204}), 70: (1, {'@': 204}), 24: (1, {'@': 204}), 25: (1, {'@': 204}), 14: (1, {'@': 204}), 2: (1, {'@': 204}), 26: (1, {'@': 204}), 27: (1, {'@': 204}), 76: (1, {'@': 204}), 61: (1, {'@': 204}), 62: (1, {'@': 204}), 63: (1, {'@': 204}), 77: (1, {'@': 204}), 58: (1, {'@': 204}), 1: (1, {'@': 204}), 29: (1, {'@': 204}), 30: (1, {'@': 204}), 78: (1, {'@': 204}), 31: (1, {'@': 204}), 59: (1, {'@': 204}), 32: (1, {'@': 204}), 33: (1, {'@': 204})}, 300: {0: (1, {'@': 205}), 1: (1, {'@': 205}), 18: (1, {'@': 205}), 74: (1, {'@': 205}), 30: (1, {'@': 205}), 3: (1, {'@': 205}), 32: (1, {'@': 205}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 301: {0: (1, {'@': 206}), 18: (1, {'@': 206}), 20: (1, {'@': 206}), 74: (1, {'@': 206}), 68: (1, {'@': 206}), 69: (1, {'@': 206}), 21: (1, {'@': 206}), 64: (1, {'@': 206}), 75: (1, {'@': 206}), 65: (1, {'@': 206}), 3: (1, {'@': 206}), 71: (1, {'@': 206}), 72: (1, {'@': 206}), 5: (1, {'@': 206}), 60: (1, {'@': 206}), 15: (1, {'@': 206}), 22: (1, {'@': 206}), 23: (1, {'@': 206}), 17: (1, {'@': 206}), 70: (1, {'@': 206}), 24: (1, {'@': 206}), 25: (1, {'@': 206}), 14: (1, {'@': 206}), 2: (1, {'@': 206}), 26: (1, {'@': 206}), 27: (1, {'@': 206}), 76: (1, {'@': 206}), 61: (1, {'@': 206}), 62: (1, {'@': 206}), 63: (1, {'@': 206}), 77: (1, {'@': 206}), 58: (1, {'@': 206}), 1: (1, {'@': 206}), 29: (1, {'@': 206}), 30: (1, {'@': 206}), 78: (1, {'@': 206}), 31: (1, {'@': 206}), 59: (1, {'@': 206}), 32: (1, {'@': 206}), 33: (1, {'@': 206})}, 302: {0: (1, {'@': 207}), 18: (1, {'@': 207}), 20: (1, {'@': 207}), 74: (1, {'@': 207}), 68: (1, {'@': 207}), 69: (1, {'@': 207}), 21: (1, {'@': 207}), 64: (1, {'@': 207}), 75: (1, {'@': 207}), 65: (1, {'@': 207}), 3: (1, {'@': 207}), 71: (1, {'@': 207}), 72: (1, {'@': 207}), 5: (1, {'@': 207}), 60: (1, {'@': 207}), 15: (1, {'@': 207}), 22: (1, {'@': 207}), 23: (1, {'@': 207}), 17: (1, {'@': 207}), 70: (1, {'@': 207}), 24: (1, {'@': 207}), 25: (1, {'@': 207}), 14: (1, {'@': 207}), 2: (1, {'@': 207}), 26: (1, {'@': 207}), 27: (1, {'@': 207}), 76: (1, {'@': 207}), 61: (1, {'@': 207}), 62: (1, {'@': 207}), 63: (1, {'@': 207}), 77: (1, {'@': 207}), 58: (1, {'@': 207}), 1: (1, {'@': 207}), 29: (1, {'@': 207}), 30: (1, {'@': 207}), 78: (1, {'@': 207}), 31: (1, {'@': 207}), 59: (1, {'@': 207}), 32: (1, {'@': 207}), 33: (1, {'@': 207})}, 303: {22: (0, 30), 34: (0, 298), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 18: (0, 359), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 304: {22: (0, 30), 34: (0, 295), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 10: (0, 360), 18: (0, 361), 0: (0, 6), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 305: {0: (1, {'@': 208}), 18: (1, {'@': 208}), 20: (1, {'@': 208}), 74: (1, {'@': 208}), 68: (1, {'@': 208}), 69: (1, {'@': 208}), 21: (1, {'@': 208}), 64: (1, {'@': 208}), 75: (1, {'@': 208}), 65: (1, {'@': 208}), 3: (1, {'@': 208}), 71: (1, {'@': 208}), 72: (1, {'@': 208}), 5: (1, {'@': 208}), 60: (1, {'@': 208}), 15: (1, {'@': 208}), 22: (1, {'@': 208}), 23: (1, {'@': 208}), 17: (1, {'@': 208}), 70: (1, {'@': 208}), 24: (1, {'@': 208}), 25: (1, {'@': 208}), 14: (1, {'@': 208}), 2: (1, {'@': 208}), 26: (1, {'@': 208}), 27: (1, {'@': 208}), 76: (1, {'@': 208}), 61: (1, {'@': 208}), 62: (1, {'@': 208}), 63: (1, {'@': 208}), 77: (1, {'@': 208}), 58: (1, {'@': 208}), 1: (1, {'@': 208}), 29: (1, {'@': 208}), 30: (1, {'@': 208}), 78: (1, {'@': 208}), 31: (1, {'@': 208}), 59: (1, {'@': 208}), 32: (1, {'@': 208}), 33: (1, {'@': 208})}, 306: {18: (0, 362)}, 307: {0: (1, {'@': 209}), 18: (1, {'@': 209}), 20: (1, {'@': 209}), 74: (1, {'@': 209}), 68: (1, {'@': 209}), 69: (1, {'@': 209}), 21: (1, {'@': 209}), 64: (1, {'@': 209}), 75: (1, {'@': 209}), 65: (1, {'@': 209}), 3: (1, {'@': 209}), 71: (1, {'@': 209}), 72: (1, {'@': 209}), 5: (1, {'@': 209}), 60: (1, {'@': 209}), 15: (1, {'@': 209}), 22: (1, {'@': 209}), 23: (1, {'@': 209}), 17: (1, {'@': 209}), 70: (1, {'@': 209}), 24: (1, {'@': 209}), 25: (1, {'@': 209}), 14: (1, {'@': 209}), 2: (1, {'@': 209}), 26: (1, {'@': 209}), 27: (1, {'@': 209}), 76: (1, {'@': 209}), 61: (1, {'@': 209}), 62: (1, {'@': 209}), 63: (1, {'@': 209}), 77: (1, {'@': 209}), 58: (1, {'@': 209}), 1: (1, {'@': 209}), 29: (1, {'@': 209}), 30: (1, {'@': 209}), 78: (1, {'@': 209}), 31: (1, {'@': 209}), 59: (1, {'@': 209}), 32: (1, {'@': 209}), 33: (1, {'@': 209})}, 308: {22: (0, 30), 34: (0, 300), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 18: (0, 363), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 309: {0: (1, {'@': 210}), 18: (1, {'@': 210}), 20: (1, {'@': 210}), 74: (1, {'@': 210}), 68: (1, {'@': 210}), 69: (1, {'@': 210}), 21: (1, {'@': 210}), 64: (1, {'@': 210}), 75: (1, {'@': 210}), 65: (1, {'@': 210}), 3: (1, {'@': 210}), 71: (1, {'@': 210}), 72: (1, {'@': 210}), 5: (1, {'@': 210}), 60: (1, {'@': 210}), 15: (1, {'@': 210}), 22: (1, {'@': 210}), 23: (1, {'@': 210}), 17: (1, {'@': 210}), 70: (1, {'@': 210}), 24: (1, {'@': 210}), 25: (1, {'@': 210}), 14: (1, {'@': 210}), 2: (1, {'@': 210}), 26: (1, {'@': 210}), 27: (1, {'@': 210}), 76: (1, {'@': 210}), 61: (1, {'@': 210}), 62: (1, {'@': 210}), 63: (1, {'@': 210}), 77: (1, {'@': 210}), 58: (1, {'@': 210}), 1: (1, {'@': 210}), 29: (1, {'@': 210}), 30: (1, {'@': 210}), 78: (1, {'@': 210}), 31: (1, {'@': 210}), 59: (1, {'@': 210}), 32: (1, {'@': 210}), 33: (1, {'@': 210})}, 310: {0: (1, {'@': 211}), 18: (1, {'@': 211}), 20: (1, {'@': 211}), 74: (1, {'@': 211}), 68: (1, {'@': 211}), 69: (1, {'@': 211}), 21: (1, {'@': 211}), 64: (1, {'@': 211}), 75: (1, {'@': 211}), 65: (1, {'@': 211}), 3: (1, {'@': 211}), 71: (1, {'@': 211}), 72: (1, {'@': 211}), 5: (1, {'@': 211}), 60: (1, {'@': 211}), 15: (1, {'@': 211}), 22: (1, {'@': 211}), 23: (1, {'@': 211}), 17: (1, {'@': 211}), 70: (1, {'@': 211}), 24: (1, {'@': 211}), 25: (1, {'@': 211}), 14: (1, {'@': 211}), 2: (1, {'@': 211}), 26: (1, {'@': 211}), 27: (1, {'@': 211}), 76: (1, {'@': 211}), 61: (1, {'@': 211}), 62: (1, {'@': 211}), 63: (1, {'@': 211}), 77: (1, {'@': 211}), 58: (1, {'@': 211}), 1: (1, {'@': 211}), 29: (1, {'@': 211}), 30: (1, {'@': 211}), 78: (1, {'@': 211}), 31: (1, {'@': 211}), 59: (1, {'@': 211}), 32: (1, {'@': 211}), 33: (1, {'@': 211})}, 311: {3: (0, 2), 18: (0, 364), 9: (0, 7), 0: (0, 6), 10: (0, 365), 1: (0, 8)}, 312: {0: (1, {'@': 212}), 18: (1, {'@': 212}), 20: (1, {'@': 212}), 74: (1, {'@': 212}), 68: (1, {'@': 212}), 69: (1, {'@': 212}), 21: (1, {'@': 212}), 64: (1, {'@': 212}), 75: (1, {'@': 212}), 65: (1, {'@': 212}), 3: (1, {'@': 212}), 71: (1, {'@': 212}), 72: (1, {'@': 212}), 5: (1, {'@': 212}), 60: (1, {'@': 212}), 15: (1, {'@': 212}), 22: (1, {'@': 212}), 23: (1, {'@': 212}), 17: (1, {'@': 212}), 70: (1, {'@': 212}), 24: (1, {'@': 212}), 25: (1, {'@': 212}), 14: (1, {'@': 212}), 2: (1, {'@': 212}), 26: (1, {'@': 212}), 27: (1, {'@': 212}), 76: (1, {'@': 212}), 61: (1, {'@': 212}), 62: (1, {'@': 212}), 63: (1, {'@': 212}), 77: (1, {'@': 212}), 58: (1, {'@': 212}), 1: (1, {'@': 212}), 29: (1, {'@': 212}), 30: (1, {'@': 212}), 78: (1, {'@': 212}), 31: (1, {'@': 212}), 59: (1, {'@': 212}), 32: (1, {'@': 212}), 33: (1, {'@': 212})}, 313: {18: (0, 366)}, 314: {18: (0, 367)}, 315: {0: (1, {'@': 213}), 18: (1, {'@': 213}), 20: (1, {'@': 213}), 74: (1, {'@': 213}), 68: (1, {'@': 213}), 69: (1, {'@': 213}), 21: (1, {'@': 213}), 64: (1, {'@': 213}), 75: (1, {'@': 213}), 65: (1, {'@': 213}), 3: (1, {'@': 213}), 71: (1, {'@': 213}), 72: (1, {'@': 213}), 5: (1, {'@': 213}), 60: (1, {'@': 213}), 15: (1, {'@': 213}), 22: (1, {'@': 213}), 23: (1, {'@': 213}), 17: (1, {'@': 213}), 70: (1, {'@': 213}), 24: (1, {'@': 213}), 25: (1, {'@': 213}), 14: (1, {'@': 213}), 2: (1, {'@': 213}), 26: (1, {'@': 213}), 27: (1, {'@': 213}), 76: (1, {'@': 213}), 61: (1, {'@': 213}), 62: (1, {'@': 213}), 63: (1, {'@': 213}), 77: (1, {'@': 213}), 58: (1, {'@': 213}), 1: (1, {'@': 213}), 29: (1, {'@': 213}), 30: (1, {'@': 213}), 78: (1, {'@': 213}), 31: (1, {'@': 213}), 59: (1, {'@': 213}), 32: (1, {'@': 213}), 33: (1, {'@': 213})}, 316: {3: (0, 2), 89: (0, 368), 9: (0, 7), 33: (0, 186), 0: (0, 6), 18: (0, 369), 10: (0, 370), 1: (0, 8)}, 317: {0: (1, {'@': 214}), 18: (1, {'@': 214}), 20: (1, {'@': 214}), 74: (1, {'@': 214}), 68: (1, {'@': 214}), 69: (1, {'@': 214}), 21: (1, {'@': 214}), 64: (1, {'@': 214}), 75: (1, {'@': 214}), 65: (1, {'@': 214}), 3: (1, {'@': 214}), 71: (1, {'@': 214}), 72: (1, {'@': 214}), 5: (1, {'@': 214}), 60: (1, {'@': 214}), 15: (1, {'@': 214}), 22: (1, {'@': 214}), 23: (1, {'@': 214}), 17: (1, {'@': 214}), 70: (1, {'@': 214}), 24: (1, {'@': 214}), 25: (1, {'@': 214}), 14: (1, {'@': 214}), 2: (1, {'@': 214}), 26: (1, {'@': 214}), 27: (1, {'@': 214}), 76: (1, {'@': 214}), 61: (1, {'@': 214}), 62: (1, {'@': 214}), 63: (1, {'@': 214}), 77: (1, {'@': 214}), 58: (1, {'@': 214}), 1: (1, {'@': 214}), 29: (1, {'@': 214}), 30: (1, {'@': 214}), 78: (1, {'@': 214}), 31: (1, {'@': 214}), 59: (1, {'@': 214}), 32: (1, {'@': 214}), 33: (1, {'@': 214})}, 318: {10: (0, 371), 3: (0, 2), 9: (0, 7), 18: (0, 372), 0: (0, 6), 1: (0, 8)}, 319: {0: (1, {'@': 215}), 18: (1, {'@': 215}), 20: (1, {'@': 215}), 74: (1, {'@': 215}), 68: (1, {'@': 215}), 69: (1, {'@': 215}), 21: (1, {'@': 215}), 64: (1, {'@': 215}), 75: (1, {'@': 215}), 65: (1, {'@': 215}), 3: (1, {'@': 215}), 71: (1, {'@': 215}), 72: (1, {'@': 215}), 5: (1, {'@': 215}), 60: (1, {'@': 215}), 15: (1, {'@': 215}), 22: (1, {'@': 215}), 23: (1, {'@': 215}), 17: (1, {'@': 215}), 70: (1, {'@': 215}), 24: (1, {'@': 215}), 25: (1, {'@': 215}), 14: (1, {'@': 215}), 2: (1, {'@': 215}), 26: (1, {'@': 215}), 27: (1, {'@': 215}), 76: (1, {'@': 215}), 61: (1, {'@': 215}), 62: (1, {'@': 215}), 63: (1, {'@': 215}), 77: (1, {'@': 215}), 58: (1, {'@': 215}), 1: (1, {'@': 215}), 29: (1, {'@': 215}), 30: (1, {'@': 215}), 78: (1, {'@': 215}), 31: (1, {'@': 215}), 59: (1, {'@': 215}), 32: (1, {'@': 215}), 33: (1, {'@': 215})}, 320: {0: (1, {'@': 216}), 18: (1, {'@': 216}), 20: (1, {'@': 216}), 74: (1, {'@': 216}), 68: (1, {'@': 216}), 69: (1, {'@': 216}), 21: (1, {'@': 216}), 64: (1, {'@': 216}), 75: (1, {'@': 216}), 65: (1, {'@': 216}), 3: (1, {'@': 216}), 71: (1, {'@': 216}), 72: (1, {'@': 216}), 5: (1, {'@': 216}), 60: (1, {'@': 216}), 15: (1, {'@': 216}), 22: (1, {'@': 216}), 23: (1, {'@': 216}), 17: (1, {'@': 216}), 70: (1, {'@': 216}), 24: (1, {'@': 216}), 25: (1, {'@': 216}), 14: (1, {'@': 216}), 2: (1, {'@': 216}), 26: (1, {'@': 216}), 27: (1, {'@': 216}), 76: (1, {'@': 216}), 61: (1, {'@': 216}), 62: (1, {'@': 216}), 63: (1, {'@': 216}), 77: (1, {'@': 216}), 58: (1, {'@': 216}), 1: (1, {'@': 216}), 29: (1, {'@': 216}), 30: (1, {'@': 216}), 78: (1, {'@': 216}), 31: (1, {'@': 216}), 59: (1, {'@': 216}), 32: (1, {'@': 216}), 33: (1, {'@': 216})}, 321: {18: (0, 373)}, 322: {0: (1, {'@': 217}), 18: (1, {'@': 217}), 20: (1, {'@': 217}), 74: (1, {'@': 217}), 68: (1, {'@': 217}), 69: (1, {'@': 217}), 21: (1, {'@': 217}), 64: (1, {'@': 217}), 75: (1, {'@': 217}), 65: (1, {'@': 217}), 3: (1, {'@': 217}), 71: (1, {'@': 217}), 72: (1, {'@': 217}), 5: (1, {'@': 217}), 60: (1, {'@': 217}), 15: (1, {'@': 217}), 22: (1, {'@': 217}), 23: (1, {'@': 217}), 17: (1, {'@': 217}), 70: (1, {'@': 217}), 24: (1, {'@': 217}), 25: (1, {'@': 217}), 14: (1, {'@': 217}), 2: (1, {'@': 217}), 26: (1, {'@': 217}), 27: (1, {'@': 217}), 76: (1, {'@': 217}), 61: (1, {'@': 217}), 62: (1, {'@': 217}), 63: (1, {'@': 217}), 77: (1, {'@': 217}), 58: (1, {'@': 217}), 1: (1, {'@': 217}), 29: (1, {'@': 217}), 30: (1, {'@': 217}), 78: (1, {'@': 217}), 31: (1, {'@': 217}), 59: (1, {'@': 217}), 32: (1, {'@': 217}), 33: (1, {'@': 217})}, 323: {0: (1, {'@': 218}), 1: (1, {'@': 218}), 2: (1, {'@': 218}), 3: (1, {'@': 218}), 18: (1, {'@': 218}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 324: {0: (1, {'@': 219}), 18: (1, {'@': 219}), 20: (1, {'@': 219}), 74: (1, {'@': 219}), 68: (1, {'@': 219}), 69: (1, {'@': 219}), 21: (1, {'@': 219}), 64: (1, {'@': 219}), 75: (1, {'@': 219}), 65: (1, {'@': 219}), 3: (1, {'@': 219}), 71: (1, {'@': 219}), 72: (1, {'@': 219}), 5: (1, {'@': 219}), 60: (1, {'@': 219}), 15: (1, {'@': 219}), 22: (1, {'@': 219}), 23: (1, {'@': 219}), 17: (1, {'@': 219}), 70: (1, {'@': 219}), 24: (1, {'@': 219}), 25: (1, {'@': 219}), 14: (1, {'@': 219}), 2: (1, {'@': 219}), 26: (1, {'@': 219}), 27: (1, {'@': 219}), 76: (1, {'@': 219}), 61: (1, {'@': 219}), 62: (1, {'@': 219}), 63: (1, {'@': 219}), 77: (1, {'@': 219}), 58: (1, {'@': 219}), 1: (1, {'@': 219}), 29: (1, {'@': 219}), 30: (1, {'@': 219}), 78: (1, {'@': 219}), 31: (1, {'@': 219}), 59: (1, {'@': 219}), 32: (1, {'@': 219}), 33: (1, {'@': 219})}, 325: {3: (0, 2), 10: (0, 374), 9: (0, 7), 0: (0, 6), 1: (0, 8), 18: (0, 375)}, 326: {18: (0, 376)}, 327: {18: (0, 377)}, 328: {0: (1, {'@': 220}), 18: (1, {'@': 220}), 20: (1, {'@': 220}), 74: (1, {'@': 220}), 68: (1, {'@': 220}), 69: (1, {'@': 220}), 21: (1, {'@': 220}), 64: (1, {'@': 220}), 75: (1, {'@': 220}), 65: (1, {'@': 220}), 3: (1, {'@': 220}), 71: (1, {'@': 220}), 72: (1, {'@': 220}), 5: (1, {'@': 220}), 60: (1, {'@': 220}), 15: (1, {'@': 220}), 22: (1, {'@': 220}), 23: (1, {'@': 220}), 17: (1, {'@': 220}), 70: (1, {'@': 220}), 24: (1, {'@': 220}), 25: (1, {'@': 220}), 14: (1, {'@': 220}), 2: (1, {'@': 220}), 26: (1, {'@': 220}), 27: (1, {'@': 220}), 76: (1, {'@': 220}), 61: (1, {'@': 220}), 62: (1, {'@': 220}), 63: (1, {'@': 220}), 77: (1, {'@': 220}), 58: (1, {'@': 220}), 1: (1, {'@': 220}), 29: (1, {'@': 220}), 30: (1, {'@': 220}), 78: (1, {'@': 220}), 31: (1, {'@': 220}), 59: (1, {'@': 220}), 32: (1, {'@': 220}), 33: (1, {'@': 220})}, 329: {23: (0, 80), 89: (0, 378), 59: (0, 81), 9: (0, 7), 1: (0, 8), 60: (0, 82), 64: (0, 86), 65: (0, 87), 33: (0, 186), 71: (0, 93), 74: (0, 379), 3: (0, 2), 58: (0, 79), 10: (0, 380), 0: (0, 6), 2: (0, 381), 61: (0, 83), 62: (0, 84), 63: (0, 85), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 72: (0, 94)}, 330: {0: (1, {'@': 221}), 18: (1, {'@': 221}), 20: (1, {'@': 221}), 74: (1, {'@': 221}), 68: (1, {'@': 221}), 69: (1, {'@': 221}), 21: (1, {'@': 221}), 64: (1, {'@': 221}), 75: (1, {'@': 221}), 65: (1, {'@': 221}), 3: (1, {'@': 221}), 71: (1, {'@': 221}), 72: (1, {'@': 221}), 5: (1, {'@': 221}), 60: (1, {'@': 221}), 15: (1, {'@': 221}), 22: (1, {'@': 221}), 23: (1, {'@': 221}), 17: (1, {'@': 221}), 70: (1, {'@': 221}), 24: (1, {'@': 221}), 25: (1, {'@': 221}), 14: (1, {'@': 221}), 2: (1, {'@': 221}), 26: (1, {'@': 221}), 27: (1, {'@': 221}), 76: (1, {'@': 221}), 61: (1, {'@': 221}), 62: (1, {'@': 221}), 63: (1, {'@': 221}), 77: (1, {'@': 221}), 58: (1, {'@': 221}), 1: (1, {'@': 221}), 29: (1, {'@': 221}), 30: (1, {'@': 221}), 78: (1, {'@': 221}), 31: (1, {'@': 221}), 59: (1, {'@': 221}), 32: (1, {'@': 221}), 33: (1, {'@': 221})}, 331: {10: (0, 382), 89: (0, 383), 3: (0, 2), 9: (0, 7), 2: (0, 384), 33: (0, 186), 0: (0, 6), 1: (0, 8)}, 332: {2: (0, 385)}, 333: {3: (0, 2), 9: (0, 7), 2: (0, 386), 0: (0, 6), 10: (0, 387), 1: (0, 8)}, 334: {0: (1, {'@': 222}), 18: (1, {'@': 222}), 20: (1, {'@': 222}), 74: (1, {'@': 222}), 68: (1, {'@': 222}), 69: (1, {'@': 222}), 21: (1, {'@': 222}), 64: (1, {'@': 222}), 75: (1, {'@': 222}), 65: (1, {'@': 222}), 3: (1, {'@': 222}), 71: (1, {'@': 222}), 72: (1, {'@': 222}), 5: (1, {'@': 222}), 60: (1, {'@': 222}), 15: (1, {'@': 222}), 22: (1, {'@': 222}), 23: (1, {'@': 222}), 17: (1, {'@': 222}), 70: (1, {'@': 222}), 24: (1, {'@': 222}), 25: (1, {'@': 222}), 14: (1, {'@': 222}), 2: (1, {'@': 222}), 26: (1, {'@': 222}), 27: (1, {'@': 222}), 76: (1, {'@': 222}), 61: (1, {'@': 222}), 62: (1, {'@': 222}), 63: (1, {'@': 222}), 77: (1, {'@': 222}), 58: (1, {'@': 222}), 1: (1, {'@': 222}), 29: (1, {'@': 222}), 30: (1, {'@': 222}), 78: (1, {'@': 222}), 31: (1, {'@': 222}), 59: (1, {'@': 222}), 32: (1, {'@': 222}), 33: (1, {'@': 222})}, 335: {3: (1, {'@': 223}), 32: (1, {'@': 223}), 0: (1, {'@': 223}), 1: (1, {'@': 223}), 22: (0, 30), 34: (0, 298), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 336: {22: (0, 30), 34: (0, 295), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 10: (0, 388), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 337: {3: (1, {'@': 224}), 32: (1, {'@': 224}), 0: (1, {'@': 224}), 1: (1, {'@': 224})}, 338: {22: (0, 30), 34: (0, 300), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 339: {0: (1, {'@': 225}), 18: (1, {'@': 225}), 20: (1, {'@': 225}), 74: (1, {'@': 225}), 68: (1, {'@': 225}), 69: (1, {'@': 225}), 21: (1, {'@': 225}), 64: (1, {'@': 225}), 75: (1, {'@': 225}), 65: (1, {'@': 225}), 3: (1, {'@': 225}), 71: (1, {'@': 225}), 72: (1, {'@': 225}), 5: (1, {'@': 225}), 60: (1, {'@': 225}), 15: (1, {'@': 225}), 22: (1, {'@': 225}), 23: (1, {'@': 225}), 17: (1, {'@': 225}), 70: (1, {'@': 225}), 24: (1, {'@': 225}), 25: (1, {'@': 225}), 14: (1, {'@': 225}), 2: (1, {'@': 225}), 26: (1, {'@': 225}), 27: (1, {'@': 225}), 76: (1, {'@': 225}), 61: (1, {'@': 225}), 62: (1, {'@': 225}), 63: (1, {'@': 225}), 77: (1, {'@': 225}), 58: (1, {'@': 225}), 1: (1, {'@': 225}), 29: (1, {'@': 225}), 30: (1, {'@': 225}), 78: (1, {'@': 225}), 31: (1, {'@': 225}), 59: (1, {'@': 225}), 32: (1, {'@': 225}), 33: (1, {'@': 225})}, 340: {0: (1, {'@': 226}), 18: (1, {'@': 226}), 20: (1, {'@': 226}), 74: (1, {'@': 226}), 68: (1, {'@': 226}), 69: (1, {'@': 226}), 21: (1, {'@': 226}), 64: (1, {'@': 226}), 75: (1, {'@': 226}), 65: (1, {'@': 226}), 3: (1, {'@': 226}), 71: (1, {'@': 226}), 72: (1, {'@': 226}), 5: (1, {'@': 226}), 60: (1, {'@': 226}), 15: (1, {'@': 226}), 22: (1, {'@': 226}), 23: (1, {'@': 226}), 17: (1, {'@': 226}), 70: (1, {'@': 226}), 24: (1, {'@': 226}), 25: (1, {'@': 226}), 14: (1, {'@': 226}), 2: (1, {'@': 226}), 26: (1, {'@': 226}), 27: (1, {'@': 226}), 76: (1, {'@': 226}), 61: (1, {'@': 226}), 62: (1, {'@': 226}), 63: (1, {'@': 226}), 77: (1, {'@': 226}), 58: (1, {'@': 226}), 1: (1, {'@': 226}), 29: (1, {'@': 226}), 30: (1, {'@': 226}), 78: (1, {'@': 226}), 31: (1, {'@': 226}), 59: (1, {'@': 226}), 32: (1, {'@': 226}), 33: (1, {'@': 226})}, 341: {0: (1, {'@': 227}), 18: (1, {'@': 227}), 20: (1, {'@': 227}), 74: (1, {'@': 227}), 68: (1, {'@': 227}), 69: (1, {'@': 227}), 21: (1, {'@': 227}), 64: (1, {'@': 227}), 75: (1, {'@': 227}), 65: (1, {'@': 227}), 3: (1, {'@': 227}), 71: (1, {'@': 227}), 72: (1, {'@': 227}), 5: (1, {'@': 227}), 60: (1, {'@': 227}), 15: (1, {'@': 227}), 22: (1, {'@': 227}), 23: (1, {'@': 227}), 17: (1, {'@': 227}), 70: (1, {'@': 227}), 24: (1, {'@': 227}), 25: (1, {'@': 227}), 14: (1, {'@': 227}), 2: (1, {'@': 227}), 26: (1, {'@': 227}), 27: (1, {'@': 227}), 76: (1, {'@': 227}), 61: (1, {'@': 227}), 62: (1, {'@': 227}), 63: (1, {'@': 227}), 77: (1, {'@': 227}), 58: (1, {'@': 227}), 1: (1, {'@': 227}), 29: (1, {'@': 227}), 30: (1, {'@': 227}), 78: (1, {'@': 227}), 31: (1, {'@': 227}), 59: (1, {'@': 227}), 32: (1, {'@': 227}), 33: (1, {'@': 227})}, 342: {0: (1, {'@': 228}), 1: (1, {'@': 228}), 4: (1, {'@': 228}), 2: (1, {'@': 228}), 3: (1, {'@': 228}), 5: (1, {'@': 228})}, 343: {58: (0, 79), 23: (0, 80), 77: (0, 389), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 344: {22: (0, 30), 34: (0, 390), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 345: {3: (0, 2), 10: (0, 391), 28: (0, 392), 9: (0, 7), 0: (0, 6), 1: (0, 8)}, 346: {22: (0, 30), 34: (0, 393), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 10: (0, 394), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 347: {0: (0, 6), 27: (1, {'@': 229}), 20: (1, {'@': 229}), 21: (1, {'@': 229}), 3: (0, 2), 5: (1, {'@': 229}), 22: (1, {'@': 229}), 17: (1, {'@': 229}), 23: (1, {'@': 229}), 1: (0, 8), 24: (1, {'@': 229}), 25: (1, {'@': 229}), 29: (1, {'@': 229}), 14: (1, {'@': 229}), 31: (1, {'@': 229}), 26: (1, {'@': 229}), 9: (0, 7), 10: (0, 395)}, 348: {58: (0, 79), 23: (0, 80), 77: (0, 396), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 349: {58: (0, 79), 23: (0, 80), 59: (0, 81), 77: (0, 397), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 72: (0, 94), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93)}, 350: {22: (0, 30), 34: (0, 398), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 351: {28: (0, 399)}, 352: {22: (0, 30), 34: (0, 400), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 10: (0, 401), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 353: {0: (1, {'@': 230}), 27: (1, {'@': 230}), 20: (1, {'@': 230}), 21: (1, {'@': 230}), 3: (1, {'@': 230}), 5: (1, {'@': 230}), 22: (1, {'@': 230}), 17: (1, {'@': 230}), 23: (1, {'@': 230}), 1: (1, {'@': 230}), 24: (1, {'@': 230}), 25: (1, {'@': 230}), 29: (1, {'@': 230}), 14: (1, {'@': 230}), 31: (1, {'@': 230}), 26: (1, {'@': 230})}, 354: {0: (0, 6), 27: (1, {'@': 231}), 20: (1, {'@': 231}), 21: (1, {'@': 231}), 3: (0, 2), 5: (1, {'@': 231}), 22: (1, {'@': 231}), 17: (1, {'@': 231}), 23: (1, {'@': 231}), 1: (0, 8), 24: (1, {'@': 231}), 25: (1, {'@': 231}), 29: (1, {'@': 231}), 14: (1, {'@': 231}), 31: (1, {'@': 231}), 26: (1, {'@': 231}), 10: (0, 402), 9: (0, 7)}, 355: {0: (0, 6), 27: (1, {'@': 232}), 20: (1, {'@': 232}), 21: (1, {'@': 232}), 3: (0, 2), 5: (1, {'@': 232}), 22: (1, {'@': 232}), 17: (1, {'@': 232}), 23: (1, {'@': 232}), 1: (0, 8), 24: (1, {'@': 232}), 25: (1, {'@': 232}), 29: (1, {'@': 232}), 14: (1, {'@': 232}), 31: (1, {'@': 232}), 26: (1, {'@': 232}), 9: (0, 7), 10: (0, 403)}, 356: {77: (0, 404), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 357: {0: (1, {'@': 233}), 1: (1, {'@': 233}), 18: (1, {'@': 233}), 74: (1, {'@': 233}), 30: (1, {'@': 233}), 3: (1, {'@': 233}), 32: (1, {'@': 233}), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 358: {0: (1, {'@': 234}), 18: (1, {'@': 234}), 20: (1, {'@': 234}), 74: (1, {'@': 234}), 68: (1, {'@': 234}), 69: (1, {'@': 234}), 21: (1, {'@': 234}), 64: (1, {'@': 234}), 75: (1, {'@': 234}), 65: (1, {'@': 234}), 3: (1, {'@': 234}), 71: (1, {'@': 234}), 72: (1, {'@': 234}), 5: (1, {'@': 234}), 60: (1, {'@': 234}), 15: (1, {'@': 234}), 22: (1, {'@': 234}), 23: (1, {'@': 234}), 17: (1, {'@': 234}), 70: (1, {'@': 234}), 24: (1, {'@': 234}), 25: (1, {'@': 234}), 14: (1, {'@': 234}), 2: (1, {'@': 234}), 26: (1, {'@': 234}), 27: (1, {'@': 234}), 76: (1, {'@': 234}), 61: (1, {'@': 234}), 62: (1, {'@': 234}), 63: (1, {'@': 234}), 77: (1, {'@': 234}), 58: (1, {'@': 234}), 1: (1, {'@': 234}), 29: (1, {'@': 234}), 30: (1, {'@': 234}), 78: (1, {'@': 234}), 31: (1, {'@': 234}), 59: (1, {'@': 234}), 32: (1, {'@': 234}), 33: (1, {'@': 234})}, 359: {0: (1, {'@': 235}), 18: (1, {'@': 235}), 20: (1, {'@': 235}), 74: (1, {'@': 235}), 68: (1, {'@': 235}), 69: (1, {'@': 235}), 21: (1, {'@': 235}), 64: (1, {'@': 235}), 75: (1, {'@': 235}), 65: (1, {'@': 235}), 3: (1, {'@': 235}), 71: (1, {'@': 235}), 72: (1, {'@': 235}), 5: (1, {'@': 235}), 60: (1, {'@': 235}), 15: (1, {'@': 235}), 22: (1, {'@': 235}), 23: (1, {'@': 235}), 17: (1, {'@': 235}), 70: (1, {'@': 235}), 24: (1, {'@': 235}), 25: (1, {'@': 235}), 14: (1, {'@': 235}), 2: (1, {'@': 235}), 26: (1, {'@': 235}), 27: (1, {'@': 235}), 76: (1, {'@': 235}), 61: (1, {'@': 235}), 62: (1, {'@': 235}), 63: (1, {'@': 235}), 77: (1, {'@': 235}), 58: (1, {'@': 235}), 1: (1, {'@': 235}), 29: (1, {'@': 235}), 30: (1, {'@': 235}), 78: (1, {'@': 235}), 31: (1, {'@': 235}), 59: (1, {'@': 235}), 32: (1, {'@': 235}), 33: (1, {'@': 235})}, 360: {22: (0, 30), 34: (0, 357), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 18: (0, 405), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 361: {0: (1, {'@': 236}), 18: (1, {'@': 236}), 20: (1, {'@': 236}), 74: (1, {'@': 236}), 68: (1, {'@': 236}), 69: (1, {'@': 236}), 21: (1, {'@': 236}), 64: (1, {'@': 236}), 75: (1, {'@': 236}), 65: (1, {'@': 236}), 3: (1, {'@': 236}), 71: (1, {'@': 236}), 72: (1, {'@': 236}), 5: (1, {'@': 236}), 60: (1, {'@': 236}), 15: (1, {'@': 236}), 22: (1, {'@': 236}), 23: (1, {'@': 236}), 17: (1, {'@': 236}), 70: (1, {'@': 236}), 24: (1, {'@': 236}), 25: (1, {'@': 236}), 14: (1, {'@': 236}), 2: (1, {'@': 236}), 26: (1, {'@': 236}), 27: (1, {'@': 236}), 76: (1, {'@': 236}), 61: (1, {'@': 236}), 62: (1, {'@': 236}), 63: (1, {'@': 236}), 77: (1, {'@': 236}), 58: (1, {'@': 236}), 1: (1, {'@': 236}), 29: (1, {'@': 236}), 30: (1, {'@': 236}), 78: (1, {'@': 236}), 31: (1, {'@': 236}), 59: (1, {'@': 236}), 32: (1, {'@': 236}), 33: (1, {'@': 236})}, 362: {0: (1, {'@': 237}), 18: (1, {'@': 237}), 20: (1, {'@': 237}), 74: (1, {'@': 237}), 68: (1, {'@': 237}), 69: (1, {'@': 237}), 21: (1, {'@': 237}), 64: (1, {'@': 237}), 75: (1, {'@': 237}), 65: (1, {'@': 237}), 3: (1, {'@': 237}), 71: (1, {'@': 237}), 72: (1, {'@': 237}), 5: (1, {'@': 237}), 60: (1, {'@': 237}), 15: (1, {'@': 237}), 22: (1, {'@': 237}), 23: (1, {'@': 237}), 17: (1, {'@': 237}), 70: (1, {'@': 237}), 24: (1, {'@': 237}), 25: (1, {'@': 237}), 14: (1, {'@': 237}), 2: (1, {'@': 237}), 26: (1, {'@': 237}), 27: (1, {'@': 237}), 76: (1, {'@': 237}), 61: (1, {'@': 237}), 62: (1, {'@': 237}), 63: (1, {'@': 237}), 77: (1, {'@': 237}), 58: (1, {'@': 237}), 1: (1, {'@': 237}), 29: (1, {'@': 237}), 30: (1, {'@': 237}), 78: (1, {'@': 237}), 31: (1, {'@': 237}), 59: (1, {'@': 237}), 32: (1, {'@': 237}), 33: (1, {'@': 237})}, 363: {0: (1, {'@': 238}), 18: (1, {'@': 238}), 20: (1, {'@': 238}), 74: (1, {'@': 238}), 68: (1, {'@': 238}), 69: (1, {'@': 238}), 21: (1, {'@': 238}), 64: (1, {'@': 238}), 75: (1, {'@': 238}), 65: (1, {'@': 238}), 3: (1, {'@': 238}), 71: (1, {'@': 238}), 72: (1, {'@': 238}), 5: (1, {'@': 238}), 60: (1, {'@': 238}), 15: (1, {'@': 238}), 22: (1, {'@': 238}), 23: (1, {'@': 238}), 17: (1, {'@': 238}), 70: (1, {'@': 238}), 24: (1, {'@': 238}), 25: (1, {'@': 238}), 14: (1, {'@': 238}), 2: (1, {'@': 238}), 26: (1, {'@': 238}), 27: (1, {'@': 238}), 76: (1, {'@': 238}), 61: (1, {'@': 238}), 62: (1, {'@': 238}), 63: (1, {'@': 238}), 77: (1, {'@': 238}), 58: (1, {'@': 238}), 1: (1, {'@': 238}), 29: (1, {'@': 238}), 30: (1, {'@': 238}), 78: (1, {'@': 238}), 31: (1, {'@': 238}), 59: (1, {'@': 238}), 32: (1, {'@': 238}), 33: (1, {'@': 238})}, 364: {0: (1, {'@': 239}), 18: (1, {'@': 239}), 20: (1, {'@': 239}), 74: (1, {'@': 239}), 68: (1, {'@': 239}), 69: (1, {'@': 239}), 21: (1, {'@': 239}), 64: (1, {'@': 239}), 75: (1, {'@': 239}), 65: (1, {'@': 239}), 3: (1, {'@': 239}), 71: (1, {'@': 239}), 72: (1, {'@': 239}), 5: (1, {'@': 239}), 60: (1, {'@': 239}), 15: (1, {'@': 239}), 22: (1, {'@': 239}), 23: (1, {'@': 239}), 17: (1, {'@': 239}), 70: (1, {'@': 239}), 24: (1, {'@': 239}), 25: (1, {'@': 239}), 14: (1, {'@': 239}), 2: (1, {'@': 239}), 26: (1, {'@': 239}), 27: (1, {'@': 239}), 76: (1, {'@': 239}), 61: (1, {'@': 239}), 62: (1, {'@': 239}), 63: (1, {'@': 239}), 77: (1, {'@': 239}), 58: (1, {'@': 239}), 1: (1, {'@': 239}), 29: (1, {'@': 239}), 30: (1, {'@': 239}), 78: (1, {'@': 239}), 31: (1, {'@': 239}), 59: (1, {'@': 239}), 32: (1, {'@': 239}), 33: (1, {'@': 239})}, 365: {18: (0, 406)}, 366: {0: (1, {'@': 240}), 18: (1, {'@': 240}), 20: (1, {'@': 240}), 74: (1, {'@': 240}), 68: (1, {'@': 240}), 69: (1, {'@': 240}), 21: (1, {'@': 240}), 64: (1, {'@': 240}), 75: (1, {'@': 240}), 65: (1, {'@': 240}), 3: (1, {'@': 240}), 71: (1, {'@': 240}), 72: (1, {'@': 240}), 5: (1, {'@': 240}), 60: (1, {'@': 240}), 15: (1, {'@': 240}), 22: (1, {'@': 240}), 23: (1, {'@': 240}), 17: (1, {'@': 240}), 70: (1, {'@': 240}), 24: (1, {'@': 240}), 25: (1, {'@': 240}), 14: (1, {'@': 240}), 2: (1, {'@': 240}), 26: (1, {'@': 240}), 27: (1, {'@': 240}), 76: (1, {'@': 240}), 61: (1, {'@': 240}), 62: (1, {'@': 240}), 63: (1, {'@': 240}), 77: (1, {'@': 240}), 58: (1, {'@': 240}), 1: (1, {'@': 240}), 29: (1, {'@': 240}), 30: (1, {'@': 240}), 78: (1, {'@': 240}), 31: (1, {'@': 240}), 59: (1, {'@': 240}), 32: (1, {'@': 240}), 33: (1, {'@': 240})}, 367: {0: (1, {'@': 241}), 18: (1, {'@': 241}), 20: (1, {'@': 241}), 74: (1, {'@': 241}), 68: (1, {'@': 241}), 69: (1, {'@': 241}), 21: (1, {'@': 241}), 64: (1, {'@': 241}), 75: (1, {'@': 241}), 65: (1, {'@': 241}), 3: (1, {'@': 241}), 71: (1, {'@': 241}), 72: (1, {'@': 241}), 5: (1, {'@': 241}), 60: (1, {'@': 241}), 15: (1, {'@': 241}), 22: (1, {'@': 241}), 23: (1, {'@': 241}), 17: (1, {'@': 241}), 70: (1, {'@': 241}), 24: (1, {'@': 241}), 25: (1, {'@': 241}), 14: (1, {'@': 241}), 2: (1, {'@': 241}), 26: (1, {'@': 241}), 27: (1, {'@': 241}), 76: (1, {'@': 241}), 61: (1, {'@': 241}), 62: (1, {'@': 241}), 63: (1, {'@': 241}), 77: (1, {'@': 241}), 58: (1, {'@': 241}), 1: (1, {'@': 241}), 29: (1, {'@': 241}), 30: (1, {'@': 241}), 78: (1, {'@': 241}), 31: (1, {'@': 241}), 59: (1, {'@': 241}), 32: (1, {'@': 241}), 33: (1, {'@': 241})}, 368: {3: (0, 2), 18: (0, 407), 10: (0, 408), 9: (0, 7), 0: (0, 6), 1: (0, 8)}, 369: {0: (1, {'@': 242}), 18: (1, {'@': 242}), 20: (1, {'@': 242}), 74: (1, {'@': 242}), 68: (1, {'@': 242}), 69: (1, {'@': 242}), 21: (1, {'@': 242}), 64: (1, {'@': 242}), 75: (1, {'@': 242}), 65: (1, {'@': 242}), 3: (1, {'@': 242}), 71: (1, {'@': 242}), 72: (1, {'@': 242}), 5: (1, {'@': 242}), 60: (1, {'@': 242}), 15: (1, {'@': 242}), 22: (1, {'@': 242}), 23: (1, {'@': 242}), 17: (1, {'@': 242}), 70: (1, {'@': 242}), 24: (1, {'@': 242}), 25: (1, {'@': 242}), 14: (1, {'@': 242}), 2: (1, {'@': 242}), 26: (1, {'@': 242}), 27: (1, {'@': 242}), 76: (1, {'@': 242}), 61: (1, {'@': 242}), 62: (1, {'@': 242}), 63: (1, {'@': 242}), 77: (1, {'@': 242}), 58: (1, {'@': 242}), 1: (1, {'@': 242}), 29: (1, {'@': 242}), 30: (1, {'@': 242}), 78: (1, {'@': 242}), 31: (1, {'@': 242}), 59: (1, {'@': 242}), 32: (1, {'@': 242}), 33: (1, {'@': 242})}, 370: {18: (0, 409)}, 371: {18: (0, 410)}, 372: {0: (1, {'@': 243}), 18: (1, {'@': 243}), 20: (1, {'@': 243}), 74: (1, {'@': 243}), 68: (1, {'@': 243}), 69: (1, {'@': 243}), 21: (1, {'@': 243}), 64: (1, {'@': 243}), 75: (1, {'@': 243}), 65: (1, {'@': 243}), 3: (1, {'@': 243}), 71: (1, {'@': 243}), 72: (1, {'@': 243}), 5: (1, {'@': 243}), 60: (1, {'@': 243}), 15: (1, {'@': 243}), 22: (1, {'@': 243}), 23: (1, {'@': 243}), 17: (1, {'@': 243}), 70: (1, {'@': 243}), 24: (1, {'@': 243}), 25: (1, {'@': 243}), 14: (1, {'@': 243}), 2: (1, {'@': 243}), 26: (1, {'@': 243}), 27: (1, {'@': 243}), 76: (1, {'@': 243}), 61: (1, {'@': 243}), 62: (1, {'@': 243}), 63: (1, {'@': 243}), 77: (1, {'@': 243}), 58: (1, {'@': 243}), 1: (1, {'@': 243}), 29: (1, {'@': 243}), 30: (1, {'@': 243}), 78: (1, {'@': 243}), 31: (1, {'@': 243}), 59: (1, {'@': 243}), 32: (1, {'@': 243}), 33: (1, {'@': 243})}, 373: {0: (1, {'@': 244}), 18: (1, {'@': 244}), 20: (1, {'@': 244}), 74: (1, {'@': 244}), 68: (1, {'@': 244}), 69: (1, {'@': 244}), 21: (1, {'@': 244}), 64: (1, {'@': 244}), 75: (1, {'@': 244}), 65: (1, {'@': 244}), 3: (1, {'@': 244}), 71: (1, {'@': 244}), 72: (1, {'@': 244}), 5: (1, {'@': 244}), 60: (1, {'@': 244}), 15: (1, {'@': 244}), 22: (1, {'@': 244}), 23: (1, {'@': 244}), 17: (1, {'@': 244}), 70: (1, {'@': 244}), 24: (1, {'@': 244}), 25: (1, {'@': 244}), 14: (1, {'@': 244}), 2: (1, {'@': 244}), 26: (1, {'@': 244}), 27: (1, {'@': 244}), 76: (1, {'@': 244}), 61: (1, {'@': 244}), 62: (1, {'@': 244}), 63: (1, {'@': 244}), 77: (1, {'@': 244}), 58: (1, {'@': 244}), 1: (1, {'@': 244}), 29: (1, {'@': 244}), 30: (1, {'@': 244}), 78: (1, {'@': 244}), 31: (1, {'@': 244}), 59: (1, {'@': 244}), 32: (1, {'@': 244}), 33: (1, {'@': 244})}, 374: {18: (0, 411)}, 375: {0: (1, {'@': 245}), 18: (1, {'@': 245}), 20: (1, {'@': 245}), 74: (1, {'@': 245}), 68: (1, {'@': 245}), 69: (1, {'@': 245}), 21: (1, {'@': 245}), 64: (1, {'@': 245}), 75: (1, {'@': 245}), 65: (1, {'@': 245}), 3: (1, {'@': 245}), 71: (1, {'@': 245}), 72: (1, {'@': 245}), 5: (1, {'@': 245}), 60: (1, {'@': 245}), 15: (1, {'@': 245}), 22: (1, {'@': 245}), 23: (1, {'@': 245}), 17: (1, {'@': 245}), 70: (1, {'@': 245}), 24: (1, {'@': 245}), 25: (1, {'@': 245}), 14: (1, {'@': 245}), 2: (1, {'@': 245}), 26: (1, {'@': 245}), 27: (1, {'@': 245}), 76: (1, {'@': 245}), 61: (1, {'@': 245}), 62: (1, {'@': 245}), 63: (1, {'@': 245}), 77: (1, {'@': 245}), 58: (1, {'@': 245}), 1: (1, {'@': 245}), 29: (1, {'@': 245}), 30: (1, {'@': 245}), 78: (1, {'@': 245}), 31: (1, {'@': 245}), 59: (1, {'@': 245}), 32: (1, {'@': 245}), 33: (1, {'@': 245})}, 376: {0: (1, {'@': 246}), 18: (1, {'@': 246}), 20: (1, {'@': 246}), 74: (1, {'@': 246}), 68: (1, {'@': 246}), 69: (1, {'@': 246}), 21: (1, {'@': 246}), 64: (1, {'@': 246}), 75: (1, {'@': 246}), 65: (1, {'@': 246}), 3: (1, {'@': 246}), 71: (1, {'@': 246}), 72: (1, {'@': 246}), 5: (1, {'@': 246}), 60: (1, {'@': 246}), 15: (1, {'@': 246}), 22: (1, {'@': 246}), 23: (1, {'@': 246}), 17: (1, {'@': 246}), 70: (1, {'@': 246}), 24: (1, {'@': 246}), 25: (1, {'@': 246}), 14: (1, {'@': 246}), 2: (1, {'@': 246}), 26: (1, {'@': 246}), 27: (1, {'@': 246}), 76: (1, {'@': 246}), 61: (1, {'@': 246}), 62: (1, {'@': 246}), 63: (1, {'@': 246}), 77: (1, {'@': 246}), 58: (1, {'@': 246}), 1: (1, {'@': 246}), 29: (1, {'@': 246}), 30: (1, {'@': 246}), 78: (1, {'@': 246}), 31: (1, {'@': 246}), 59: (1, {'@': 246}), 32: (1, {'@': 246}), 33: (1, {'@': 246})}, 377: {0: (1, {'@': 247}), 18: (1, {'@': 247}), 20: (1, {'@': 247}), 74: (1, {'@': 247}), 68: (1, {'@': 247}), 69: (1, {'@': 247}), 21: (1, {'@': 247}), 64: (1, {'@': 247}), 75: (1, {'@': 247}), 65: (1, {'@': 247}), 3: (1, {'@': 247}), 71: (1, {'@': 247}), 72: (1, {'@': 247}), 5: (1, {'@': 247}), 60: (1, {'@': 247}), 15: (1, {'@': 247}), 22: (1, {'@': 247}), 23: (1, {'@': 247}), 17: (1, {'@': 247}), 70: (1, {'@': 247}), 24: (1, {'@': 247}), 25: (1, {'@': 247}), 14: (1, {'@': 247}), 2: (1, {'@': 247}), 26: (1, {'@': 247}), 27: (1, {'@': 247}), 76: (1, {'@': 247}), 61: (1, {'@': 247}), 62: (1, {'@': 247}), 63: (1, {'@': 247}), 77: (1, {'@': 247}), 58: (1, {'@': 247}), 1: (1, {'@': 247}), 29: (1, {'@': 247}), 30: (1, {'@': 247}), 78: (1, {'@': 247}), 31: (1, {'@': 247}), 59: (1, {'@': 247}), 32: (1, {'@': 247}), 33: (1, {'@': 247})}, 378: {3: (0, 2), 2: (0, 412), 9: (0, 7), 10: (0, 413), 0: (0, 6), 1: (0, 8)}, 379: {3: (0, 2), 9: (0, 7), 10: (0, 414), 89: (0, 415), 33: (0, 186), 0: (0, 6), 1: (0, 8), 2: (0, 416)}, 380: {2: (0, 417)}, 381: {0: (1, {'@': 248}), 18: (1, {'@': 248}), 20: (1, {'@': 248}), 74: (1, {'@': 248}), 68: (1, {'@': 248}), 69: (1, {'@': 248}), 21: (1, {'@': 248}), 64: (1, {'@': 248}), 75: (1, {'@': 248}), 65: (1, {'@': 248}), 3: (1, {'@': 248}), 71: (1, {'@': 248}), 72: (1, {'@': 248}), 5: (1, {'@': 248}), 60: (1, {'@': 248}), 15: (1, {'@': 248}), 22: (1, {'@': 248}), 23: (1, {'@': 248}), 17: (1, {'@': 248}), 70: (1, {'@': 248}), 24: (1, {'@': 248}), 25: (1, {'@': 248}), 14: (1, {'@': 248}), 2: (1, {'@': 248}), 26: (1, {'@': 248}), 27: (1, {'@': 248}), 76: (1, {'@': 248}), 61: (1, {'@': 248}), 62: (1, {'@': 248}), 63: (1, {'@': 248}), 77: (1, {'@': 248}), 58: (1, {'@': 248}), 1: (1, {'@': 248}), 29: (1, {'@': 248}), 30: (1, {'@': 248}), 78: (1, {'@': 248}), 31: (1, {'@': 248}), 59: (1, {'@': 248}), 32: (1, {'@': 248}), 33: (1, {'@': 248})}, 382: {2: (0, 418)}, 383: {2: (0, 419), 3: (0, 2), 9: (0, 7), 10: (0, 420), 0: (0, 6), 1: (0, 8)}, 384: {0: (1, {'@': 249}), 18: (1, {'@': 249}), 20: (1, {'@': 249}), 74: (1, {'@': 249}), 68: (1, {'@': 249}), 69: (1, {'@': 249}), 21: (1, {'@': 249}), 64: (1, {'@': 249}), 75: (1, {'@': 249}), 65: (1, {'@': 249}), 3: (1, {'@': 249}), 71: (1, {'@': 249}), 72: (1, {'@': 249}), 5: (1, {'@': 249}), 60: (1, {'@': 249}), 15: (1, {'@': 249}), 22: (1, {'@': 249}), 23: (1, {'@': 249}), 17: (1, {'@': 249}), 70: (1, {'@': 249}), 24: (1, {'@': 249}), 25: (1, {'@': 249}), 14: (1, {'@': 249}), 2: (1, {'@': 249}), 26: (1, {'@': 249}), 27: (1, {'@': 249}), 76: (1, {'@': 249}), 61: (1, {'@': 249}), 62: (1, {'@': 249}), 63: (1, {'@': 249}), 77: (1, {'@': 249}), 58: (1, {'@': 249}), 1: (1, {'@': 249}), 29: (1, {'@': 249}), 30: (1, {'@': 249}), 78: (1, {'@': 249}), 31: (1, {'@': 249}), 59: (1, {'@': 249}), 32: (1, {'@': 249}), 33: (1, {'@': 249})}, 385: {0: (1, {'@': 250}), 18: (1, {'@': 250}), 20: (1, {'@': 250}), 74: (1, {'@': 250}), 68: (1, {'@': 250}), 69: (1, {'@': 250}), 21: (1, {'@': 250}), 64: (1, {'@': 250}), 75: (1, {'@': 250}), 65: (1, {'@': 250}), 3: (1, {'@': 250}), 71: (1, {'@': 250}), 72: (1, {'@': 250}), 5: (1, {'@': 250}), 60: (1, {'@': 250}), 15: (1, {'@': 250}), 22: (1, {'@': 250}), 23: (1, {'@': 250}), 17: (1, {'@': 250}), 70: (1, {'@': 250}), 24: (1, {'@': 250}), 25: (1, {'@': 250}), 14: (1, {'@': 250}), 2: (1, {'@': 250}), 26: (1, {'@': 250}), 27: (1, {'@': 250}), 76: (1, {'@': 250}), 61: (1, {'@': 250}), 62: (1, {'@': 250}), 63: (1, {'@': 250}), 77: (1, {'@': 250}), 58: (1, {'@': 250}), 1: (1, {'@': 250}), 29: (1, {'@': 250}), 30: (1, {'@': 250}), 78: (1, {'@': 250}), 31: (1, {'@': 250}), 59: (1, {'@': 250}), 32: (1, {'@': 250}), 33: (1, {'@': 250})}, 386: {0: (1, {'@': 251}), 18: (1, {'@': 251}), 20: (1, {'@': 251}), 74: (1, {'@': 251}), 68: (1, {'@': 251}), 69: (1, {'@': 251}), 21: (1, {'@': 251}), 64: (1, {'@': 251}), 75: (1, {'@': 251}), 65: (1, {'@': 251}), 3: (1, {'@': 251}), 71: (1, {'@': 251}), 72: (1, {'@': 251}), 5: (1, {'@': 251}), 60: (1, {'@': 251}), 15: (1, {'@': 251}), 22: (1, {'@': 251}), 23: (1, {'@': 251}), 17: (1, {'@': 251}), 70: (1, {'@': 251}), 24: (1, {'@': 251}), 25: (1, {'@': 251}), 14: (1, {'@': 251}), 2: (1, {'@': 251}), 26: (1, {'@': 251}), 27: (1, {'@': 251}), 76: (1, {'@': 251}), 61: (1, {'@': 251}), 62: (1, {'@': 251}), 63: (1, {'@': 251}), 77: (1, {'@': 251}), 58: (1, {'@': 251}), 1: (1, {'@': 251}), 29: (1, {'@': 251}), 30: (1, {'@': 251}), 78: (1, {'@': 251}), 31: (1, {'@': 251}), 59: (1, {'@': 251}), 32: (1, {'@': 251}), 33: (1, {'@': 251})}, 387: {2: (0, 421)}, 388: {22: (0, 30), 34: (0, 357), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 389: {0: (0, 6), 27: (1, {'@': 252}), 20: (1, {'@': 252}), 21: (1, {'@': 252}), 3: (0, 2), 5: (1, {'@': 252}), 22: (1, {'@': 252}), 17: (1, {'@': 252}), 23: (1, {'@': 252}), 1: (0, 8), 24: (1, {'@': 252}), 25: (1, {'@': 252}), 29: (1, {'@': 252}), 14: (1, {'@': 252}), 31: (1, {'@': 252}), 26: (1, {'@': 252}), 9: (0, 7), 10: (0, 422)}, 390: {77: (0, 423), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 391: {28: (0, 424)}, 392: {22: (0, 30), 34: (0, 425), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 10: (0, 426), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 393: {58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 77: (0, 427), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 394: {22: (0, 30), 34: (0, 428), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 395: {0: (1, {'@': 253}), 27: (1, {'@': 253}), 20: (1, {'@': 253}), 21: (1, {'@': 253}), 3: (1, {'@': 253}), 5: (1, {'@': 253}), 22: (1, {'@': 253}), 17: (1, {'@': 253}), 23: (1, {'@': 253}), 1: (1, {'@': 253}), 24: (1, {'@': 253}), 25: (1, {'@': 253}), 29: (1, {'@': 253}), 14: (1, {'@': 253}), 31: (1, {'@': 253}), 26: (1, {'@': 253})}, 396: {0: (0, 6), 27: (1, {'@': 254}), 20: (1, {'@': 254}), 21: (1, {'@': 254}), 3: (0, 2), 5: (1, {'@': 254}), 22: (1, {'@': 254}), 17: (1, {'@': 254}), 23: (1, {'@': 254}), 1: (0, 8), 24: (1, {'@': 254}), 25: (1, {'@': 254}), 29: (1, {'@': 254}), 14: (1, {'@': 254}), 31: (1, {'@': 254}), 26: (1, {'@': 254}), 9: (0, 7), 10: (0, 429)}, 397: {0: (0, 6), 27: (1, {'@': 255}), 20: (1, {'@': 255}), 21: (1, {'@': 255}), 3: (0, 2), 5: (1, {'@': 255}), 22: (1, {'@': 255}), 17: (1, {'@': 255}), 23: (1, {'@': 255}), 1: (0, 8), 24: (1, {'@': 255}), 25: (1, {'@': 255}), 29: (1, {'@': 255}), 14: (1, {'@': 255}), 31: (1, {'@': 255}), 26: (1, {'@': 255}), 9: (0, 7), 10: (0, 430)}, 398: {58: (0, 79), 77: (0, 431), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 399: {22: (0, 30), 34: (0, 432), 14: (0, 32), 35: (0, 33), 5: (0, 34), 10: (0, 433), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 400: {58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 77: (0, 434), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 401: {22: (0, 30), 34: (0, 435), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 402: {0: (1, {'@': 256}), 27: (1, {'@': 256}), 20: (1, {'@': 256}), 21: (1, {'@': 256}), 3: (1, {'@': 256}), 5: (1, {'@': 256}), 22: (1, {'@': 256}), 17: (1, {'@': 256}), 23: (1, {'@': 256}), 1: (1, {'@': 256}), 24: (1, {'@': 256}), 25: (1, {'@': 256}), 29: (1, {'@': 256}), 14: (1, {'@': 256}), 31: (1, {'@': 256}), 26: (1, {'@': 256})}, 403: {0: (1, {'@': 257}), 27: (1, {'@': 257}), 20: (1, {'@': 257}), 21: (1, {'@': 257}), 3: (1, {'@': 257}), 5: (1, {'@': 257}), 22: (1, {'@': 257}), 17: (1, {'@': 257}), 23: (1, {'@': 257}), 1: (1, {'@': 257}), 24: (1, {'@': 257}), 25: (1, {'@': 257}), 29: (1, {'@': 257}), 14: (1, {'@': 257}), 31: (1, {'@': 257}), 26: (1, {'@': 257})}, 404: {0: (0, 6), 27: (1, {'@': 258}), 20: (1, {'@': 258}), 21: (1, {'@': 258}), 3: (0, 2), 5: (1, {'@': 258}), 22: (1, {'@': 258}), 17: (1, {'@': 258}), 23: (1, {'@': 258}), 1: (0, 8), 24: (1, {'@': 258}), 25: (1, {'@': 258}), 29: (1, {'@': 258}), 14: (1, {'@': 258}), 31: (1, {'@': 258}), 26: (1, {'@': 258}), 10: (0, 436), 9: (0, 7)}, 405: {0: (1, {'@': 259}), 18: (1, {'@': 259}), 20: (1, {'@': 259}), 74: (1, {'@': 259}), 68: (1, {'@': 259}), 69: (1, {'@': 259}), 21: (1, {'@': 259}), 64: (1, {'@': 259}), 75: (1, {'@': 259}), 65: (1, {'@': 259}), 3: (1, {'@': 259}), 71: (1, {'@': 259}), 72: (1, {'@': 259}), 5: (1, {'@': 259}), 60: (1, {'@': 259}), 15: (1, {'@': 259}), 22: (1, {'@': 259}), 23: (1, {'@': 259}), 17: (1, {'@': 259}), 70: (1, {'@': 259}), 24: (1, {'@': 259}), 25: (1, {'@': 259}), 14: (1, {'@': 259}), 2: (1, {'@': 259}), 26: (1, {'@': 259}), 27: (1, {'@': 259}), 76: (1, {'@': 259}), 61: (1, {'@': 259}), 62: (1, {'@': 259}), 63: (1, {'@': 259}), 77: (1, {'@': 259}), 58: (1, {'@': 259}), 1: (1, {'@': 259}), 29: (1, {'@': 259}), 30: (1, {'@': 259}), 78: (1, {'@': 259}), 31: (1, {'@': 259}), 59: (1, {'@': 259}), 32: (1, {'@': 259}), 33: (1, {'@': 259})}, 406: {0: (1, {'@': 260}), 18: (1, {'@': 260}), 20: (1, {'@': 260}), 74: (1, {'@': 260}), 68: (1, {'@': 260}), 69: (1, {'@': 260}), 21: (1, {'@': 260}), 64: (1, {'@': 260}), 75: (1, {'@': 260}), 65: (1, {'@': 260}), 3: (1, {'@': 260}), 71: (1, {'@': 260}), 72: (1, {'@': 260}), 5: (1, {'@': 260}), 60: (1, {'@': 260}), 15: (1, {'@': 260}), 22: (1, {'@': 260}), 23: (1, {'@': 260}), 17: (1, {'@': 260}), 70: (1, {'@': 260}), 24: (1, {'@': 260}), 25: (1, {'@': 260}), 14: (1, {'@': 260}), 2: (1, {'@': 260}), 26: (1, {'@': 260}), 27: (1, {'@': 260}), 76: (1, {'@': 260}), 61: (1, {'@': 260}), 62: (1, {'@': 260}), 63: (1, {'@': 260}), 77: (1, {'@': 260}), 58: (1, {'@': 260}), 1: (1, {'@': 260}), 29: (1, {'@': 260}), 30: (1, {'@': 260}), 78: (1, {'@': 260}), 31: (1, {'@': 260}), 59: (1, {'@': 260}), 32: (1, {'@': 260}), 33: (1, {'@': 260})}, 407: {0: (1, {'@': 261}), 18: (1, {'@': 261}), 20: (1, {'@': 261}), 74: (1, {'@': 261}), 68: (1, {'@': 261}), 69: (1, {'@': 261}), 21: (1, {'@': 261}), 64: (1, {'@': 261}), 75: (1, {'@': 261}), 65: (1, {'@': 261}), 3: (1, {'@': 261}), 71: (1, {'@': 261}), 72: (1, {'@': 261}), 5: (1, {'@': 261}), 60: (1, {'@': 261}), 15: (1, {'@': 261}), 22: (1, {'@': 261}), 23: (1, {'@': 261}), 17: (1, {'@': 261}), 70: (1, {'@': 261}), 24: (1, {'@': 261}), 25: (1, {'@': 261}), 14: (1, {'@': 261}), 2: (1, {'@': 261}), 26: (1, {'@': 261}), 27: (1, {'@': 261}), 76: (1, {'@': 261}), 61: (1, {'@': 261}), 62: (1, {'@': 261}), 63: (1, {'@': 261}), 77: (1, {'@': 261}), 58: (1, {'@': 261}), 1: (1, {'@': 261}), 29: (1, {'@': 261}), 30: (1, {'@': 261}), 78: (1, {'@': 261}), 31: (1, {'@': 261}), 59: (1, {'@': 261}), 32: (1, {'@': 261}), 33: (1, {'@': 261})}, 408: {18: (0, 437)}, 409: {0: (1, {'@': 262}), 18: (1, {'@': 262}), 20: (1, {'@': 262}), 74: (1, {'@': 262}), 68: (1, {'@': 262}), 69: (1, {'@': 262}), 21: (1, {'@': 262}), 64: (1, {'@': 262}), 75: (1, {'@': 262}), 65: (1, {'@': 262}), 3: (1, {'@': 262}), 71: (1, {'@': 262}), 72: (1, {'@': 262}), 5: (1, {'@': 262}), 60: (1, {'@': 262}), 15: (1, {'@': 262}), 22: (1, {'@': 262}), 23: (1, {'@': 262}), 17: (1, {'@': 262}), 70: (1, {'@': 262}), 24: (1, {'@': 262}), 25: (1, {'@': 262}), 14: (1, {'@': 262}), 2: (1, {'@': 262}), 26: (1, {'@': 262}), 27: (1, {'@': 262}), 76: (1, {'@': 262}), 61: (1, {'@': 262}), 62: (1, {'@': 262}), 63: (1, {'@': 262}), 77: (1, {'@': 262}), 58: (1, {'@': 262}), 1: (1, {'@': 262}), 29: (1, {'@': 262}), 30: (1, {'@': 262}), 78: (1, {'@': 262}), 31: (1, {'@': 262}), 59: (1, {'@': 262}), 32: (1, {'@': 262}), 33: (1, {'@': 262})}, 410: {0: (1, {'@': 263}), 18: (1, {'@': 263}), 20: (1, {'@': 263}), 74: (1, {'@': 263}), 68: (1, {'@': 263}), 69: (1, {'@': 263}), 21: (1, {'@': 263}), 64: (1, {'@': 263}), 75: (1, {'@': 263}), 65: (1, {'@': 263}), 3: (1, {'@': 263}), 71: (1, {'@': 263}), 72: (1, {'@': 263}), 5: (1, {'@': 263}), 60: (1, {'@': 263}), 15: (1, {'@': 263}), 22: (1, {'@': 263}), 23: (1, {'@': 263}), 17: (1, {'@': 263}), 70: (1, {'@': 263}), 24: (1, {'@': 263}), 25: (1, {'@': 263}), 14: (1, {'@': 263}), 2: (1, {'@': 263}), 26: (1, {'@': 263}), 27: (1, {'@': 263}), 76: (1, {'@': 263}), 61: (1, {'@': 263}), 62: (1, {'@': 263}), 63: (1, {'@': 263}), 77: (1, {'@': 263}), 58: (1, {'@': 263}), 1: (1, {'@': 263}), 29: (1, {'@': 263}), 30: (1, {'@': 263}), 78: (1, {'@': 263}), 31: (1, {'@': 263}), 59: (1, {'@': 263}), 32: (1, {'@': 263}), 33: (1, {'@': 263})}, 411: {0: (1, {'@': 264}), 18: (1, {'@': 264}), 20: (1, {'@': 264}), 74: (1, {'@': 264}), 68: (1, {'@': 264}), 69: (1, {'@': 264}), 21: (1, {'@': 264}), 64: (1, {'@': 264}), 75: (1, {'@': 264}), 65: (1, {'@': 264}), 3: (1, {'@': 264}), 71: (1, {'@': 264}), 72: (1, {'@': 264}), 5: (1, {'@': 264}), 60: (1, {'@': 264}), 15: (1, {'@': 264}), 22: (1, {'@': 264}), 23: (1, {'@': 264}), 17: (1, {'@': 264}), 70: (1, {'@': 264}), 24: (1, {'@': 264}), 25: (1, {'@': 264}), 14: (1, {'@': 264}), 2: (1, {'@': 264}), 26: (1, {'@': 264}), 27: (1, {'@': 264}), 76: (1, {'@': 264}), 61: (1, {'@': 264}), 62: (1, {'@': 264}), 63: (1, {'@': 264}), 77: (1, {'@': 264}), 58: (1, {'@': 264}), 1: (1, {'@': 264}), 29: (1, {'@': 264}), 30: (1, {'@': 264}), 78: (1, {'@': 264}), 31: (1, {'@': 264}), 59: (1, {'@': 264}), 32: (1, {'@': 264}), 33: (1, {'@': 264})}, 412: {0: (1, {'@': 265}), 18: (1, {'@': 265}), 20: (1, {'@': 265}), 74: (1, {'@': 265}), 68: (1, {'@': 265}), 69: (1, {'@': 265}), 21: (1, {'@': 265}), 64: (1, {'@': 265}), 75: (1, {'@': 265}), 65: (1, {'@': 265}), 3: (1, {'@': 265}), 71: (1, {'@': 265}), 72: (1, {'@': 265}), 5: (1, {'@': 265}), 60: (1, {'@': 265}), 15: (1, {'@': 265}), 22: (1, {'@': 265}), 23: (1, {'@': 265}), 17: (1, {'@': 265}), 70: (1, {'@': 265}), 24: (1, {'@': 265}), 25: (1, {'@': 265}), 14: (1, {'@': 265}), 2: (1, {'@': 265}), 26: (1, {'@': 265}), 27: (1, {'@': 265}), 76: (1, {'@': 265}), 61: (1, {'@': 265}), 62: (1, {'@': 265}), 63: (1, {'@': 265}), 77: (1, {'@': 265}), 58: (1, {'@': 265}), 1: (1, {'@': 265}), 29: (1, {'@': 265}), 30: (1, {'@': 265}), 78: (1, {'@': 265}), 31: (1, {'@': 265}), 59: (1, {'@': 265}), 32: (1, {'@': 265}), 33: (1, {'@': 265})}, 413: {2: (0, 438)}, 414: {2: (0, 439)}, 415: {3: (0, 2), 9: (0, 7), 2: (0, 440), 10: (0, 441), 0: (0, 6), 1: (0, 8)}, 416: {0: (1, {'@': 266}), 18: (1, {'@': 266}), 20: (1, {'@': 266}), 74: (1, {'@': 266}), 68: (1, {'@': 266}), 69: (1, {'@': 266}), 21: (1, {'@': 266}), 64: (1, {'@': 266}), 75: (1, {'@': 266}), 65: (1, {'@': 266}), 3: (1, {'@': 266}), 71: (1, {'@': 266}), 72: (1, {'@': 266}), 5: (1, {'@': 266}), 60: (1, {'@': 266}), 15: (1, {'@': 266}), 22: (1, {'@': 266}), 23: (1, {'@': 266}), 17: (1, {'@': 266}), 70: (1, {'@': 266}), 24: (1, {'@': 266}), 25: (1, {'@': 266}), 14: (1, {'@': 266}), 2: (1, {'@': 266}), 26: (1, {'@': 266}), 27: (1, {'@': 266}), 76: (1, {'@': 266}), 61: (1, {'@': 266}), 62: (1, {'@': 266}), 63: (1, {'@': 266}), 77: (1, {'@': 266}), 58: (1, {'@': 266}), 1: (1, {'@': 266}), 29: (1, {'@': 266}), 30: (1, {'@': 266}), 78: (1, {'@': 266}), 31: (1, {'@': 266}), 59: (1, {'@': 266}), 32: (1, {'@': 266}), 33: (1, {'@': 266})}, 417: {0: (1, {'@': 267}), 18: (1, {'@': 267}), 20: (1, {'@': 267}), 74: (1, {'@': 267}), 68: (1, {'@': 267}), 69: (1, {'@': 267}), 21: (1, {'@': 267}), 64: (1, {'@': 267}), 75: (1, {'@': 267}), 65: (1, {'@': 267}), 3: (1, {'@': 267}), 71: (1, {'@': 267}), 72: (1, {'@': 267}), 5: (1, {'@': 267}), 60: (1, {'@': 267}), 15: (1, {'@': 267}), 22: (1, {'@': 267}), 23: (1, {'@': 267}), 17: (1, {'@': 267}), 70: (1, {'@': 267}), 24: (1, {'@': 267}), 25: (1, {'@': 267}), 14: (1, {'@': 267}), 2: (1, {'@': 267}), 26: (1, {'@': 267}), 27: (1, {'@': 267}), 76: (1, {'@': 267}), 61: (1, {'@': 267}), 62: (1, {'@': 267}), 63: (1, {'@': 267}), 77: (1, {'@': 267}), 58: (1, {'@': 267}), 1: (1, {'@': 267}), 29: (1, {'@': 267}), 30: (1, {'@': 267}), 78: (1, {'@': 267}), 31: (1, {'@': 267}), 59: (1, {'@': 267}), 32: (1, {'@': 267}), 33: (1, {'@': 267})}, 418: {0: (1, {'@': 268}), 18: (1, {'@': 268}), 20: (1, {'@': 268}), 74: (1, {'@': 268}), 68: (1, {'@': 268}), 69: (1, {'@': 268}), 21: (1, {'@': 268}), 64: (1, {'@': 268}), 75: (1, {'@': 268}), 65: (1, {'@': 268}), 3: (1, {'@': 268}), 71: (1, {'@': 268}), 72: (1, {'@': 268}), 5: (1, {'@': 268}), 60: (1, {'@': 268}), 15: (1, {'@': 268}), 22: (1, {'@': 268}), 23: (1, {'@': 268}), 17: (1, {'@': 268}), 70: (1, {'@': 268}), 24: (1, {'@': 268}), 25: (1, {'@': 268}), 14: (1, {'@': 268}), 2: (1, {'@': 268}), 26: (1, {'@': 268}), 27: (1, {'@': 268}), 76: (1, {'@': 268}), 61: (1, {'@': 268}), 62: (1, {'@': 268}), 63: (1, {'@': 268}), 77: (1, {'@': 268}), 58: (1, {'@': 268}), 1: (1, {'@': 268}), 29: (1, {'@': 268}), 30: (1, {'@': 268}), 78: (1, {'@': 268}), 31: (1, {'@': 268}), 59: (1, {'@': 268}), 32: (1, {'@': 268}), 33: (1, {'@': 268})}, 419: {0: (1, {'@': 269}), 18: (1, {'@': 269}), 20: (1, {'@': 269}), 74: (1, {'@': 269}), 68: (1, {'@': 269}), 69: (1, {'@': 269}), 21: (1, {'@': 269}), 64: (1, {'@': 269}), 75: (1, {'@': 269}), 65: (1, {'@': 269}), 3: (1, {'@': 269}), 71: (1, {'@': 269}), 72: (1, {'@': 269}), 5: (1, {'@': 269}), 60: (1, {'@': 269}), 15: (1, {'@': 269}), 22: (1, {'@': 269}), 23: (1, {'@': 269}), 17: (1, {'@': 269}), 70: (1, {'@': 269}), 24: (1, {'@': 269}), 25: (1, {'@': 269}), 14: (1, {'@': 269}), 2: (1, {'@': 269}), 26: (1, {'@': 269}), 27: (1, {'@': 269}), 76: (1, {'@': 269}), 61: (1, {'@': 269}), 62: (1, {'@': 269}), 63: (1, {'@': 269}), 77: (1, {'@': 269}), 58: (1, {'@': 269}), 1: (1, {'@': 269}), 29: (1, {'@': 269}), 30: (1, {'@': 269}), 78: (1, {'@': 269}), 31: (1, {'@': 269}), 59: (1, {'@': 269}), 32: (1, {'@': 269}), 33: (1, {'@': 269})}, 420: {2: (0, 442)}, 421: {0: (1, {'@': 270}), 18: (1, {'@': 270}), 20: (1, {'@': 270}), 74: (1, {'@': 270}), 68: (1, {'@': 270}), 69: (1, {'@': 270}), 21: (1, {'@': 270}), 64: (1, {'@': 270}), 75: (1, {'@': 270}), 65: (1, {'@': 270}), 3: (1, {'@': 270}), 71: (1, {'@': 270}), 72: (1, {'@': 270}), 5: (1, {'@': 270}), 60: (1, {'@': 270}), 15: (1, {'@': 270}), 22: (1, {'@': 270}), 23: (1, {'@': 270}), 17: (1, {'@': 270}), 70: (1, {'@': 270}), 24: (1, {'@': 270}), 25: (1, {'@': 270}), 14: (1, {'@': 270}), 2: (1, {'@': 270}), 26: (1, {'@': 270}), 27: (1, {'@': 270}), 76: (1, {'@': 270}), 61: (1, {'@': 270}), 62: (1, {'@': 270}), 63: (1, {'@': 270}), 77: (1, {'@': 270}), 58: (1, {'@': 270}), 1: (1, {'@': 270}), 29: (1, {'@': 270}), 30: (1, {'@': 270}), 78: (1, {'@': 270}), 31: (1, {'@': 270}), 59: (1, {'@': 270}), 32: (1, {'@': 270}), 33: (1, {'@': 270})}, 422: {0: (1, {'@': 271}), 27: (1, {'@': 271}), 20: (1, {'@': 271}), 21: (1, {'@': 271}), 3: (1, {'@': 271}), 5: (1, {'@': 271}), 22: (1, {'@': 271}), 17: (1, {'@': 271}), 23: (1, {'@': 271}), 1: (1, {'@': 271}), 24: (1, {'@': 271}), 25: (1, {'@': 271}), 29: (1, {'@': 271}), 14: (1, {'@': 271}), 31: (1, {'@': 271}), 26: (1, {'@': 271})}, 423: {0: (0, 6), 27: (1, {'@': 272}), 20: (1, {'@': 272}), 21: (1, {'@': 272}), 3: (0, 2), 5: (1, {'@': 272}), 22: (1, {'@': 272}), 17: (1, {'@': 272}), 23: (1, {'@': 272}), 1: (0, 8), 24: (1, {'@': 272}), 25: (1, {'@': 272}), 29: (1, {'@': 272}), 14: (1, {'@': 272}), 31: (1, {'@': 272}), 26: (1, {'@': 272}), 10: (0, 443), 9: (0, 7)}, 424: {22: (0, 30), 34: (0, 444), 14: (0, 32), 35: (0, 33), 5: (0, 34), 1: (0, 8), 9: (0, 7), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 10: (0, 445), 23: (0, 46), 43: (0, 47), 0: (0, 6), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 3: (0, 2), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 425: {77: (0, 446), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 72: (0, 94), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93)}, 426: {22: (0, 30), 34: (0, 447), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 427: {0: (0, 6), 27: (1, {'@': 273}), 20: (1, {'@': 273}), 21: (1, {'@': 273}), 3: (0, 2), 5: (1, {'@': 273}), 22: (1, {'@': 273}), 17: (1, {'@': 273}), 23: (1, {'@': 273}), 1: (0, 8), 24: (1, {'@': 273}), 25: (1, {'@': 273}), 29: (1, {'@': 273}), 14: (1, {'@': 273}), 31: (1, {'@': 273}), 26: (1, {'@': 273}), 10: (0, 448), 9: (0, 7)}, 428: {58: (0, 79), 23: (0, 80), 77: (0, 449), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 72: (0, 94), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93)}, 429: {0: (1, {'@': 274}), 27: (1, {'@': 274}), 20: (1, {'@': 274}), 21: (1, {'@': 274}), 3: (1, {'@': 274}), 5: (1, {'@': 274}), 22: (1, {'@': 274}), 17: (1, {'@': 274}), 23: (1, {'@': 274}), 1: (1, {'@': 274}), 24: (1, {'@': 274}), 25: (1, {'@': 274}), 29: (1, {'@': 274}), 14: (1, {'@': 274}), 31: (1, {'@': 274}), 26: (1, {'@': 274})}, 430: {0: (1, {'@': 275}), 27: (1, {'@': 275}), 20: (1, {'@': 275}), 21: (1, {'@': 275}), 3: (1, {'@': 275}), 5: (1, {'@': 275}), 22: (1, {'@': 275}), 17: (1, {'@': 275}), 23: (1, {'@': 275}), 1: (1, {'@': 275}), 24: (1, {'@': 275}), 25: (1, {'@': 275}), 29: (1, {'@': 275}), 14: (1, {'@': 275}), 31: (1, {'@': 275}), 26: (1, {'@': 275})}, 431: {0: (0, 6), 27: (1, {'@': 276}), 20: (1, {'@': 276}), 21: (1, {'@': 276}), 3: (0, 2), 5: (1, {'@': 276}), 22: (1, {'@': 276}), 17: (1, {'@': 276}), 23: (1, {'@': 276}), 1: (0, 8), 24: (1, {'@': 276}), 25: (1, {'@': 276}), 29: (1, {'@': 276}), 14: (1, {'@': 276}), 31: (1, {'@': 276}), 26: (1, {'@': 276}), 10: (0, 450), 9: (0, 7)}, 432: {77: (0, 451), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 433: {22: (0, 30), 34: (0, 452), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 434: {0: (0, 6), 27: (1, {'@': 277}), 20: (1, {'@': 277}), 21: (1, {'@': 277}), 3: (0, 2), 5: (1, {'@': 277}), 22: (1, {'@': 277}), 17: (1, {'@': 277}), 23: (1, {'@': 277}), 1: (0, 8), 24: (1, {'@': 277}), 25: (1, {'@': 277}), 29: (1, {'@': 277}), 14: (1, {'@': 277}), 31: (1, {'@': 277}), 26: (1, {'@': 277}), 10: (0, 453), 9: (0, 7)}, 435: {58: (0, 79), 23: (0, 80), 77: (0, 454), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 436: {0: (1, {'@': 278}), 27: (1, {'@': 278}), 20: (1, {'@': 278}), 21: (1, {'@': 278}), 3: (1, {'@': 278}), 5: (1, {'@': 278}), 22: (1, {'@': 278}), 17: (1, {'@': 278}), 23: (1, {'@': 278}), 1: (1, {'@': 278}), 24: (1, {'@': 278}), 25: (1, {'@': 278}), 29: (1, {'@': 278}), 14: (1, {'@': 278}), 31: (1, {'@': 278}), 26: (1, {'@': 278})}, 437: {0: (1, {'@': 279}), 18: (1, {'@': 279}), 20: (1, {'@': 279}), 74: (1, {'@': 279}), 68: (1, {'@': 279}), 69: (1, {'@': 279}), 21: (1, {'@': 279}), 64: (1, {'@': 279}), 75: (1, {'@': 279}), 65: (1, {'@': 279}), 3: (1, {'@': 279}), 71: (1, {'@': 279}), 72: (1, {'@': 279}), 5: (1, {'@': 279}), 60: (1, {'@': 279}), 15: (1, {'@': 279}), 22: (1, {'@': 279}), 23: (1, {'@': 279}), 17: (1, {'@': 279}), 70: (1, {'@': 279}), 24: (1, {'@': 279}), 25: (1, {'@': 279}), 14: (1, {'@': 279}), 2: (1, {'@': 279}), 26: (1, {'@': 279}), 27: (1, {'@': 279}), 76: (1, {'@': 279}), 61: (1, {'@': 279}), 62: (1, {'@': 279}), 63: (1, {'@': 279}), 77: (1, {'@': 279}), 58: (1, {'@': 279}), 1: (1, {'@': 279}), 29: (1, {'@': 279}), 30: (1, {'@': 279}), 78: (1, {'@': 279}), 31: (1, {'@': 279}), 59: (1, {'@': 279}), 32: (1, {'@': 279}), 33: (1, {'@': 279})}, 438: {0: (1, {'@': 280}), 18: (1, {'@': 280}), 20: (1, {'@': 280}), 74: (1, {'@': 280}), 68: (1, {'@': 280}), 69: (1, {'@': 280}), 21: (1, {'@': 280}), 64: (1, {'@': 280}), 75: (1, {'@': 280}), 65: (1, {'@': 280}), 3: (1, {'@': 280}), 71: (1, {'@': 280}), 72: (1, {'@': 280}), 5: (1, {'@': 280}), 60: (1, {'@': 280}), 15: (1, {'@': 280}), 22: (1, {'@': 280}), 23: (1, {'@': 280}), 17: (1, {'@': 280}), 70: (1, {'@': 280}), 24: (1, {'@': 280}), 25: (1, {'@': 280}), 14: (1, {'@': 280}), 2: (1, {'@': 280}), 26: (1, {'@': 280}), 27: (1, {'@': 280}), 76: (1, {'@': 280}), 61: (1, {'@': 280}), 62: (1, {'@': 280}), 63: (1, {'@': 280}), 77: (1, {'@': 280}), 58: (1, {'@': 280}), 1: (1, {'@': 280}), 29: (1, {'@': 280}), 30: (1, {'@': 280}), 78: (1, {'@': 280}), 31: (1, {'@': 280}), 59: (1, {'@': 280}), 32: (1, {'@': 280}), 33: (1, {'@': 280})}, 439: {0: (1, {'@': 281}), 18: (1, {'@': 281}), 20: (1, {'@': 281}), 74: (1, {'@': 281}), 68: (1, {'@': 281}), 69: (1, {'@': 281}), 21: (1, {'@': 281}), 64: (1, {'@': 281}), 75: (1, {'@': 281}), 65: (1, {'@': 281}), 3: (1, {'@': 281}), 71: (1, {'@': 281}), 72: (1, {'@': 281}), 5: (1, {'@': 281}), 60: (1, {'@': 281}), 15: (1, {'@': 281}), 22: (1, {'@': 281}), 23: (1, {'@': 281}), 17: (1, {'@': 281}), 70: (1, {'@': 281}), 24: (1, {'@': 281}), 25: (1, {'@': 281}), 14: (1, {'@': 281}), 2: (1, {'@': 281}), 26: (1, {'@': 281}), 27: (1, {'@': 281}), 76: (1, {'@': 281}), 61: (1, {'@': 281}), 62: (1, {'@': 281}), 63: (1, {'@': 281}), 77: (1, {'@': 281}), 58: (1, {'@': 281}), 1: (1, {'@': 281}), 29: (1, {'@': 281}), 30: (1, {'@': 281}), 78: (1, {'@': 281}), 31: (1, {'@': 281}), 59: (1, {'@': 281}), 32: (1, {'@': 281}), 33: (1, {'@': 281})}, 440: {0: (1, {'@': 282}), 18: (1, {'@': 282}), 20: (1, {'@': 282}), 74: (1, {'@': 282}), 68: (1, {'@': 282}), 69: (1, {'@': 282}), 21: (1, {'@': 282}), 64: (1, {'@': 282}), 75: (1, {'@': 282}), 65: (1, {'@': 282}), 3: (1, {'@': 282}), 71: (1, {'@': 282}), 72: (1, {'@': 282}), 5: (1, {'@': 282}), 60: (1, {'@': 282}), 15: (1, {'@': 282}), 22: (1, {'@': 282}), 23: (1, {'@': 282}), 17: (1, {'@': 282}), 70: (1, {'@': 282}), 24: (1, {'@': 282}), 25: (1, {'@': 282}), 14: (1, {'@': 282}), 2: (1, {'@': 282}), 26: (1, {'@': 282}), 27: (1, {'@': 282}), 76: (1, {'@': 282}), 61: (1, {'@': 282}), 62: (1, {'@': 282}), 63: (1, {'@': 282}), 77: (1, {'@': 282}), 58: (1, {'@': 282}), 1: (1, {'@': 282}), 29: (1, {'@': 282}), 30: (1, {'@': 282}), 78: (1, {'@': 282}), 31: (1, {'@': 282}), 59: (1, {'@': 282}), 32: (1, {'@': 282}), 33: (1, {'@': 282})}, 441: {2: (0, 455)}, 442: {0: (1, {'@': 283}), 18: (1, {'@': 283}), 20: (1, {'@': 283}), 74: (1, {'@': 283}), 68: (1, {'@': 283}), 69: (1, {'@': 283}), 21: (1, {'@': 283}), 64: (1, {'@': 283}), 75: (1, {'@': 283}), 65: (1, {'@': 283}), 3: (1, {'@': 283}), 71: (1, {'@': 283}), 72: (1, {'@': 283}), 5: (1, {'@': 283}), 60: (1, {'@': 283}), 15: (1, {'@': 283}), 22: (1, {'@': 283}), 23: (1, {'@': 283}), 17: (1, {'@': 283}), 70: (1, {'@': 283}), 24: (1, {'@': 283}), 25: (1, {'@': 283}), 14: (1, {'@': 283}), 2: (1, {'@': 283}), 26: (1, {'@': 283}), 27: (1, {'@': 283}), 76: (1, {'@': 283}), 61: (1, {'@': 283}), 62: (1, {'@': 283}), 63: (1, {'@': 283}), 77: (1, {'@': 283}), 58: (1, {'@': 283}), 1: (1, {'@': 283}), 29: (1, {'@': 283}), 30: (1, {'@': 283}), 78: (1, {'@': 283}), 31: (1, {'@': 283}), 59: (1, {'@': 283}), 32: (1, {'@': 283}), 33: (1, {'@': 283})}, 443: {0: (1, {'@': 284}), 27: (1, {'@': 284}), 20: (1, {'@': 284}), 21: (1, {'@': 284}), 3: (1, {'@': 284}), 5: (1, {'@': 284}), 22: (1, {'@': 284}), 17: (1, {'@': 284}), 23: (1, {'@': 284}), 1: (1, {'@': 284}), 24: (1, {'@': 284}), 25: (1, {'@': 284}), 29: (1, {'@': 284}), 14: (1, {'@': 284}), 31: (1, {'@': 284}), 26: (1, {'@': 284})}, 444: {58: (0, 79), 23: (0, 80), 59: (0, 81), 77: (0, 456), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 445: {22: (0, 30), 34: (0, 457), 14: (0, 32), 35: (0, 33), 5: (0, 34), 36: (0, 35), 37: (0, 36), 38: (0, 37), 26: (0, 38), 29: (0, 39), 39: (0, 40), 40: (0, 41), 21: (0, 42), 41: (0, 43), 27: (0, 44), 42: (0, 45), 23: (0, 46), 43: (0, 47), 44: (0, 48), 45: (0, 49), 24: (0, 50), 46: (0, 51), 25: (0, 52), 47: (0, 53), 20: (0, 54), 48: (0, 55), 49: (0, 56), 50: (0, 57), 51: (0, 58), 31: (0, 59), 52: (0, 60), 17: (0, 61), 53: (0, 62), 54: (0, 63), 55: (0, 64), 56: (0, 65)}, 446: {0: (0, 6), 27: (1, {'@': 285}), 20: (1, {'@': 285}), 21: (1, {'@': 285}), 3: (0, 2), 5: (1, {'@': 285}), 22: (1, {'@': 285}), 17: (1, {'@': 285}), 23: (1, {'@': 285}), 1: (0, 8), 24: (1, {'@': 285}), 25: (1, {'@': 285}), 29: (1, {'@': 285}), 14: (1, {'@': 285}), 31: (1, {'@': 285}), 26: (1, {'@': 285}), 9: (0, 7), 10: (0, 458)}, 447: {77: (0, 459), 58: (0, 79), 23: (0, 80), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 448: {0: (1, {'@': 286}), 27: (1, {'@': 286}), 20: (1, {'@': 286}), 21: (1, {'@': 286}), 3: (1, {'@': 286}), 5: (1, {'@': 286}), 22: (1, {'@': 286}), 17: (1, {'@': 286}), 23: (1, {'@': 286}), 1: (1, {'@': 286}), 24: (1, {'@': 286}), 25: (1, {'@': 286}), 29: (1, {'@': 286}), 14: (1, {'@': 286}), 31: (1, {'@': 286}), 26: (1, {'@': 286})}, 449: {0: (0, 6), 27: (1, {'@': 287}), 20: (1, {'@': 287}), 21: (1, {'@': 287}), 3: (0, 2), 5: (1, {'@': 287}), 22: (1, {'@': 287}), 17: (1, {'@': 287}), 23: (1, {'@': 287}), 1: (0, 8), 24: (1, {'@': 287}), 25: (1, {'@': 287}), 29: (1, {'@': 287}), 14: (1, {'@': 287}), 31: (1, {'@': 287}), 26: (1, {'@': 287}), 9: (0, 7), 10: (0, 460)}, 450: {0: (1, {'@': 288}), 27: (1, {'@': 288}), 20: (1, {'@': 288}), 21: (1, {'@': 288}), 3: (1, {'@': 288}), 5: (1, {'@': 288}), 22: (1, {'@': 288}), 17: (1, {'@': 288}), 23: (1, {'@': 288}), 1: (1, {'@': 288}), 24: (1, {'@': 288}), 25: (1, {'@': 288}), 29: (1, {'@': 288}), 14: (1, {'@': 288}), 31: (1, {'@': 288}), 26: (1, {'@': 288})}, 451: {0: (0, 6), 27: (1, {'@': 289}), 20: (1, {'@': 289}), 21: (1, {'@': 289}), 3: (0, 2), 5: (1, {'@': 289}), 22: (1, {'@': 289}), 17: (1, {'@': 289}), 23: (1, {'@': 289}), 1: (0, 8), 24: (1, {'@': 289}), 25: (1, {'@': 289}), 29: (1, {'@': 289}), 14: (1, {'@': 289}), 31: (1, {'@': 289}), 26: (1, {'@': 289}), 10: (0, 461), 9: (0, 7)}, 452: {58: (0, 79), 23: (0, 80), 77: (0, 462), 59: (0, 81), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 453: {0: (1, {'@': 290}), 27: (1, {'@': 290}), 20: (1, {'@': 290}), 21: (1, {'@': 290}), 3: (1, {'@': 290}), 5: (1, {'@': 290}), 22: (1, {'@': 290}), 17: (1, {'@': 290}), 23: (1, {'@': 290}), 1: (1, {'@': 290}), 24: (1, {'@': 290}), 25: (1, {'@': 290}), 29: (1, {'@': 290}), 14: (1, {'@': 290}), 31: (1, {'@': 290}), 26: (1, {'@': 290})}, 454: {0: (0, 6), 27: (1, {'@': 291}), 20: (1, {'@': 291}), 21: (1, {'@': 291}), 3: (0, 2), 5: (1, {'@': 291}), 22: (1, {'@': 291}), 17: (1, {'@': 291}), 23: (1, {'@': 291}), 1: (0, 8), 24: (1, {'@': 291}), 25: (1, {'@': 291}), 29: (1, {'@': 291}), 14: (1, {'@': 291}), 31: (1, {'@': 291}), 26: (1, {'@': 291}), 10: (0, 463), 9: (0, 7)}, 455: {0: (1, {'@': 292}), 18: (1, {'@': 292}), 20: (1, {'@': 292}), 74: (1, {'@': 292}), 68: (1, {'@': 292}), 69: (1, {'@': 292}), 21: (1, {'@': 292}), 64: (1, {'@': 292}), 75: (1, {'@': 292}), 65: (1, {'@': 292}), 3: (1, {'@': 292}), 71: (1, {'@': 292}), 72: (1, {'@': 292}), 5: (1, {'@': 292}), 60: (1, {'@': 292}), 15: (1, {'@': 292}), 22: (1, {'@': 292}), 23: (1, {'@': 292}), 17: (1, {'@': 292}), 70: (1, {'@': 292}), 24: (1, {'@': 292}), 25: (1, {'@': 292}), 14: (1, {'@': 292}), 2: (1, {'@': 292}), 26: (1, {'@': 292}), 27: (1, {'@': 292}), 76: (1, {'@': 292}), 61: (1, {'@': 292}), 62: (1, {'@': 292}), 63: (1, {'@': 292}), 77: (1, {'@': 292}), 58: (1, {'@': 292}), 1: (1, {'@': 292}), 29: (1, {'@': 292}), 30: (1, {'@': 292}), 78: (1, {'@': 292}), 31: (1, {'@': 292}), 59: (1, {'@': 292}), 32: (1, {'@': 292}), 33: (1, {'@': 292})}, 456: {0: (0, 6), 27: (1, {'@': 293}), 20: (1, {'@': 293}), 21: (1, {'@': 293}), 3: (0, 2), 5: (1, {'@': 293}), 22: (1, {'@': 293}), 17: (1, {'@': 293}), 23: (1, {'@': 293}), 1: (0, 8), 24: (1, {'@': 293}), 25: (1, {'@': 293}), 29: (1, {'@': 293}), 14: (1, {'@': 293}), 31: (1, {'@': 293}), 26: (1, {'@': 293}), 9: (0, 7), 10: (0, 464)}, 457: {58: (0, 79), 23: (0, 80), 59: (0, 81), 77: (0, 465), 60: (0, 82), 61: (0, 83), 62: (0, 84), 63: (0, 85), 64: (0, 86), 65: (0, 87), 66: (0, 88), 67: (0, 89), 68: (0, 90), 69: (0, 91), 70: (0, 92), 71: (0, 93), 72: (0, 94)}, 458: {0: (1, {'@': 294}), 27: (1, {'@': 294}), 20: (1, {'@': 294}), 21: (1, {'@': 294}), 3: (1, {'@': 294}), 5: (1, {'@': 294}), 22: (1, {'@': 294}), 17: (1, {'@': 294}), 23: (1, {'@': 294}), 1: (1, {'@': 294}), 24: (1, {'@': 294}), 25: (1, {'@': 294}), 29: (1, {'@': 294}), 14: (1, {'@': 294}), 31: (1, {'@': 294}), 26: (1, {'@': 294})}, 459: {0: (0, 6), 27: (1, {'@': 295}), 20: (1, {'@': 295}), 21: (1, {'@': 295}), 3: (0, 2), 5: (1, {'@': 295}), 22: (1, {'@': 295}), 17: (1, {'@': 295}), 23: (1, {'@': 295}), 1: (0, 8), 24: (1, {'@': 295}), 25: (1, {'@': 295}), 29: (1, {'@': 295}), 14: (1, {'@': 295}), 31: (1, {'@': 295}), 26: (1, {'@': 295}), 10: (0, 466), 9: (0, 7)}, 460: {0: (1, {'@': 296}), 27: (1, {'@': 296}), 20: (1, {'@': 296}), 21: (1, {'@': 296}), 3: (1, {'@': 296}), 5: (1, {'@': 296}), 22: (1, {'@': 296}), 17: (1, {'@': 296}), 23: (1, {'@': 296}), 1: (1, {'@': 296}), 24: (1, {'@': 296}), 25: (1, {'@': 296}), 29: (1, {'@': 296}), 14: (1, {'@': 296}), 31: (1, {'@': 296}), 26: (1, {'@': 296})}, 461: {0: (1, {'@': 297}), 27: (1, {'@': 297}), 20: (1, {'@': 297}), 21: (1, {'@': 297}), 3: (1, {'@': 297}), 5: (1, {'@': 297}), 22: (1, {'@': 297}), 17: (1, {'@': 297}), 23: (1, {'@': 297}), 1: (1, {'@': 297}), 24: (1, {'@': 297}), 25: (1, {'@': 297}), 29: (1, {'@': 297}), 14: (1, {'@': 297}), 31: (1, {'@': 297}), 26: (1, {'@': 297})}, 462: {0: (0, 6), 27: (1, {'@': 298}), 20: (1, {'@': 298}), 21: (1, {'@': 298}), 3: (0, 2), 5: (1, {'@': 298}), 22: (1, {'@': 298}), 17: (1, {'@': 298}), 23: (1, {'@': 298}), 1: (0, 8), 24: (1, {'@': 298}), 25: (1, {'@': 298}), 29: (1, {'@': 298}), 14: (1, {'@': 298}), 31: (1, {'@': 298}), 26: (1, {'@': 298}), 9: (0, 7), 10: (0, 467)}, 463: {0: (1, {'@': 299}), 27: (1, {'@': 299}), 20: (1, {'@': 299}), 21: (1, {'@': 299}), 3: (1, {'@': 299}), 5: (1, {'@': 299}), 22: (1, {'@': 299}), 17: (1, {'@': 299}), 23: (1, {'@': 299}), 1: (1, {'@': 299}), 24: (1, {'@': 299}), 25: (1, {'@': 299}), 29: (1, {'@': 299}), 14: (1, {'@': 299}), 31: (1, {'@': 299}), 26: (1, {'@': 299})}, 464: {0: (1, {'@': 300}), 27: (1, {'@': 300}), 20: (1, {'@': 300}), 21: (1, {'@': 300}), 3: (1, {'@': 300}), 5: (1, {'@': 300}), 22: (1, {'@': 300}), 17: (1, {'@': 300}), 23: (1, {'@': 300}), 1: (1, {'@': 300}), 24: (1, {'@': 300}), 25: (1, {'@': 300}), 29: (1, {'@': 300}), 14: (1, {'@': 300}), 31: (1, {'@': 300}), 26: (1, {'@': 300})}, 465: {0: (0, 6), 27: (1, {'@': 301}), 20: (1, {'@': 301}), 21: (1, {'@': 301}), 3: (0, 2), 5: (1, {'@': 301}), 22: (1, {'@': 301}), 17: (1, {'@': 301}), 23: (1, {'@': 301}), 1: (0, 8), 24: (1, {'@': 301}), 25: (1, {'@': 301}), 29: (1, {'@': 301}), 14: (1, {'@': 301}), 31: (1, {'@': 301}), 26: (1, {'@': 301}), 9: (0, 7), 10: (0, 468)}, 466: {0: (1, {'@': 302}), 27: (1, {'@': 302}), 20: (1, {'@': 302}), 21: (1, {'@': 302}), 3: (1, {'@': 302}), 5: (1, {'@': 302}), 22: (1, {'@': 302}), 17: (1, {'@': 302}), 23: (1, {'@': 302}), 1: (1, {'@': 302}), 24: (1, {'@': 302}), 25: (1, {'@': 302}), 29: (1, {'@': 302}), 14: (1, {'@': 302}), 31: (1, {'@': 302}), 26: (1, {'@': 302})}, 467: {0: (1, {'@': 303}), 27: (1, {'@': 303}), 20: (1, {'@': 303}), 21: (1, {'@': 303}), 3: (1, {'@': 303}), 5: (1, {'@': 303}), 22: (1, {'@': 303}), 17: (1, {'@': 303}), 23: (1, {'@': 303}), 1: (1, {'@': 303}), 24: (1, {'@': 303}), 25: (1, {'@': 303}), 29: (1, {'@': 303}), 14: (1, {'@': 303}), 31: (1, {'@': 303}), 26: (1, {'@': 303})}, 468: {0: (1, {'@': 304}), 27: (1, {'@': 304}), 20: (1, {'@': 304}), 21: (1, {'@': 304}), 3: (1, {'@': 304}), 5: (1, {'@': 304}), 22: (1, {'@': 304}), 17: (1, {'@': 304}), 23: (1, {'@': 304}), 1: (1, {'@': 304}), 24: (1, {'@': 304}), 25: (1, {'@': 304}), 29: (1, {'@': 304}), 14: (1, {'@': 304}), 31: (1, {'@': 304}), 26: (1, {'@': 304})}}, 'start_states': {'start': 0}, 'end_states': {'start': 26}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}, {'@': 44}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 97}, {'@': 64}, {'@': 60}, {'@': 49}, {'@': 48}, {'@': 45}, {'@': 100}, {'@': 198}, {'@': 141}, {'@': 228}, {'@': 140}, {'@': 164}, {'@': 98}, {'@': 129}, {'@': 130}, {'@': 151}, {'@': 51}, {'@': 76}, {'@': 69}, {'@': 87}, {'@': 181}, {'@': 81}, {'@': 85}, {'@': 122}, {'@': 116}, {'@': 109}, {'@': 110}, {'@': 113}, {'@': 101}, {'@': 114}, {'@': 104}, {'@': 105}, {'@': 102}, {'@': 103}, {'@': 106}, {'@': 107}, {'@': 112}, {'@': 111}, {'@': 108}, {'@': 126}, {'@': 139}, {'@': 92}, {'@': 86}, {'@': 73}, {'@': 67}, {'@': 78}, {'@': 90}, {'@': 91}, {'@': 72}, {'@': 94}, {'@': 79}, {'@': 65}, {'@': 66}, {'@': 75}, {'@': 83}, {'@': 88}, {'@': 93}, {'@': 68}, {'@': 89}, {'@': 80}, {'@': 70}, {'@': 84}, {'@': 77}, {'@': 197}, {'@': 138}, {'@': 137}, {'@': 259}, {'@': 236}, {'@': 237}, {'@': 208}, {'@': 235}, {'@': 207}, {'@': 173}, {'@': 238}, {'@': 209}, {'@': 210}, {'@': 174}, {'@': 211}, {'@': 175}, {'@': 146}, {'@': 234}, {'@': 202}, {'@': 200}, {'@': 165}, {'@': 204}, {'@': 167}, {'@': 142}, {'@': 206}, {'@': 169}, {'@': 170}, {'@': 143}, {'@': 172}, {'@': 145}, {'@': 124}, {'@': 125}, {'@': 99}, {'@': 221}, {'@': 182}, {'@': 183}, {'@': 148}, {'@': 185}, {'@': 154}, {'@': 153}, {'@': 131}, {'@': 115}, {'@': 150}, {'@': 128}, {'@': 149}, {'@': 127}, {'@': 82}, {'@': 74}, {'@': 225}, {'@': 192}, {'@': 191}, {'@': 159}, {'@': 193}, {'@': 160}, {'@': 133}, {'@': 223}, {'@': 187}, {'@': 224}, {'@': 189}, {'@': 188}, {'@': 156}, {'@': 190}, {'@': 158}, {'@': 186}, {'@': 155}, {'@': 157}, {'@': 132}, {'@': 120}, {'@': 118}, {'@': 121}, {'@': 119}, {'@': 161}, {'@': 134}, {'@': 135}, {'@': 117}, {'@': 194}, {'@': 162}, {'@': 279}, {'@': 261}, {'@': 262}, {'@': 242}, {'@': 263}, {'@': 243}, {'@': 214}, {'@': 260}, {'@': 239}, {'@': 240}, {'@': 212}, {'@': 241}, {'@': 213}, {'@': 176}, {'@': 264}, {'@': 245}, {'@': 246}, {'@': 219}, {'@': 247}, {'@': 220}, {'@': 180}, {'@': 244}, {'@': 216}, {'@': 217}, {'@': 178}, {'@': 215}, {'@': 177}, {'@': 147}, {'@': 292}, {'@': 282}, {'@': 281}, {'@': 266}, {'@': 280}, {'@': 265}, {'@': 267}, {'@': 248}, {'@': 283}, {'@': 269}, {'@': 268}, {'@': 249}, {'@': 270}, {'@': 251}, {'@': 250}, {'@': 222}, {'@': 304}, {'@': 301}, {'@': 300}, {'@': 293}, {'@': 302}, {'@': 295}, {'@': 294}, {'@': 285}, {'@': 296}, {'@': 287}, {'@': 286}, {'@': 273}, {'@': 284}, {'@': 272}, {'@': 271}, {'@': 252}, {'@': 274}, {'@': 254}, {'@': 253}, {'@': 229}, {'@': 303}, {'@': 298}, {'@': 297}, {'@': 289}, {'@': 299}, {'@': 291}, {'@': 290}, {'@': 277}, {'@': 288}, {'@': 276}, {'@': 275}, {'@': 255}, {'@': 278}, {'@': 258}, {'@': 257}, {'@': 232}, {'@': 256}, {'@': 231}, {'@': 230}, {'@': 199}, {'@': 218}, {'@': 179}, {'@': 53}, {'@': 47}, {'@': 54}, {'@': 58}, {'@': 57}, {'@': 59}, {'@': 55}, {'@': 56}, {'@': 96}, {'@': 95}, {'@': 50}, {'@': 46}, {'@': 52}, {'@': 61}, {'@': 62}, {'@': 63}, {'@': 71}, {'@': 123}, {'@': 205}, {'@': 168}, {'@': 171}, {'@': 144}, {'@': 233}, {'@': 201}, {'@': 203}, {'@': 166}, {'@': 152}, {'@': 184}, {'@': 136}, {'@': 163}, {'@': 196}, {'@': 195}, {'@': 227}, {'@': 226}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'IDENTIFIER', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'STRING_LIT', 'pattern': {'value': '\\"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{[^}]+\\}))*\\"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_3', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_4', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_5', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_6', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_7', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_8', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_9', 'pattern': {'value': '<<(?P<heredoc>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_10', 'pattern': {'value': '<<-(?P<heredoc_trim>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc_trim)', 'flags': [], '_width': [10, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_11', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_12', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': '__ANON_13', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 45: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 46: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 47: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 48: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 49: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 50: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 51: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 52: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 53: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 54: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 55: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 56: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 59: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 60: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 61: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 62: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 63: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 64: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 65: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 66: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 67: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 68: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 69: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 71: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 72: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_10', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 76: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 77: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 82: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 85: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 90: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 92: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 96: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 97: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 98: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 101: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 103: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 108: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 116: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 117: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 121: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 122: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 123: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 124: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 129: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 133: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 135: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 136: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 137: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 138: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 139: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 140: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 145: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 146: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 147: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 148: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 149: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 150: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 151: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 152: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 153: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 154: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 155: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 156: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 157: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 158: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 159: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 160: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 161: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 162: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 163: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 164: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 165: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 167: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 169: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 171: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 172: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 175: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 177: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 178: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 179: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 181: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 182: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 183: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 184: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 185: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 186: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 187: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 188: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 189: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 190: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 191: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 192: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 193: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 194: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 195: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 196: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 197: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 198: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 199: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 200: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 201: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 202: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 203: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 204: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 206: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 209: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 213: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 215: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 217: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 218: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 219: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 220: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 221: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 222: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 223: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 224: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 225: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 226: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 227: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 228: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 229: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 230: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 231: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 232: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 233: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 234: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 235: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 236: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 237: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 238: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 244: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 247: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 248: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 249: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 252: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 253: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 257: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 259: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 262: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 302: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 303: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 304: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

